<?php

use MSP\DataType\ModelType;
$sm = MSP\WPObjects\Service\Manager::getInstance();

return array(
    
    array(
        'id' => ModelType::GAME,
        'id_attr_name' => 'slug',
        'model_class_name' => '\MSP\Model\Game',
        
        'name' => esc_html__('Sports', 'msp'),
        'game_relative' => false,
        'save_handler' => false,
        'dele_handler' => false,
        'has_images' => true,
        'storage' => array(
            'id' => ModelType::GAME,
            'include' => dirname(__FILE__) . '/games.php',
            'activity' => 'invert',
        ),
        'factory_service_name' => 'GameFactory',
        'form_fields' => array(
            array(
                'id' => 'slug',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'img_url',
                'type' => 'text',
                'label' => esc_html__('Logo image (url)', 'msp')
            ),
            array(
                'id' => 'sport_type',
                'type' => 'select',
                'label' => esc_html__('sport_type', 'msp'),
                'default' => array(
                    'sport' => esc_html__('Sport', 'msp'),
                    'esport' => esc_html__('eSport', 'msp'),
                ),
            ),
            array(
                'id' => 'esport_type',
                'type' => 'select',
                'label' => esc_html__('Esport type', 'msp'),
                'default' => array(
                    '' => esc_html__('N\A', 'msp'),
                    'moba' => esc_html__('moba', 'msp'),
                    'shooter' => esc_html__('shooter', 'msp'),
                ),
                'require' => false
            ),
        ),
        'attrs' => array(
            'slug' => esc_html__('System id', 'msp'),
            'img_url' => '',
            'name' => esc_html__('Name', 'msp'),
            'sport_type' => esc_html__('Sport type', 'msp'),
            'esport_type' => esc_html__('Esport type', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::TEAM_STATISTIC_TYPE,
        'id_attr_name' => 'key',
        'model_class_name' => '\MSP\Model\TeamStatisticType',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game'
        ),
        'name' => esc_html__('Teams stats', 'msp'),
        'storage' => array(
            'id' => ModelType::TEAM_STATISTIC_TYPE,
            'include' => dirname(__FILE__) . '/'. ModelType::TEAM_STATISTIC_TYPE .'.php'
        ),
        'unique' => false,
        'factory_service_name' => 'TeamStatisticTypeFactory',
        'form_fields' => array(
            array(
                'id' => 'key',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'game',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
            array(
                'id' => 'main_score',
                'type' => 'checkbox',
                'label' => esc_html__('Is main statistic type for determining the results of a match (e.g. goals in football)', 'msp'),
                'require' => false
            ),
        ),
        'attrs' => array(
            'key' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'ui' => esc_html__('Editable', 'msp'),
            'main_score' => esc_html__('Is main score', 'msp'),
        ),
    ),
    
    
    
    array(
        'id' => ModelType::PLAYER_STATISTIC_TYPE,
        'id_attr_name' => 'key',
        'model_class_name' => '\MSP\Model\PlayerStatisticType',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game'
        ),
        'name' => esc_html__('Player stats', 'msp'),
        'unique' => false,
        'storage' => array(
            'id' => ModelType::PLAYER_STATISTIC_TYPE,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_STATISTIC_TYPE .'.php'
        ),
        'factory_service_name' => 'PlayerStatisticTypeFactory',
        'form_fields' => array(
            array(
                'id' => 'key',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'game',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'key' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'ui' => esc_html__('Editable', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::PLAYER_TEAM_ACTIVITY,
        'model_class_name' => '\MSP\Model\PlayerTeamActivity',
        'name' => esc_html__('Player activity', 'msp'),
        'storage' => array(
            'id' => ModelType::PLAYER_TEAM_ACTIVITY,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_TEAM_ACTIVITY .'.php'
        ),
        'factory_service_name' => 'PlayerTeamActivityFactory',
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::PLAYER_POSITION,
        'model_class_name' => '\MSP\Model\PlayerPosition',
        'name' => esc_html__('Player positions', 'msp'),
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game_id'
        ),
        'unique' => false,
        'storage' => array(
            'id' => ModelType::PLAYER_POSITION,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_POSITION .'.php'
        ),
        'factory_service_name' => 'PlayerPositionFactory',
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'game_id',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::PLAYER_ROLE,
        'model_class_name' => '\MSP\Model\PlayerRole',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game_id'
        ),
        'name' => esc_html__('Player roles', 'msp'),
        'unique' => false,
        'storage' => array(
            'id' => ModelType::PLAYER_ROLE,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_ROLE .'.php'
        ),
        'factory_service_name' => 'PlayerRoleFactory',
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'game_id',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::PLAYER_HERO,
        'model_class_name' => '\MSP\Model\PlayerHero',
        'factory_service_name' => 'PlayerHeroFactory',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game_id'
        ),
        'name' => esc_html__('Player heroes', 'msp'),
        'unique' => false,
        'storage' => array(
            'id' => ModelType::PLAYER_HERO,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_HERO .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'img_full_url',
                'type' => 'text',
                'label' => esc_html__('Full image (url)', 'msp')
            ),
            array(
                'id' => 'img_vert_url',
                'type' => 'text',
                'label' => esc_html__('Vertical image (url)', 'msp')
            ),
            array(
                'id' => 'img_min_url',
                'type' => 'text',
                'label' => esc_html__('Mini image (url)', 'msp')
            ),
            array(
                'id' => 'img_icon_url',
                'type' => 'text',
                'label' => esc_html__('Icon image (url)', 'msp')
            ),
            array(
                'id' => 'link_wiki',
                'type' => 'text',
                'label' => esc_html__('Hero wiki link', 'msp')
            ),
            array(
                'id' => 'game_id',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'img_full_url' => '',
            'name' => esc_html__('Name', 'msp'),
            'link_wiki' => esc_html__('Wiki', 'msp')
        ),
    ),
    
    array(
        'id' => ModelType::PLAYER_ITEM,
        'model_class_name' => '\MSP\Model\PlayerItem',
        'factory_service_name' => 'PlayerItemFactory',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game_id'
        ),
        'name' => esc_html__('Player items', 'msp'),
        'unique' => false,
        'storage' => array(
            'id' => ModelType::PLAYER_ITEM,
            'include' => dirname(__FILE__) . '/'. ModelType::PLAYER_ITEM .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'img_full_url',
                'type' => 'text',
                'label' => esc_html__('Full image (url)', 'msp')
            ),
            array(
                'id' => 'game_id',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'img_full_url' => '',
            'name' => esc_html__('Name', 'msp')
        ),
    ),
    
    array(
        'id' => ModelType::MATCH_WEATHER_TYPE,
        'name' => esc_html__('Match weathers', 'msp'),
        'model_class_name' => '\MSP\Model\MatchWeatherType',
        'has_images' => true,
        'storage' => array(
            'id' => ModelType::MATCH_WEATHER_TYPE,
            'include' => dirname(__FILE__) . '/'. ModelType::MATCH_WEATHER_TYPE .'.php'
        ),
        'factory_service_name' => 'MatchWeatherTypeFactory',
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'img_url',
                'type' => 'text',
                'label' => esc_html__('Icon image (url)', 'msp')
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'img_url' => '',
            'name' => esc_html__('Name', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::MATCH_EVENT_TYPE,
        'name' => esc_html__('Match events', 'msp'),
        'model_class_name' => '\MSP\Model\MatchEventType',
        'factory_service_name' => 'MatchEventTypeFactory',
        'qualifiers' => array(
            ModelType::GAME
        ),
        'qualifiers_attr_names' => array (
            ModelType::GAME => 'game_id'
        ),
        'has_images' => true,
        'storage' => array(
            'id' => ModelType::MATCH_EVENT_TYPE,
            'include' => dirname(__FILE__) . '/'. ModelType::MATCH_EVENT_TYPE .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'originator',
                'type' => 'checkbox',
                'label' => esc_html__('Has player (originator)', 'msp')
            ),
            array(
                'id' => 'img_url',
                'type' => 'text',
                'label' => esc_html__('Mini icon image (url)', 'msp')
            ),
            array(
                'id' => 'game_id',
                'type' => 'qualifier',
                'data_type_id' => ModelType::GAME,
                'label' => esc_html__('Sport type', 'msp'),
                'require' => true
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'img_url' => '',
            'name' => esc_html__('Name', 'msp'),
            'originator' => esc_html__('Originator', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::SOCIAL_SHARING,
        'name' => esc_html__('Social sharing', 'msp'),
        'model_class_name' => '\MSP\Model\SocialSharing',
        'factory_service_name' => 'SocialSharingFactory',
        'storage' => array(
            'id' => ModelType::SOCIAL_SHARING,
            'include' => dirname(__FILE__) . '/'. ModelType::SOCIAL_SHARING .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'link',
                'type' => 'text',
                'label' => esc_html__('Shared url', 'msp'),
                'description' => 'Use special shortcodes for link generate: %1$s - current page url, %2$s - page title, %3$s - site name'
            ),
            array(
                'id' => 'fa-icon',
                'type' => 'text',
                'label' => esc_html__('Font awesome icon name', 'msp'),
                'description' => 'Link "fa-facebook". See on http://fontawesome.io/icons/#brand'
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'fa-icon' => esc_html__('fa icon', 'msp'),
            'link' => esc_html__('Shared link', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::COUNTRY,
        'name' => esc_html__('Country', 'msp'),
        'model_class_name' => '\MSP\Model\Country',
        'factory_service_name' => 'CountryFactory',
        'storage' => array(
            'id' => ModelType::COUNTRY,
            'include' => dirname(__FILE__) . '/'. ModelType::COUNTRY .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            )
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'img_url' => esc_html__('Flag', 'msp'),
            'name' => esc_html__('Name', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::SPONSOR_TYPE,
        'name' => esc_html__('Sponsor type', 'msp'),
        'model_class_name' => '\MSP\Model\SponsorType',
        'factory_service_name' => 'SponsorTypeFactory',
        'storage' => array(
            'id' => ModelType::SPONSOR_TYPE,
            'include' => dirname(__FILE__) . '/'. ModelType::SPONSOR_TYPE .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'color_label',
                'type' => 'text',
                'label' => esc_html__('Html color for labels', 'msp')
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'color_label' => esc_html__('Color', 'msp'),
        ),
    ),
    
    array(
        'id' => ModelType::BROADCAST_STATUS,
        'name' => esc_html__('Broadcast status', 'msp'),
        'model_class_name' => '\MSP\Model\BroadcastStatus',
        'factory_service_name' => 'BroadcastStatusFactory',
        'storage' => array(
            'id' => ModelType::BROADCAST_STATUS,
            'include' => dirname(__FILE__) . '/'. ModelType::BROADCAST_STATUS .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'color_label',
                'type' => 'text',
                'label' => esc_html__('Html color for labels', 'msp')
            ),
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'color_label' => esc_html__('Color', 'msp'),
        ),
    ),

    array(
        'id' => ModelType::LOL_PLAYER_SPELL,
        'name' => esc_html__('LOL Player spells', 'msp'),
        'model_class_name' => '\MSP\Model\LOLPlayerSpell',
        'factory_service_name' => 'LOLPlayerSpellFactory',
        'storage' => array(
            'id' => ModelType::LOL_PLAYER_SPELL,
            'include' => dirname(__FILE__) . '/'. ModelType::LOL_PLAYER_SPELL .'.php'
        ),
        'form_fields' => array(
            array(
                'id' => 'id',
                'type' => 'text',
                'label' => esc_html__('System id', 'msp')
            ),
            array(
                'id' => 'lol_id',
                'type' => 'text',
                'label' => esc_html__('LOL id', 'msp')
            ),
            array(
                'id' => 'name',
                'type' => 'text',
                'label' => esc_html__('Name', 'msp')
            ),
            array(
                'id' => 'description',
                'type' => 'text',
                'label' => esc_html__('Description', 'msp')
            ),
            array(
                'id' => 'img_url',
                'type' => 'text',
                'label' => esc_html__('Img url', 'msp')
            )
        ),
        'attrs' => array(
            'id' => esc_html__('System id', 'msp'),
            'lol_id' => esc_html__('LOL id', 'msp'),
            'name' => esc_html__('Name', 'msp'),
            'description' => esc_html__('Description', 'msp'),
            'img_url' => esc_html__('Image url', 'msp'),
        ),
    ),
    
);

