<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\API;

class Twitch implements
    \MSP\WPObjects\Service\ManagerInterface
{
    protected $twitch_api_client_id = '';
    
    /**
     * Global service manager
     * 
     * @var \MSP\WPObjects\Service\Manager
     */
    protected $ServiceManager = null;
    
    /**
     * Return chanal information
     * 
     * @param string $id
     * @return array
     */
    public function requestChannel($id)
    {
        $this->twitch_api_client_id = $this->getServiceManager()->get('SettingsFactory')->getValue('twitch_api_client_id');
        if (!$this->twitch_api_client_id) {
            return array();
        }
        
        $url = "https://api.twitch.tv/kraken/streams?channel=$id";
        
        $response = wp_remote_get($url, array(
            'headers' => $this->getRequestHeaders()
        ));
        
        $json = wp_remote_retrieve_body($response);
        $data = json_decode($json, true);
        
        return $data;
    }
    
    protected function getRequestHeaders()
    {
        return array(
            'Client-ID' => $this->twitch_api_client_id
        );
    }
    
    public function setServiceManager(\MSP\WPObjects\Service\Manager $ServiceManager)
    {
        $this->ServiceManager = $ServiceManager;
        
        return $this;
    }
    
    /**
     * @return \MSP\WPObjects\Service\Manager
     * @throws \Exception
     */
    public function getServiceManager()
    {
        if (is_null($this->ServiceManager)) {
            throw new \Exception('Undefined service manager');
        }
        
        return $this->ServiceManager;
    }
    
}