<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\DataType;

interface ModelType
{
    /*
     *  As WordPress post-types
     */
    const PLAYER = 'players';
    const TEAM = 'organisations';
    const MATCH = 'matches';
    const BROADCAST = 'broadcasts';
    const CHAMPIONSHIP = 'championships';
    const COMMENTATOR = 'commentators';
    const MATCH_EVENT = 'match-events';
    const REFEREE = 'referee';
    const STANDING = 'standings';
    const TRAINER = 'trainers';
    const TROPHI = 'trophies';
    const VENUE = 'venue';
    const SPONSOR = 'sponsor';
    
    /*
     *  Other system models
     */
    const GAME = 'games';
    const PLAYER_ROLE = 'player-roles';
    const PLAYER_POSITION = 'player-positions';
    const PLAYER_TEAM_ACTIVITY = 'player-activity';
    const PLAYER_STAT = 'player_stats';
    const MATCH_WEATHER = 'match_weather';
    const MATCH_WEATHER_TYPE = 'weather_types';
    const TEAM_STATISTIC_TYPE = 'organisation-stats';
    const PLAYER_STATISTIC_TYPE = 'player-stats';
    const PLAYER_HERO = 'player-heroes';
    const PLAYER_ITEM = 'player-items';
    const MATCH_EVENT_TYPE = 'match-event-types';
    const SOCIAL_SHARING = 'socials-sharing';
    const COUNTRY = 'country';
    const SPONSOR_TYPE = 'sponsor_type';
    const BROADCAST_STATUS = 'broadcasts_status';

    /*
     * LOL data types
     */
    const LOL_PLAYER_SPELL = 'lol_player_spell';
}