<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Factory;

class Broadcast extends AbstractFactory
{
    protected function buildSpecialMetaQuery()
    {
        parent::buildSpecialMetaQuery();
        
        if (isset($this->filters['_broadcast_bg']) && $this->filters['_broadcast_bg']) {
            $this->meta_query[] = array(
                'key' => '_broadcast_bg',
                'compare' => 'EXISTS'
            );
        }
        
        if (isset($this->filters['_is_twitch_stream']) && $this->filters['_is_twitch_stream']) {
            $this->meta_query[] = array(
                'key' => '_steam_twitch_id',
                'compare' => 'EXISTS'
            );
        }
        
        if (isset($this->filters['_twitch_api_enable']) && $this->filters['_twitch_api_enable']) {
            $this->meta_query[] = array(
                'key' => '_twitch_api_enable',
                'value' => 1
            );
        }
        
        return $this;
    }
    
    public function getSpecialQueryParamsForVCAddons()
    {
        return array();
    }
    
    /**
     * @return \MSP\Model\Broadcast
     */
    public function getTwitchStreams()
    {
        return $this->query(array(
            '_twitch_api_enable' => true,
            '_is_twitch_stream' => true
        ))->getResult();
    }
}