<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Factory;

class Championship extends AbstractFactory
{
    protected function buildDefaultOrgering()
    {
        $this->query['meta_key'] = '_date_start';
        $this->query['orderby'] = 'meta_value';
        $this->query['order'] = "DESC";
    }
    
    /**
     * Return array with compatible elements for autocompele selector in Visual Composer Addons.
     * @return array
     */
    public function getForVCAutocompele()
    {
        $result = array();
        foreach ($this->getResult() as $Object) {
            $Game = $Object->getGame();

            $result[] = array(
                'label' => $Object->getName(),
                'value' => $Object->getId(),
                'group' => $Game ? $Game->getName() : 'Other'
            );
        }

        return $result;
    }
}