<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Factory;

class MatchEvent extends AbstractFactory
{
    protected function buildDefaultOrgering()
    {
        $query['orderby'] = 'meta_value';
        $query['meta_key'] = '_match_time';
        $query['order'] = 'DESC';
    }
    
    protected function buildSpecialMetaQuery()
    {
        if (isset($this->filters['last_event'])) {
            $this->query['orderby'] = 'meta_value';
            $this->query['meta_key'] = '_match_time';
            $this->query['order'] = 'DESC';
            $this->query['numberposts'] = 1;
        }
        
        if (isset($this->filters['has_players'])) {
            $this->meta_query[] = array(
                'key' => '_player_id',
                'compare' => 'EXISTS'
            );
        }
    }
}