<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Factory;

class Player extends AbstractFactory
{
    /**
     * Return array with compatible elements for autocompele selector in Visual Composer Addons.
     * @return array
     */
    function getForVCAutocompele()
    {
        /* @var $Player \MSP\Model\Player */
        /* @var $Game \MSP\Model\Game */
        
        $result = array();
        foreach ($this->getResult() as $Player) {
            $Game = $Player->getGame();
            $Team = $Player->getTeam();
            $team_name = $Team ? $Team->getName() : esc_html__('No team', 'msp');
            $game_name = $Game ? $Game->getName() : '';

            $result[] = array(
                'label' => $Player->post_title,
                'value' => $Player->ID,
                'group' => $team_name . ' (' . $game_name . ')'
            );
        }

        return $result;
    }
    
    public function getByGame($game_id)
    {
        $attr = $this->getModelType()->getQualifierAttrName(\MSP\DataType\ModelType::GAME);
        return $this->query(array(
            $attr => $game_id
        ))->getResult();
    }
    
    public function getSpecialSortingTypesForVCAddons()
    {
        $Factory = $this->getServiceManager()->get('PlayerStatisticTypeFactory');
        return $Factory->query()->getForVCAutocompeleSorting();
    }
}