<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Factory;

use MSP\DataType\ModelType;

class TeamStatisticType extends AbstractDataFactory
{
    /**
     * @param string $game_id
     * @return \MSP\Model\TeamStatisticType
     */
    public function getByGame($game_id)
    {
        $game_attr = $this->getModelType()->getQualifierAttrName(ModelType::GAME);
        $this->query(array($game_attr => $game_id));
        return $this->getResult();
    }
    
    /**
     * @param string $game_id
     * @return \MSP\Model\TeamStatisticType
     */
    public function getMainStat($game_id)
    {
        $game_attr = $this->getModelType()->getQualifierAttrName(ModelType::GAME);
        $this->query(array($game_attr => $game_id, 'main_score' => true));
        return current($this->getResult()) ? current($this->getResult()) : null;
    }
    
    protected function getDefaultFilters()
    {
        // Default filtered by active games
        $GameFactory = $this->getServiceManager()->get('GameFactory');
        $GameFactory->query();
        return array(
            $this->getModelType()->getQualifierAttrName(ModelType::GAME) => $GameFactory->getResultIds()
        );
    }
    
    public function getForVCAutocompele()
    {
        $result = array();
        foreach ($this->getResult() as $Stat) {
            $result[] = array(
                'label' => $Stat->getName(),
                'value' => $Stat->getId(),
                'group' => $Stat->getGamesNames()
            );
        }

        return $result;
    }
    
    public function getForVCAutocompeleSorting()
    {
        $sotr_types = array();
        
        foreach ($this->getResult() as $StatType) {
            
            $sotr_types[] = array(
                'label' => $StatType->getName(),
                'value' => '_organisation_stat_cache_' . $StatType->getId(),
                'group' => $StatType->getGamesNames()
            );
            
        }
        
        return $sotr_types;
    }
}