<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\MetaBox;

class ChampionshipInformation extends AbstractMetaBox
{
    public function __construct()
    {
        $this->setId('championship-information');
        $this->setTitle('Championship information');
        $this->setPosition('side');
        $this->setPriority('default');
    }
    
    public function processing(\MSP\WPObjects\Model\AbstractPostModel $Post, $data)
    {
        if (!isset($data['_date_start_date']) || !$data['_date_end_date']) {
            $data['_date_start'] = gmdate('Y-m-d H:i:s');
            return $data;
        }
        
        $data['_date_start'] = $data['_date_start_date'] . ' ' . $data['_date_start_hours'] . ':' . $data['_date_start_minutes'] . ':00';
        $data['_date_end'] = $data['_date_end_date'] . ' ' . $data['_date_end_hours'] . ':' . $data['_date_end_minutes'] . ':00';
        
        return $data;
    }
}