<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\MetaBox;

use MSP\DataType\ModelType;

class GameSelector extends AbstractMetaBox
{
    protected $deps = array('_game_id');
    
    public function __construct()
    {
        $this->setId('game-selector');
        $this->setTitle('First step');
        $this->setPosition('normal');
        $this->setPriority('high');
        
        add_action('add_meta_boxes', array($this, 'postMetaRequire'), 1000, 2);
    }
    
    public function postMetaRequire($post_type, $post)
    {
        if (!in_array($post_type, array(
            ModelType::PLAYER,
            ModelType::MATCH
        ))) {
            return;
        }
        
        $this->Post = $post;
        $PostType = $this->getPostType();
        $PostModel = $this->getPostModel();
        
        if (!$PostModel->getMeta('_game_id')) {
            
            foreach ($PostType->getMetaBoxes() as $MetaBox) {
                if ($MetaBox->getId() === $this->getId()) {
                    continue;
                }
                \remove_meta_box($MetaBox->getId(), $post_type, $MetaBox->getPosition());
            }

            \remove_post_type_support($post_type, 'title');
            \remove_post_type_support($post_type, 'excerpt');
            \remove_meta_box('postimagediv', $post_type, 'side');
            
        } else {
            \remove_meta_box($this->getId(), $post_type, $this->getPosition());
        }
        
        return $this;
    }
    
    public function processing(\MSP\WPObjects\Model\AbstractPostModel $Post, $data)
    {
        return $data;
    }
}