<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\MetaBox;

class StandingEditing extends AbstractMetaBox
{
    public function __construct()
    {
        $this->setId('standing-editing');
        $this->setTitle('Stage making');
        $this->setPosition('normal');
        $this->setPriority('high');
    }
    
    public function processing(\MSP\WPObjects\Model\AbstractPostModel $Post, $data)
    {
        return $data;
    }
    
    /**
     * @return \MSP\Model\Standing
     */
    public function getStanding()
    {
        return $this->getPostModel();
    }
    
    /**
     * @return \MSP\Model\Match
     */
    public function getMatches()
    {
        $Chmp = $this->getStanding()->getChamp();
        if (!$Chmp) {
            return array();
        }
        
        return $Chmp->getMatches();
    }
    
    public function renderMatchesSelector($stage_number, $match_index, $selected)
    {
        $options = array();
        $matches = $this->getMatches();
        foreach ($matches as $match) {
            $options[] = array(
                'id' => (string)$match->getId(),
                'name' => $match->getTitleForSelect()
            );
        }
        
        if (!is_array($selected)) {
            $selected = array($selected);
        }
        
        $lable = "Matches of game #" . ($match_index + 1);
        $name = "_stage_" . $stage_number . "[" . $match_index . "]";
        $multibple = true;
        $vertical = true;
        $ModelType = $this->getServiceManager()->get('ModelTypeFactory')->get(\MSP\DataType\ModelType::MATCH);
        $add_new_link = $ModelType->getAddNewLink();
        
        include $this->getPartTemplatePath('selector');
    }
    
}