<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\MetaBox;

class StandingInformation extends AbstractMetaBox
{
    public function __construct()
    {
        $this->setId('standing-information');
        $this->setTitle('Configuration');
        $this->setPosition('side');
        $this->setPriority('default');
    }
    
    public function processing(\MSP\WPObjects\Model\AbstractPostModel $Post, $data)
    {
        return $data;
    }
    
    public function renderStatingTypeSelector($vertical = true)
    {
        $options = array(
            array(
                'id' => 'wins',
                'name' => __('Wins', 'msp')
            ),
            array(
                'id' => 'score',
                'name' => __('Score', 'msp')
            ),
        );
        
        $lable = __('Standing statistic type');
        $name = "_score_type";
        $selected = array($this->getPostModel()->getMeta($name));
        
        include $this->getPartTemplatePath('selector');
    }
}