<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Model;

class Country extends AbstractDataModel
{
    const FLAG_IMG_SIZE_MINI = 16;
    const FLAG_IMG_SIZE_SMALL_ = 24;
    const FLAG_IMG_SIZE_NORMALL = 32;
    const FLAG_IMG_SIZE_MEDIUM = 48;
    const FLAG_IMG_SIZE_BIG = 64;
    const FLAG_IMG_SIZE_FULL = 128;
    
    public function __construct($data, \MSP\WPObjects\Model\AbstractModelType $ModelType)
    {
        parent::__construct($data, $ModelType);
        
        $this->countryCode = $this->id;
        $this->countryName = $this->name;
    }
    
    public function getName()
    {
        return $this->name;
    }
    
    public function getImgForSelect()
    {
        $img_url = $this->getFlagImgUrl(self::FLAG_IMG_SIZE_FULL);
        
        return $img_url;
    }
    
    public function getFlagImgUrl($size = self::FLAG_IMG_SIZE_NORMALL)
    {
        return MSP_PATH_URL . '/images/flags/'. $size .'/'. strtolower($this->getId()) .'.png';
    }
    
    public function toJSON()
    {
        $data = parent::toJSON();
        $data['img_url'] = $this->getImgForSelect();
        
        return $data;
    }
}