<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Model;

use MSP\DataType\ModelType;

class Game extends AbstractDataModel
{
    public function getId()
    {
        return $this->slug;
    }
    
    public function getName()
    {
        return $this->name;
    }
    
    public function getPlayerPositions($position_id = null)
    {
        $Positions = $this->getRelative(ModelType::PLAYER_POSITION, array(), false);
        if (is_null($position_id)) {
            return $Positions;
        }
        
        foreach ($Positions as $Position) {
            if ($Position->getId() == $position_id) {
                return $Position;
            }
        }
        
        return null;
    }
    
    public function getTeams($filters = array())
    {
        return $this->getRelative(ModelType::TEAM, $filters, false);
    }
    
    public function getHeroes($filters = array())
    {
        return $this->getRelative(ModelType::PLAYER_HERO, $filters, false);
    }
    
    public function getTeamStatisticTypes($filters = array())
    {
        return $this->getRelative(ModelType::TEAM_STATISTIC_TYPE, $filters, false);
    }
    
    public function getPlayerStatisticTypes($filters = array())
    {
        return $this->getRelative(ModelType::PLAYER_STATISTIC_TYPE, $filters, false);
    }
    
    public function isEsport()
    {
        if ($this->get('sport_type') === 'esport') {
            return true;
        }
        
        return false;
    }
    
    public function isMoba()
    {
        if ($this->get('esport_type') === 'moba') {
            return true;
        }
        
        return false;
    }
}