<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Model;

use MSP\WPObjects\Model\ModelInterface;
use MSP\Factory\MatchWeatherType as FactoryMatchWeatherType;

class MatchWeather implements ModelInterface
{
    /**
     * @var \MSP\Model\MatchWeatherType
     */
    protected $WeatherType = null;
    
    public function __construct($data)
    {
        $this->exchange($data);
    }
    
    public function exchange($data)
    {
        $this->ID = $data['ID'];
        $this->degrees = $data['degrees'];
        $this->description = $data['description'];
    }
    
    public function getName()
    {
        return $this->getWeatherType()->getName();
    }
    
    /**
     * @return \MSP\Model\MatchWeatherType
     */
    public function getWeatherType()
    {
        if (is_null($this->WeatherType)) {
            $Factory = new FactoryMatchWeatherType();
            $this->WeatherType = $Factory->get($this->getId());
        }
        
        return $this->WeatherType;
    }
    
    public function getId()
    {
        return $this->ID;
    }
    
    public function getMeta($key, $single = true)
    {
        return $this->$key;
    }

    public function getModelType()
    {
        return $this->model_type;
    }
}