<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Model;

use MSP\Model\AbstractPostModel as AbstractModel;

class Sponsor extends AbstractModel
{
    public function getMainSiteUrl()
    {
        return $this->getMeta('_main_website_link');
    }
    
    /**
     * 
     * @return \MSP\Model\SponsorType
     */
    public function getType()
    {
        return $this->getRelative(\MSP\DataType\ModelType::SPONSOR_TYPE);
    }
    
    public function getAttributes()
    {
        $atts = $this->getMeta('_attrs');
        $current = current($atts);
        if (!$atts || 
            !isset($current['name']) || 
            !isset($current['text']) ) {
            return array();
        }
        
        return $atts;
    }
    
    public function getSocial()
    {
        $socials = $this->getMeta('_socials');
        if (!is_array($socials) || !current(current($socials))) {
            return array();
        }

        return $socials;
    }
}