<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Model;

use MSP\DataType\ModelType;

class TeamStatisticType extends AbstractDataModel
{
    public function getId()
    {
        return $this->key;
    }
    
    public function getName()
    {
        return $this->name;
    }
    
    public function getGames()
    {
        return $this->getRelative(ModelType::GAME, array(), false);
    }
    
    public function getGameId()
    {
        return $this->getRelativeId(ModelType::GAME, false);
    }
    
    public function getGamesNames()
    {
        $Games = $this->getGames();
        $result_string = '';
        foreach ($this->getGames() as $key => $Game) {
            $result_string .= $Game->getName();
            $result_string .= isset($Games[$key + 1]) ? ', ' : '';
        }
        
        return $result_string;
    }
    
    public function save()
    {
        $index = $this->getDataAccess()->getIndexById($this->getId(), $this->getModelType());
        
        if ($this->get('ui') === null) {
            $this->ui = true;
        }
        
        parent::save();
        
        // If is creationg new statistic type
        if ($index === false && $this->get('ui') === true) {
            $this->createConculatingStatisticTypes();
        }
        
        return $this;
    }
    
    public function createConculatingStatisticTypes()
    {
        $duble_slugs = array(
            '_min' => 'Min', 
            '_max' => 'Max', 
            '_rate' => 'Rate'
        );
        
        foreach ($duble_slugs as $slug => $name_slug) {
            $key = $this->getId() . $slug;
            
            $this->getModelType()->initModel(array(
                'key' => $key,
                'ui' => false,
                'name' => $this->getName() . ' ' . $name_slug,
                'game' => $this->getGameId()
            ))->save();
        }
        
        return $this;
    }
}