<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Page;

class ExportImport extends \MSP\WPObjects\Page\AdminPage
{
    public function __construct()
    {
        $this->id = 'msp_export_import';
        $this->perent_menu_id = 'msp_main';
        $this->menu_name = __( 'Export/Import', 'msp' );
        $this->title = __( 'Export & Import data', 'msp' );
        $this->permission = 'manage_options';
        
        add_action('wp_loaded', array($this, 'downloadExportDataJson'));
    }
    
    public function enqueues()
    {
        $this->getAssetsManager()
             ->enqueueScript('bootstrap')
             ->enqueueStyle('database')
             ->enqueueStyle('form');
    }
    
    public function getTemplatePath()
    {
        return MSP_TEMPLATE_PATH . '/page/export-import.php';
    }
    
    public function POSTAction($data)
    {
        global $_FILES;
        $Data = \MSP\Data\Data::getInstance();
        
        if (isset($_FILES['json_import'])) {
            $json_data = file_get_contents($_FILES['json_import']['tmp_name']);
            $Data->importJSON($json_data);
        }
        
        if (isset($data['clean'])) {
            $Data->cleanStorages($this->getStorages());
        }
    }
    
    public function getStorages()
    {
        $DataTypes = $this->getServiceManager()->get('DataTypeFactory')->query()->getResult();
        $Storages = array();
        foreach ($DataTypes as $DataType) {
            $Storages[] = $DataType->getStorage();
        }
        
        return $Storages;
    }
    
    public function downloadExportDataJson()
    {
        if( !current_user_can( 'manage_options' ) ){
            return;
        }

        global $_SERVER;
        if ($_SERVER['REQUEST_URI'] == '/wp-admin/downloads/export.json') {
            $Data = \MSP\Data\Data::getInstance();
            $export_data = $Data->export($this->getStorages());
            $Data->translateExportToJSON($export_data);
            //this end!
        }
    }
}