<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Page;

class Permalinks extends \MSP\WPObjects\Page\AdminPage
{
    public function __construct()
    {
        $this->id = 'msp_permalinks';
        $this->perent_menu_id = 'msp_main';
        $this->menu_name = __( 'Permalinks', 'msp' );
        $this->title = __( 'Permalinks', 'msp' );
        $this->permission = 'manage_options';
    }
    
    public function enqueues()
    {
        $this->getAssetsManager()
             ->enqueueScript('bootstrap')
             ->enqueueStyle('database')
             ->enqueueStyle('form');
    }
    
    public function getTemplatePath()
    {
        return MSP_TEMPLATE_PATH . '/page/permalinks.php';
    }
    
    public function POSTAction($data)
    {
        $post_types = $this->getServiceManager()->get('PostTypeManager')->getAll();
        
        foreach ($post_types as $PostType) {
            if (!isset($data[$PostType->getId()])) {
                $slug = '';
            } else {
                $slug = $data[$PostType->getId()];
            }
            
            $PostType->setRewriteSlug($slug)
                     ->updateSettings()
                     ->initSettings()
                     ->register();
        }
        
        \flush_rewrite_rules();
    }
    
}
