<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\Page;

class StatisticIndex extends \MSP\WPObjects\Page\AdminPage
{
    public function __construct()
    {
        $this->perent_menu_id = 'msp_main';
        $this->menu_name = __( 'Players stats', 'msp' );
        $this->title = __( 'Players statistic index', 'msp' );
        $this->permission = 'manage_options';
        $this->id = 'msp_statistic_index';
    }
    
    public function enqueues()
    {
        $this->getAssetsManager()
             ->enqueueScript('bootstrap')
             ->enqueueStyle('database')
             ->enqueueStyle('form');
    }
    
    public function getTemplatePath()
    {
        return MSP_TEMPLATE_PATH . '/page/statistic-index.php';
    }
    
    public function POSTAction($data)
    {
        if (isset($data['reidex'])) {
            $Players = $this->getPlayers();
            foreach ($Players as $Player) {
                $Player->updateStatisticIndex()
                       ->saveMetas();
            }
        } else if (isset($data['clean'])) {
            $Players = $this->getPlayers();
            foreach ($Players as $Player) {
                $Player->cleatStatisticIndex()
                       ->saveMetas();
            }
        }
    }
    
    /**
     * @return \MSP\Model\Player
     */
    public function getPlayers()
    {
        return $this->getServiceManager()->get('PlayerFactory')->query()->getResult();
    }
}