<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Helpers;

class StatisticsTypes
{
    static public function getPlayerStatisticTypes()
    {
        $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerStatisticTypeFactory');
        $statistics_types = $Factory->query()->getForVCAutocompele();
        
        return array(
            array(
                'type' => 'autocomplete',
                'heading' => __( 'Player statistic types', 'msp' ),
                'param_name' => 'stat_key',
                'group' => __( 'Player statistics', 'msp' ),
                'description' => '<a target="_blank" href="' . admin_url('options-general.php?page=msp__statistic_types') . '">' . esc_html__('About statistic types', 'msp') . '</a>',
                'settings' => array(
                    'multiple' => true,
                    'unique_values' => true,
                    'sortable' => true,
                    'groups' => true,
                    "values" => $statistics_types
                ),
            ),
        );
    }
    
    static public function getTeamsStatisticTypes($param_name = "stat_key")
    {
        $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamStatisticTypeFactory');
        $statistics_types = $Factory->query()->getForVCAutocompele();
        
        return array(
            array(
                'type' => 'autocomplete',
                'heading' => __( 'Select organisations statistic types', 'msp' ),
                'param_name' => $param_name,
                'group' => __( 'Organisation statistics', 'msp' ),
                'description' => '<a target="_blank" href="' . admin_url('options-general.php?page=msp__statistic_types') . '">' . esc_html__('About statistic types', 'msp') . '</a>',
                'settings' => array(
                    'multiple' => true,
                    'unique_values' => true,
                    'sortable' => true,
                    'groups' => true,
                    'values' => $statistics_types
                ),
            ),
        );
    }
}