<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Helpers;

class WooCommerce
{
    static public function query()
    {
        return array(
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => __("Max count", 'msp'),
                "param_name" => "numberposts",
                "description" => __("* This option not workable with pagination", 'msp'),
                "group" => __( "Products query", 'msp' ),
                "value" => 5,
            ),
            
            array(
                "type" => "autocomplete",
                "heading" => __( "Filter by products category", "msp" ),
                "param_name" => "product_cat_id",
                "group" => __( "Products query", 'msp' ),
                'settings' => array(
                    'multiple' => true,
                    'unique_values' => true,
                    'display_inline' => true,
                    'delay' => 500,
                    'sortable' => true,
                    'auto_focus' => true,
                    "values" => msp__get_product_cat_for_autocompele(),
                ),
            ),
            
            array(
                "type" => "autocomplete",
                "heading" => __( "Select target products", "msp" ),
                "param_name" => "id",
                "group" => __( "Products query", 'msp' ),
                'settings' => array(
                    'multiple' => true,
                    'unique_values' => true,
                    'display_inline' => true,
                    'delay' => 500,
                    'sortable' => true,
                    'auto_focus' => true,
                    "values" => msp__get_products_for_autocompele(),
                ),
            ),
        );
    }
}