<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Shortcodes;

class FootballPitch extends \MSP\WPObjects\VC\Shortcode\DefaultShortcode
{
    public function getPlayersItems($players, $team_id, $match_id, $positions_in, $team_position = 'top', $item_class = '')
    {
        foreach ($players as $Player) {
            if (team_get_player_match_data($match_id, $Player->ID, '_organisation_id') == $team_id && team_get_player_match_data($match_id, $Player->ID, '_player_team_activity_id') == "primary_staff" && $position_id = team_get_player_match_data($match_id, $Player->ID, '_player_position_id')) {

                $position = team_get_amfootball_player_position_by_id($position_id);
                if (!$position || !in_array(strtolower($position_id), $positions_in)) {
                    continue;
                }
                ?>
                <a href="<?php echo get_permalink($Player->ID); ?>" 
                   class="player <?php echo esc_attr($team_position); ?> <?php echo esc_attr(strtolower($position->id)); ?> am-football <?php echo esc_attr($item_class); ?>" 
                   data-toggle="tooltip" 
                   data-placement="bottom" 
                   title="<?php echo esc_attr(team_the_player_number($Player->ID)); ?> <?php echo esc_attr(get_the_title($Player->ID)); ?>">
                       <?php echo get_the_post_thumbnail($Player->ID, array(56, 56)); ?>
                       <?php echo esc_html((string) $position->id); ?>
                </a>
                <?php
            }
        }
    }
}