<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Shortcodes;

class MatchCSGOTable extends \MSP\WPObjects\VC\Shortcode\DefaultShortcode
{
    public function render_table($team_id, $stats, \MSP\Model\Match $match)
    {
        $players = $match->getPlayersByMatchData( array('_organisation_id' => $team_id, '_player_team_activity_id' => 'primary_staff') );
        
        ?>
        <table class="csgo-match-results">
            <tbody>
                <tr>
                    <th><?php esc_html_e('MVP', 'msp');?></th>
                    <th><?php esc_html_e('Player', 'msp');?></th>
                    <th></th>
                    <?php foreach ($stats as $stat) : ?>
                        <th><?php echo esc_html($stat['name']); ?></th>
                    <?php endforeach; ?>
                </tr>
            
                <?php 
                    foreach ($players as $player) :
                        $player_stat = team_get_player_match_data($match->ID, $player->ID);
                ?>
                    <tr>
                        <td class="mvp">
                            <?php if (isset($player_stat['mvp']) && $player_stat['mvp'] > 0) : ?>
                                <i class="fa fa-star" aria-hidden="true"></i>
                                <span class="count"><?php echo esc_html($player_stat['mvp']); ?></span>
                            <?php endif; ?>
                        </td>
                        <td class="padding-img">
                            <a href="<?php echo get_permalink($player->ID); ?>">
                                <img src="<?php echo get_the_post_thumbnail_url($player->ID, array(64, 64)); ?>" alt="<?php echo esc_attr(get_the_title($player)); ?>">
                            </a>
                        </td>
                        <td class="player-name">
                            <a href="<?php echo get_permalink($player->ID); ?>">
                                <?php echo get_the_title($player); ?>
                            </a>
                        </td>

                        <?php foreach ($stats as $key => $stat) : ?>
                            <td>
                                <?php echo esc_html(isset($player_stat[$stat['key']]) ? $player_stat[$stat['key']] : __('N/A', 'msp') ); ?>
                            </td>
                        <?php endforeach; ?>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <?php
    }
}