<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Shortcodes;

class MatchDotaPick extends \MSP\WPObjects\VC\Shortcode\DefaultShortcode
{
    public function render_pick(\MSP\Model\Match $Match, $team_id)
    {
        $players = $Match->getPlayersByMatchData( array('_organisation_id' => $team_id, '_player_team_activity_id' => 'primary_staff') );
        
        foreach ($players as $player) {

            $hero = $Match->getPlayerHero($player->getId());
            ?>
            <a href="<?php echo get_the_permalink($player->ID); ?>">
                <span class="img-wrapper">
                    <?php if ($hero) : ?>
                        <img src="<?php echo esc_url($hero['img_full_url']); ?>" alt="player-hero">
                    <?php else: ?>
                        <img src="<?php echo MSP_PATH_URL; ?>/images/Dota-2-Logo.png" alt="player-hero" class="baned">
                    <?php endif; ?>
                </span>
                <span>
                    <?php if ($hero) : ?>
                        <span class="hero-name"><?php echo esc_html($hero['name']); ?></span>
                    <?php endif; ?>
                    <span class="player-name"><?php echo get_the_title($player); ?></span>
                </span>
            </a> 
            <?php
        }
    }

    public function render_bans($team_id, $match) 
    {
        $heroes = $match->getTeamBansHeroes($team_id);
        ?>
        <ul>
            <?php
            for ($i = 0; $i < 5; $i++) :
                $hero = isset($heroes[$i]) ? $heroes[$i] : false;
                ?>
                <li>
                    <a href="<?php echo $hero ? esc_url($hero['link_wiki']) : ''; ?>">
                        <?php if ($hero) : ?>
                            <img src="<?php echo esc_url($hero['img_full_url']); ?>" alt="player-hero" class="baned">
                        <?php else: ?>
                            <img src="<?php echo MSP_PATH_URL; ?>/images/Dota-2-Logo.png" alt="player-hero" class="baned">
                        <?php endif; ?>
                    </a>
                </li>
            <?php endfor; ?>
        </ul>

        <?php
    }
}