<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Shortcodes;

class MatchDotaPitch extends \MSP\WPObjects\VC\Shortcode\DefaultShortcode
{
    public function render_item($players, $match_id, $position_key, $item_class, $team_position)
    {
        foreach ($players as $player) {
            $hero = msp__get_dota_player_match_hero($match_id, $player->ID);
            if (!$hero) {
                continue;
            }
            ?>
            <a href="<?php echo get_permalink($player->ID); ?>" 
               class="player <?php echo esc_attr($team_position); ?> dota <?php echo esc_attr(strtolower($position_key)); ?> <?php echo esc_attr($item_class); ?>" 
               data-toggle="tooltip" 
               data-placement="bottom" 
               title="<?php echo esc_attr(get_the_title($player->ID) . ': ' . ucfirst($hero['name'])); ?> ">
                   <?php echo get_the_post_thumbnail($player->ID, array(56, 56)); ?>
                <img class="hero" src="<?php echo esc_url($hero['img_icon_url']); ?>" alt="<?php echo esc_attr($hero['name']); ?>"/>
            </a>
            <?php
        }
    }
}