<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC\Shortcodes;

class TimelineTabs extends \MSP\WPObjects\VC\Shortcode\TabsShortcode
{
    public function enqueueTtaScript()
    {
        return;
    }

    public function enqueueTtaStyles()
    {
        return;
    }
    
    public function getFileName() {
        return $this->shortcode;
    }

    public function getParamTabsList($atts, $content)
    {
        $isPageEditabe = vc_is_page_editable();
        $html = array();
        
        $html[] = '<ul class="timline-tabs">';
        if (!$isPageEditabe) {
            $active_section = $this->getActiveSection($atts, false);

            foreach (\WPBakeryShortCode_VC_Tta_Section::$section_info as $nth => $section) {
                $classes = '';
                if (( $nth + 1 ) === $active_section) {
                    $classes = 'active';
                }

                $title = $section['title'];
                if ('true' === $section['add_icon']) {
                    $icon_html = $this->constructIcon($section);
                    if ('left' === $section['i_position']) {
                        $title = $icon_html . $title;
                    } else {
                        $title = $title . $icon_html;
                    }
                }
                $a_html = '<a href="#' . $section['tab_id'] . '">' . $title . '</a>';
                $html[] = '<li class="'. $classes .'">' . $a_html . '</li>';
            }
        }
        $html[] = '</ul>';

        return implode('', apply_filters('vc-tta-get-params-tabs-list', $html, $atts, $content, $this));
    }

}