<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\VC;

class Storage extends \MSP\WPObjects\VC\Storage
{
    protected function initPresets($presets_data, $addon_name)
    {
        $results = array();
        foreach ($presets_data as $data) {
            $Preset = new \MSP\WPObjects\Customizer\Preset\Model($data);
            $Preset->setSettingsPregix('msp__addons_color_controls_' . $addon_name . '_');
            $results[] = $Preset;
        }
        
        return $results;
    }
    
    protected function initLessParams($params, $addon_name)
    {
        $result = array();
        foreach ($params as $key => $param) {
            if (is_string($key)) {
                $param['id'] = $key;
            }
            $param_model_class_name = $this->getParamModelClassName();
            $ParamModel = new $param_model_class_name($param);
            $ParamModel->setNamespace($this->getAssetsManager()->getNamespace());
            $ParamModel->setSettingName('msp__addons_color_controls_' . $addon_name . '_' . $param['id']);
            
            $this->getServiceManager()->inject($ParamModel);
            $result[] = $ParamModel;
        }
        
        return $result;
    }
}