<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
/**
 * Global
 */
    array(
        'bootstrap',
        plugins_url('msp/js/library/bootstrap.min.js'),
        array('jquery'),
        null,
        true
    ),
    
    array(
        'progressbar',
        plugins_url('msp/js/library/progressbar.min.js'),
        array('jquery'),
        '1.0.1',
        true
    ),
    
    array(
        'chartist',
        plugins_url('msp/js/library/chartist.js'),
        array(),
        '0.11.0',
        true
    ),
    
    array(
        'jquery.bracket',
        plugins_url('msp/js/library/jquery.bracket.min.js'),
        array(),
        '1.0.0',
        true
    ),
    
    array(
        'owl.carousel',
        plugins_url('msp/js/library/owl.carousel.min.js'),
        array('jquery'),
        '2.2.1',
        true
    ),
    
    array(
        'imagesloaded',
        plugins_url('msp/js/library/imagesloaded.pkgd.min.js'),
        array('jquery'),
        '4.1.2',
        true
    ),
    
    array(
        'isotope',
        plugins_url('msp/js/library/isotope.min.js'),
        array('jquery'),
        '3.0.2',
        true
    ),
    
    array(
        'Chart',
        plugins_url('msp/js/library/Chart.min.js'),
        array(),
        '2.5.0',
        true
    ),
    
    array(
        'echarts',
        plugins_url('msp/js/library/echarts.min.js'),
        array('jquery'),
        null,
        true
    ),
    
    array(
        'selectize',
        plugins_url('msp/js/library/selectize.js'),
        array('jquery'),
        '0.12.4',
        true
    ),
    
    array(
        'chartist-plugin-pointlabels',
        plugins_url('msp/js/library/chartist-plugin-pointlabels.js'),
        array('chartist'),
        null,
        true
    ),
    
    array(
        'chartist-plugin-legend',
        plugins_url('msp/js/library/chartist-plugin-legend.js'),
        array('chartist'),
        null,
        true
    ),
    
    array(
        'chartist-plugin-threshold',
        plugins_url('msp/js/library/chartist-plugin-threshold.js'),
        array('chartist'),
        null,
        true
    ),
    
/**
 * MSP
 */
    array(
        'dashboard',
        plugins_url('msp/js/dashboard.js'),
        array('jquery'),
    ),
    
    array(
        'jquery.team-countdown',
        plugins_url('msp/js/library/jquery.team-coundown.js'),
        array('jquery', 'backbone'),
    ),
    
    array(
        'twitter-slider',
        plugins_url('msp/js/library/twitter_slider.js'),
        array('jquery', 'owl.carousel'),
    ),
    
    array(
        'championships-standings',
        plugins_url('msp/js/library/championships_standings.js'),
        array('jquery'),
    ),
    
    array(
        'timline-tabs',
        plugins_url('msp/js/library/timline_tabs.js'),
        array('jquery'),
    ),
    
    array(
        'news-carousel',
        plugins_url('msp/js/library/news_carousel.js'),
        array('jquery', 'owl.carousel'),
    ),
    
    array(
        'videos-slider',
        plugins_url('msp/js/library/videos_slider.js'),
        array('jquery'),
    ),
    
    array(
        'media-post-slider',
        plugins_url('msp/js/library/media_post_slider.js'),
        array('jquery', 'owl.carousel'),
    ),
    
    array(
        'anchor',
        plugins_url('msp/js/library/anchor.js'),
        array('jquery'),
    ),
    
    array(
        'landing-header',
        plugins_url('msp/js/library/landing_header.js'),
        array('jquery'),
    ),
    
    array(
        'visible',
        plugins_url('msp/js/library/visible.js'),
        array('jquery'),
    ),
    
    array(
        'advanced-smill',
        plugins_url('msp/js/library/advanced_smill.js'),
        array('jquery', 'chartist', 'chartist-plugin-legend'),
    ),
    
    array(
        'bipolar-diagram',
        plugins_url('msp/js/library/bipolar_diagram.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'diagram',
        plugins_url('msp/js/library/diagram.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'donut-chart',
        plugins_url('msp/js/library/donut_chart.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'gauge-chart',
        plugins_url('msp/js/library/gauge_chart.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'stacked-bar',
        plugins_url('msp/js/library/stacked_bar.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'timeseries',
        plugins_url('msp/js/library/timeseries.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'threshold',
        plugins_url('msp/js/library/threshold.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'animate-donut',
        plugins_url('msp/js/library/animate_donut.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'horizontalbar',
        plugins_url('msp/js/library/horizontalbar.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'svg-path',
        plugins_url('msp/js/library/svg_path.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'pick-circle',
        plugins_url('msp/js/library/pick_circle.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'label-placement',
        plugins_url('msp/js/library/label_placement.js'),
        array('jquery', 'chartist'),
    ),
    
    array(
        'store-list-light-version',
        plugins_url('msp/js/library/store_list_light_version.js'),
        array('jquery', 'owl.carousel', 'bootstrap'),
    ),
    
    array(
        'light-media-post-carousel',
        plugins_url('msp/js/library/light_media_post_carousel.js'),
        array('jquery'),
    ),
    
    array(
        'organisation-staff',
        plugins_url('msp/js/library/organisations_staff.js'),
        array('jquery'),
    ),
    
    array(
        'ajax-script',
        plugins_url('msp/js/ajax/matches.js'),
        array('jquery'),
    ),
    
);