<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    /**
     * Assets Manager
     */
    'AssetsManager' => function ($sm) {
        $AM = new \MSP\WPObjects\AssetsManager\AssetsManager();
        
        $AM->setNamespace($sm->get('namespace'))
           ->registerStyles(include $sm->get('wpobjects_dir_path') . '/config/register.styles.php')
           ->addJSTemplates(include $sm->get('wpobjects_dir_path') . '/config/register.templates.php')
           ->registerScripts(include $sm->get('plugin_dir_path') . 'includes/MSP/config/register.scripts.php')
           ->registerScripts(include $sm->get('wpobjects_dir_path') . '/config/register.scripts.php')
           ->registerStyles(include $sm->get('plugin_dir_path') . 'includes/MSP/config/register.styles.php');
        
        return $AM;
    },
            
    'LessParamsStorage' => function ($sm) {
        return new \MSP\WPObjects\Data\Storage(array(
            'id' => 'less-params',
            'include' => $sm->get('plugin_dir_path') . 'data/less-params.php',
        ));
    },
            
    'LessParamsPresets' => function ($sm) {
        $presets = include MSP_PATH . '/data/less-params-presets.php';
        
        $result = array();
        foreach ($presets as $preset) {
            $Preset = new \MSP\WPObjects\Customizer\Preset\Model($preset);
            $Preset->setSettingsPregix($sm->get('wp_customizer_model_params_namespace'));
            $sm->inject($Preset);
            $result[] = $Preset;
        }
        
        return $result;
    },  
    
);