<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    'MetaBoxPlayerInformation' => '\MSP\MetaBox\PlayerInformation',
    'MetaBoxPlayerSpecifications' => '\MSP\MetaBox\PlayerSpecifications',
    'MetaBoxPlayerPhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Player photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxGameSelector' => '\MSP\MetaBox\GameSelector',
    'MetaBoxBroadcastInformation' => '\MSP\MetaBox\BroadcastInformation',
    'MetaBoxBroadcastSettings' => '\MSP\MetaBox\BroadcastSettings',
    'MetaBoxBroadcastBg' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('broadcast_bg');
        $MetaBox->setTitle(__('Broadcast cover image', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxPageCoverImage' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('page_cover_image_id');
        $MetaBox->setTitle(__('Page cover image', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxBroadcastLogo' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Broadcast logo', 'msp'));
        
        return $MetaBox;
    },        
    'MetaBoxChampionshipInformation' => '\MSP\MetaBox\ChampionshipInformation',
    'MetaBoxChampionshipLogo' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Championship Logo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxCommentatorInformation' => '\MSP\MetaBox\CommentatorInformation',
    'MetaBoxCommentatorPhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Commentator photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxTeamInformation' => '\MSP\MetaBox\TeamInformation',
    'MetaBoxTeamLogo' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Team logo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxTeamPhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('msp__organisation_photo');
        $MetaBox->setTitle(__('Team photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxRefereeInformation' => '\MSP\MetaBox\RefereeInformation',
    'MetaBoxRefereePhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Referee photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxTrainerInformation' => '\MSP\MetaBox\TrainerInformation',
    'MetaBoxTrainerPhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Trainer photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxTrophyInformation' => '\MSP\MetaBox\TrophyInformation',
    'MetaBoxTrophyPhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Trophy photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxVenuePhoto' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Venue photo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxMatchEventInfo' => '\MSP\MetaBox\MatchEventInfo',
    'MetaBoxMatchSettings' => '\MSP\MetaBox\MatchSettings',
    'MetaBoxMatchTeamStatistic' => '\MSP\MetaBox\MatchTeamStatistic',
    'MetaBoxMatchPlayerStatistic' => '\MSP\MetaBox\MatchPlayerStatistic',
    'MetaBoxMatchSelectTeam' => '\MSP\MetaBox\MatchSelectTeam',
    'MetaBoxMatchConfiguration' => '\MSP\MetaBox\MatchConfiguration',
    'MetaBoxPageLiveUpdate' => '\MSP\MetaBox\PageLiveUpdate',
    'MetaBoxMatchBG' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Match cover image', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxMatchGameSelector' => function ($sm) {
        $MetaBox = new \MSP\MetaBox\GameSelector();
        $MetaBox->setTitle(__('Matchmaking', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxStandingInformation' => '\MSP\MetaBox\StandingInformation',
    'MetaBoxStandingEditing' => '\MSP\MetaBox\StandingEditing',
    'MetaBoxSponsorLogo' => function ($sm) {
        $MetaBox = new \MSP\WPObjects\PostType\MetaBox\CustomImagePicker();
        $MetaBox->setId('thumbnail_id');
        $MetaBox->setTitle(__('Sponsor logo', 'msp'));
        
        return $MetaBox;
    },
    'MetaBoxSponsorSettings' => '\MSP\MetaBox\SponsorSettings',
    
);