<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    /**
     * System namespace
     * inject via DI interface WPObjects\Service\NamespaceInterface 
     */
    'namespace' => 'MSP',
    'build' => '1.0.0',
    'vc_addons_namespace' => 'msp',
    'wp_customizer_params_namespace' => 'mdl',
    'wp_customizer_model_params_namespace' => 'mdl__color_',
    'vc_addons_param_model_class_name' => function () {
        return '\MSP\LessCompiler\ParamModel';
    },
    
    'plugin_dir_path' => MSP_PATH,
    'vc_addons_dir_path' => MSP_PATH . '/includes/vc-addons',
    'vc_templates_dir_path' => MSP_PATH . '/includes/vc-templates',
    
    /**
     * Dependence Injection Service
     * Configuration DI rules in service.di.php
     */
    'DI' => function ($sm) {
        $DI = new \MSP\WPObjects\Service\DI();
        $DI->addConfig(include $sm->get('wpobjects_dir_path') . '/config/service.di.php');
        $DI->addConfig(include MSP_PATH . 'includes/MSP/config/service.di.php');
        return $DI;
    },
            
    /**
     * Data Access Object
     */
    'DataAccess' => function(){
        return \MSP\Data\Data::getInstance();
    },
            
    /**
     * Data storages
     */
    'PostTypeStorage' => function ($sm) {
        $data = new \MSP\WPObjects\Data\StorageCombine(array(
            'id' => 'post-type',
            'patches' => array(
                $sm->get('wpobjects_dir_path') . '/storage/post-types.php',
                $sm->get('plugin_dir_path') . '/data/post-types.php'
            )
        ));
        
        return $data;
    },
    'DataTypeStorage' => function ($sm) {
        return new \MSP\WPObjects\Data\StorageCombine(array(
            'id' => 'datas',
            'patches' => array(
                $sm->get('plugin_dir_path') . '/data/data.php',
                $sm->get('wpobjects_dir_path') . '/storage/data.php'
            )
        ));
    },
            
    'SettingsStorage' => function ($sm) {
        return new \MSP\WPObjects\Data\StorageCombineUnique(array(
            'id' => 'settings',
            'patches' => array(
                $sm->get('wpobjects_dir_path') . '/storage/settings.php',
                $sm->get('plugin_dir_path') . '/data/settings.php'
            )
        ));
    },
       
    /**
     * APIs
     */
    'APITwitch' => '\MSP\API\Twitch',
            
    /**
     * WP Cron tasks
     */
    'CronTwitchBroadcasts' => '\MSP\Cron\TwitchBroadcasts',
    
);