<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/**
 * @since 4.0.0
 */
add_action('init', function (){
    
    global $table_prefix;
    $option_name = 'msp-translate-vc-addon-presets-done';
    
    $done = get_option($option_name, false);
    if ($done) {
        return;
    }
    
    $demos_presets_map = array(
        'team_football_' => 'Football',
        'team_hockey_' => 'Hockey',
        'team_basket_' => 'Basketball',
        'team_baseball_' => 'Baseball',
        'team_csgo_' => 'CS:GO',
        'team_soccer_' => 'Soccer',
        'team_dota_' => 'DOTA',
        'esport_team_' => 'eSport team',
        'esport_chmp_' => 'eSport chmp',
        'sport_team_' => 'Sport team',
        'sport_chmp_' => 'Sport chmp',
    );
    
    if (!isset($demos_presets_map[$table_prefix])) {
        return;
    }
    
    $preset_name = $demos_presets_map[$table_prefix];
    $preset_id = strtolower(str_replace(array(':', ' '), '_', $preset_name));
    
    $VCAddonsFatory = \MSP\WPObjects\Service\Manager::getInstance()->get('AddonFactory');
    $Addons = $VCAddonsFatory->query()->getResult();
    
    foreach ($Addons as $Addon) {
        $Presets = $Addon->getPresets();
        foreach ($Presets as $Preset) {
            if ($Preset->getId() !== $preset_id) {
                continue;
            }
            
            $Preset->setupPreset();
        }
    }
    
    update_option($option_name, true);
});