<?php

function msp__get_dota_heroes()
{
    return msp__get_player_heroes_by_game('dota');
}

function msp__get_dota_hero_by_id($hero_id)
{
    $heroes = msp__get_dota_heroes();
    foreach ($heroes as $hero) {
        if ($hero['id'] == $hero_id) {
            return $hero;
        }
    }
    
    return null;
}

function msp__get_dota_heroes_by_ids($ids)
{
    $result = array();
    foreach ($ids as $id) {
        $result[] = msp__get_dota_hero_by_id($id);
    }
    
    return $result;
}

function msp__get_dota_player_match_hero($match_id, $player_id)
{
    $hero_id = team_get_player_match_data($match_id, $player_id, '_player_hero_id');
    if (!$hero_id) {
        return null;
    }
    
    return msp__get_dota_hero_by_id($hero_id);
}

function msp__get_dota_match_team_bans_heroes($match_id, $organisation_id)
{
    $bans = team_get_team_math_data($match_id, $organisation_id, '_dota_bans_heroes');
    if (!is_array($bans)) {
        return array();
    }
    
    return msp__get_dota_heroes_by_ids($bans);
}