<?php

function team_get_organisations($filters = array(), $query_object = false)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamFactory');
    return $Factory->query($filters, $query_object)->getResult();
}

function team_get_organisations_for_autocomplete()
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamFactory');
    return $Factory->query()->getForVCAutocompele();
}

function msp__get_organisation_photo($organisation_id, $size = 'medium')
{
    $attachment_id = get_post_meta($organisation_id, '_msp__organisation_photo', true);
    if (!$attachment_id) {
        return '';
    }
    
    $url_attachment = wp_get_attachment_image_url($attachment_id, $size);
    return $url_attachment;
}

function msp__get_organisation_logo($organisation_id, $size = 'medium')
{
    return get_the_post_thumbnail_url($organisation_id, $size);
}

function msp__get_organisation_images($organisation_id, $size = 'medium')
{
    $photo = msp__get_organisation_photo($organisation_id, $size);
    $logo = get_the_post_thumbnail_url($organisation_id, $size);
    
    if ($photo) {
        return $photo;
    } 
    
    return $logo;
}

function msp_get_organisation_attributes($organisation_id)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamFactory');
    $Team = $Factory->get($organisation_id);
    return $Team->getAttributes();
}

function team_get_organisation_latest_matches($organisation_id, $count = 5, $filters = array())
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamFactory');
    $Team = $Factory->get($organisation_id);
    if (!$Team) {
        return array();
    }
    
    return $Team->getLatestMatches($count, $filters);
}

function team_get_organisation_stat($filters)
{
    $organisation_id = isset($filters['_organisation_id']) ? $filters['_organisation_id'] : null;
    unset($filters['_organisation_id']);
    if (!$organisation_id) {
        return array();
    }
    
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('TeamFactory');
    $Team = $Factory->get($organisation_id);
    if (!$Team) {
        return array();
    }
    
    return $Team->getStatistic($filters);
}


