<?php

function team_get_players($filters = array(), $query_object = false)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    return $Factory->query($filters, $query_object)->getResult();
}

function team_get_players_for_autocomplete()
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Factory->query();
    return $Factory->getForVCAutocompele();
}

function team_get_player_game($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getGame();
}

function team_get_player_team_name($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getTeamName();
}

function team_get_football_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('fotball');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_amfootball_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('american_football');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_hockey_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('hockey');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_basketball_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('basketball');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_dota_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('dota');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_baseball_player_position_by_id($position_id)
{
    $GameFactory = \MSP\WPObjects\Service\Manager::getInstance()->get('GameFactory');
    $Game = $GameFactory->get('baseball');
    if (!$Game) {
        return null;
    }
    return $Game->getPlayerPositions($position_id);
}

function team_get_player_position($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getPosition();
}

function msp__get_player_role($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getRole();
}

function team_get_player_organisation($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getTeam();
}

function team_get_player_organisation_id($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getTeamId();
}

function team_the_player_position($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    if (!$Player) {
        return '';
    }

    return $Player->getPositionName();
}

function team_the_player_summary_stat($player_id, $key = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getCurrentStatistic($key);
}

function msp__get_player_activity_id($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getPlayerActivityId();
}

function team_the_player_number($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getPlayerNumber();
}

function msp_is_player_capitain($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->isCapitan();
}

function msp_get_player_age($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getAge();
}

function msp_get_player_organisations_ids($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getTeamsHistoryIds();
}

function msp_get_player_organisations($player_id = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getTeamsHistory();
}


/**
 * Player statistics
 */

function msp__get_player_stat_cache($player_id = null, $key = null)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getStatisticFromCache($key);
}

function msp__get_player_stat_cache_by_key($player_id, $key)
{
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    return $Player->getStatisticFromOnceCache($key);
}

function msp__get_best_players_stats($filters = array())
{
    $players = team_get_players(array_merge(array(
        'max_count' => -1
    ), $filters));
    
    $result = array();
    foreach ($players as $player) {
        $player_stats = msp__get_player_stat_cache($player->ID);
        if (!count($player_stats)) {
            continue;
        }
        
        foreach ($player_stats as $name => $value) {
            
            if (!isset($result[$name])) {
                $result[$name] = $value;
                continue;
            }
                
            if ($result[$name] < $value) {
                $result[$name] = $value;
            }
        }
        
    }
    
    return $result;
}

/**
 * Return summary all statistic types from filtered matches
 */
function team_get_player_stat($filters)
{
    $player_id = isset($filters['_player_id']) ? $filters['_player_id'] : null;
    if (!$player_id) {
        return array();
    }
    unset($filters['_player_id']);
    
    $Factory = \MSP\WPObjects\Service\Manager::getInstance()->get('PlayerFactory');
    $Player = $Factory->get($player_id);
    if (!$Player) {
        return array();
    }
    
    return $Player->getPlayerStatistic($filters);
}

function msp__get_player_stats_for_radar_diagram($player_id, $stats)
{
    $best_stats = msp__get_best_players_stats();
    $player_stats = msp__get_player_stat_cache($player_id);

    $result_labels = array();
    $result_valueses = array();
    foreach ($stats as $stat) {
        $key = $stat['key'];
        $best_value = isset($best_stats[$key]) ? $best_stats[$key] : 0;
        
        $result_labels[] = array(
            'text' => $stat['name'],
            'max' => $best_value
        );

        if (!isset($player_stats[$key]) || !$player_stats[$key]) {
            $result_valueses[] = $best_value / 10;
        } else {
            $result_valueses[] = $player_stats[$key];
        }
    }
    
    return array(
        'labels' => $result_labels,
        'values' => $result_valueses
    );
}

function msp__get_player_stats_for_circle_diagrams($player_id, $stats)
{
    $best_stats = msp__get_best_players_stats();
    $player_stats = msp__get_player_stat_cache($player_id);

    $result = array();
    foreach ($stats as $stat) {
        $key = $stat['key'];

        $result[$key]['name'] = $stat['name'];

        if (!isset($player_stats[$key]) || !$player_stats[$key]) {
            $result[$key]['value'] = 1;
        } else {
            $result[$key]['value'] = ($player_stats[$key] / $best_stats[$key]) * 100;
        }
    }
    
    return $result;
}


