<?php

function msp__get_products($filters = array(), $query_object = false)
{
    $meta_query = array('relation' => 'AND');
    $tax_query = array('relation' => 'AND');
    $query = array(
        'post_type' => 'product',
        'post_status' => 'publish',
        'meta_query' => &$meta_query,
        'tax_query' => &$tax_query
    );
    
    if (isset($filters['numberposts'])) {
        $query['numberposts'] = $filters['numberposts'];
    } else {
        $query['numberposts'] = -1;
    }
    
    if (isset($filters['product_cat_id']) && $filters['product_cat_id']) {
        $tax_query[] = array(
            'taxonomy' => 'product_cat',
            'field'    => 'term_id',
            'terms' => $filters['product_cat_id']
        );
    }
    
    if (isset($filters['posts_per_page'])) {
        $query['posts_per_page'] = $filters['posts_per_page'];
    }
    
    if (isset($filters['page']) && $filters['page'] > 1) {
        $query['offset'] = $query['posts_per_page'] * ($filters['page'] - 1);
    }
    
    if ($query_object) {
        return new WP_Query($query);
    }
    
    return get_posts($query);
}

function msp__get_products_for_autocompele()
{
    $products = msp__get_products();
    $result = array();
    foreach ($products as $product) {
        $result[] = array(
            'label' => $product->post_title,
            'value' => $product->ID
        );
    }
    
    return $result;
}

function msp__get_product_cat_for_autocompele()
{
    $products_cats = get_terms(array('taxonomy' => 'product_cat', 'hide_empty'  => true));
    $result = array();
    foreach ($products_cats as $products_cat) {
        if (!isset($products_cat->name) || !isset($products_cat->term_id)) {
            continue;
        }
        
        $result[] = array(
            'label' => $products_cat->name,
            'value' => $products_cat->term_id
        );
    }
    
    return $result;
}

