<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \MSP\MetaBox\BroadcastSettings */ 
/* @var $Broadcast \MSP\Model\Broadcast */ 

$Broadcast = $this->getPostModel();
$last_screenshot_url = $Broadcast->getLastScreenshotUrl();
$active_date = $Broadcast->getLastLiveDate();
?>

<div class="msp-bootstrap-wrapper msp-form">
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::BROADCAST_STATUS); ?>
    
    <?php $this->renderAttrInput('_viewers_count', __('Viewers count', 'msp'), true, 'number'); ?>
    
    <?php $this->renderAttrInput('_steam_twitch_id', __('Twitch.tv stream ID', 'msp')); ?>
    
    <?php $this->renderCheckbox('_twitch_api_enable', __('Twitch API', 'msp')); ?>

    <p class="help-block">
        <?php echo __('Enable auto update stream data via twitch api. Will be updated status, viewers and screenshot.', 'msp') ?>
    </p>
    
    <?php if ($active_date): ?>
    <b>Last active:</b> <?php echo $active_date; ?>
    <?php endif; ?>
    
    <?php if ($last_screenshot_url) : ?>
    <img src="<?php echo $last_screenshot_url; ?>" class="img-responsive">
    <?php endif; ?>
    
</div>