<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \MSP\MetaBox\MatchPlayerStatistic */

$Match = $this->getMatch();
$Teams = $Match->getTeams();
if (count($Teams) < 2) {
    echo '<p class="text-warning">' . esc_html_e('Teams is Undefined  in current match. Please create a new match.', 'msp') . '</p>';
    return;
}

$Game = $this->getMatch()->getGame();
$StatisticTypes = $Game ? $Game->getPlayerStatisticTypes(array('ui' => true)) : array();

?>

<div class="msp-bootstrap-wrapper msp-form msp-match-players">
    
    <div class="row">
        <?php foreach ($Teams as $Team): 
            $Players = $Match->getPlayersByTeam($Team->getId());
            ?>

            <div class="col-md-6">
                
                
                <div class="msp-box teams-stats">
                    <div class="box-title">
                        <img src="<?php echo $Team->getThumbnailUrl('thumbnail'); ?>" class="team-logo">
                        <a href="<?php echo $Team->getEditeLink() ?>" target="_blank"><?php echo $Team->getName(); ?></a>
                    </div>
                    
                    <?php foreach ($Players as $Player) : 
                        $number = $Player->getPlayerNumber();
                        ?>
                    
                        <input type="hidden" name="<?php echo $this->getPlayerDataTeamInputName($Player); ?>" value="<?php echo $Team->getId() ?>">
                    
                        <div class="msp-box player <?php echo $Match->isPlayerPlaying($Player->getId()) ? '' : 'non-active' ?>">
                            <div class="player-title">
                                <img src="<?php echo $Player->getThumbnailUrl('thumbnail'); ?>" class="player-logo">
                                <?php echo $number ? "$number<br>" : ''; ?>
                                <a href="<?php echo $Player->getEditeLink() ?>" target="_blank"><?php echo $Player->getName(); ?></a>
                                <br>
                                <div class="clearfix"></div>
                            </div>
                            
                            <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::PLAYER_TEAM_ACTIVITY, __('Activity', 'msp'), false); ?>
                            
                            <?php if ($Match->isPlayerPlaying($Player->getId())) : ?>
                            
                                <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::PLAYER_POSITION, __('Position', 'msp'), false); ?>

                                <?php if ($Game && $Game->get('sport_type') == "esport"): ?>
                                    <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::PLAYER_ROLE, __('Role', 'msp'), false); ?>

                                    <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::PLAYER_HERO, __('Hero', 'msp'), false); ?>

                                    <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::PLAYER_ITEM, __('Items', 'msp'), true, '', true); ?>
                                <?php endif; ?>

                                <?php if ($Game && $Game->getId() === \MSP\DataType\Game::LOL): ?>

                                    <?php $this->renderPlayeMatchDataInput($Player, \MSP\DataType\ModelType::LOL_PLAYER_SPELL, __('Spells', 'msp'), true, '', true); ?>

                                <?php endif; ?>

                                <?php $this->getPlayerMatchDataCheckbox($Player, '_player_capitan', __('Team captain', 'msp')); ?>

                                <div class="row">
                                    <?php foreach ($StatisticTypes as $Stat): ?>
                                        <div class="col-md-6">
                                            <?php $this->renderPlayerStatInput($Stat, $Player); ?>
                                            <div class="clearfix"></div>
                                        </div>
                                    <?php endforeach; ?>

                                    <div class="clearfix"></div>
                                </div>
                            
                            <?php endif; ?>
                            
                            <div class="clearfix"></div>
                            
                        </div>
                    
                    <?php endforeach; ?>
                </div>

            </div>

        <?php endforeach; ?>
        <div class="clearfix"></div>
    </div>
    
</div>