<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \MSP\MetaBox\MatchSettings */

$Game = $this->getGame();
$post = $this->getPost();

?>

<div class="msp-bootstrap-wrapper msp-form">
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::GAME, __('Sport', 'msp')); ?>
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::CHAMPIONSHIP, __('Championship', 'msp')); ?>
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::VENUE, __('Area', 'msp')); ?>
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::BROADCAST, __('Broadcasts', 'msp'), true, '', true); ?>
    
    <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::REFEREE, __('Referees', 'msp'), true, '', true); ?>
    
    <?php if ($Game && !$Game->isEsport()) : ?>
        <?php $this->renderQualifierSelector(\MSP\DataType\ModelType::MATCH_WEATHER_TYPE, __('Weather', 'msp')); ?>
        <?php $this->renderCustomInput('_weather_degrees', __('Degrees', 'msp'), true); ?>
        <?php $this->renderCustomInput('_weather_description', __('Weather details', 'msp'), true); ?>
    <?php endif; ?>
    
    <hr>
    
    <p class="help-block">
        <?php echo esc_html_e('You can add events to the match, which will be displayed on the match page and text translation.', 'msp'); ?>
    </p>
    <div class="m-b-sm">
        <a href="<?php echo admin_url('post-new.php?post_type=match-events&_match_id=' . $post->ID); ?>" 
           class="button button-default pull-left">
            <span class="dashicons dashicons-plus"></span>
            <?php esc_html_e('create event', 'msp'); ?>
        </a>
        <a href="<?php echo admin_url('edit.php?post_type=match-events'); ?>" 
           class="button button-default pull-right">
               <?php esc_html_e('Events list', 'msp'); ?>
        </a>
        <div class="clearfix"></div>
    </div>
    
    <hr>
    
    <p class="help-block">
        <?php esc_html_e('Your must added to match page special VC widgets for displaying this settings.', 'msp'); ?>
    </p>
    
</div>