<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \MSP\MetaBox\MatchTeamStatistic */

$Match = $this->getMatch();
$Teams = $Match->getTeams();
if (count($Teams) < 2) {
    echo '<p class="text-warning">' . esc_html_e('Teams is Undefined  in current match. Please create a new match.', 'msp') . '</p>';
    return;
}

$Team = current($Teams);
$TeamStatisticTypes = $Team->getStatisticTypes(array('ui' => true));
$MainStatisticTypes = $Team->getStatisticTypes(array('main_score' => true, 'ui' => true));
$MainStat = current($MainStatisticTypes) ? current($MainStatisticTypes) : null;
$Game = $this->getMatch()->getGame();

?>

<div class="msp-bootstrap-wrapper msp-form msp-match-teams">
    
    <div class="row">
        <?php foreach ($Teams as $Team): 
            $Country = $Team->getCountry();
            ?>

        <div class="col-md-6">
            <div class="msp-box teams-stats">
                
                <div class="team-title">
                    <img src="<?php echo $Team->getThumbnailUrl('small'); ?>" class="team-logo">
                    <a href="<?php echo $Team->getEditeLink() ?>" target="_blank"><?php echo $Team->getName(); ?></a>
                    <?php if ($Country): ?>
                    <br>
                    <small>
                        <img src="<?php echo $Country->getFlagImgUrl($Country::FLAG_IMG_SIZE_NORMALL); ?>">
                        <?php echo $Country->getName(); ?>
                    </small>
                    <?php endif; ?>
                    <div class="clearfix"></div>
                </div>
                
                <div>
                    <?php if ($MainStat) : ?>
                    <div class="col-md-12">
                        <?php $this->renderTeamStatInput($MainStat, $Team); ?>
                        <div class="clearfix"></div>
                    </div>
                    <?php endif;?>
                    
                    
                    <div class="row">
                        <?php foreach ($TeamStatisticTypes as $Stat): 
                            if ($Stat->getId() === $MainStat->getId()) continue;
                        ?>
                            <div class="col-md-6">
                                <?php $this->renderTeamStatInput($Stat, $Team); ?>
                                <div class="clearfix"></div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            
            <?php if ($Game && $Game->isMoba() ) : ?>
            <div class="msp-box">
                
                <?php $this->renderHeroesBandSelector($Team); ?>
                
            </div>
            <?php endif; ?>
            
            <div class="msp-box">
                
                <?php $this->renderPlayersSelector($Team); ?>
                
            </div>
            
            <div class="msp-box">
            
            <?php $this->renderTrainersSelector($Team); ?>
                
            </div>
            
        </div>

        <?php endforeach; ?>
        <div class="clearfix"></div>
    </div>
    
</div>