<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */


/* @var $this \MSP\MetaBox\StandingEditing */

$Stages = $this->getStanding()->getStages();

?>

<div class="msp-bootstrap-wrapper msp-form">
    
    <p><b><?php esc_html_e('Select stages count to continue', 'msp');?></b></p>
    <div class="row m-b-md">
        <div class="col-md-8">
            <?php $this->renderCustomInput('_stage_count', __('Stages count', 'msp'), false); ?>
            
            <p class="help-block">
                <?php esc_html_e('If your selected 3 stages is 1/4, 1/2 and final games', 'msp');?>.
            </p>
        </div>
        <div class="col-md-4">
            <button name="save" type="submit" class="button" id="publish" value="<?php esc_html_e('Continue', 'msp'); ?>">
                <?php esc_html_e('Continue', 'msp'); ?>
            </button>
        </div>
        
        <div class="clearfix"></div>
    </div>
    
    <?php if ($this->getStanding()->getStateCount()) : ?>
        
    
        <div class="row">

            <?php foreach ($Stages as $stage => $stage_matches_ids) : 
                $count = count($stage_matches_ids);
                ?>

                <div class="col-md-4 col-sm-6">
                    <div class="msp-box m-b-sm">
                        <div class="box-title">
                            <b><?php echo esc_html( $count > 1 ? '1/' . $count : __('Final', 'msp')); ?></b>
                        </div>
                    <?php foreach ( $stage_matches_ids as $key => $match_ids) :?>
                        <div class="form-group clearfix">
                            <?php $this->renderMatchesSelector($stage, $key, $match_ids); ?>
                        </div>
                    <?php endforeach; ?>

                    <div class="clearfix"></div>
                    </div>
                </div>

            <?php endforeach; ?>

            <div class="clearfix"></div>
        
    </div>
        
    <?php endif; ?>
    
</div>

