<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

if (!isset($date)) {
    $date = '';
}
if (!isset($hours)) {
    $hours = '';
}
if (!isset($minutes)) {
    $minutes = '';
}

if (!isset($meta_time_attr)) {
    $meta_time_attr = '';
}

?>

<div class="msp-form-group <?php echo $vertical === false ? 'horizont' : ''; ?>">
    
    <label for="<?php echo esc_attr($meta_time_attr . '_date'); ?>">
        <?php echo esc_html($lable); ?>
    </label>
    
    <div class="msp-input-group datetime">
        
        <input 
            type="date" 
            name="<?php echo esc_attr($meta_time_attr . '_date'); ?>" 
            id="<?php echo esc_attr($meta_time_attr . '_date'); ?>"  
            value="<?php echo esc_attr($date);?>" 
        />
        <input 
            type="number" 
            step="1" min="0" max="23"
            name="<?php echo esc_attr($meta_time_attr . '_hours'); ?>" 
            id="<?php echo esc_attr($meta_time_attr . '_hours'); ?>"  
            value="<?php echo esc_attr($hours);?>" 
        />
        <input 
            type="number" 
            step="1" min="0" max="59"
            name="<?php echo esc_attr($meta_time_attr . '_minutes'); ?>" 
            id="<?php echo esc_attr($meta_time_attr . '_minutes'); ?>"  
            value="<?php echo esc_attr($minutes);?>" 
        />
        
        <div class="clearfix"></div>
        
        <span class="date-desc">date</span>
        <span class="time-desc">hour</span>
        <span class="time-desc">min</span>
        
        <div class="clearfix"></div>
    </div>
    
    <div class="clearfix"></div>
</div>