<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */


$option = current($options);

if (isset($option['img']) && $option['img'] || 
    isset($option['font-awesome']) && $option['font-awesome']) {
    $has_images = true;
} else {
    $has_images = false;
}

if (!isset($desctiption)) {
    $desctiption = '';
}

if (!isset($array_result)) {
    $array_result = false;
}

if (!isset($multibple)) {
    $multibple = false;
}

if ($multibple === true) {
    $array_result = true;
} 

if (!is_array($selected)) {
    $selected = array($selected);
}

?>
    
<div class="msp-form-group <?php echo $vertical === false ? 'horizont' : ''; ?> selectize-wrapper">

    <?php if ($lable): ?>    
    <label for="<?php echo esc_attr($name); ?>">
        <?php echo $lable; ?> 
        
        <?php if ($multibple): ?>
        <span>(<span class="selectize-multi-counter"></span>)</span>
        <?php endif; ?>
        
        <?php if (isset($add_new_link)) : ?>
            <a href="<?php echo $add_new_link; ?>" target="_blank" class="add-new">
                <span>add new</span>
                <i class="dashicons dashicons-plus"></i>
            </a>
        <?php endif; ?>
    </label>
    <?php endif; ?>

    <div class="msp-input-group">
        <select 
            name="<?php echo esc_attr($name); ?><?php echo $array_result ? '[]' : ''; ?>" 
            class="matabox-selectors <?php echo $has_images ? 'with-images' : ''; ?>"
            <?php echo $multibple ? 'multiple' : ''; ?>
            >
            
            <?php if (!$multibple): ?>
                <option value=""><?php echo esc_html_e('N/A', 'msp'); ?></option>
            <?php endif; ?>
        <?php foreach ($options as $option) { ?>
            <option 
                value="<?php echo esc_attr( $option['id'] ); ?>" 
                <?php echo isset($option['img']) ? 'data-img="'. $option['img'] .'"' : ''; ?>
                <?php echo isset($option['font-awesome']) ? 'data-font-awesome="'. $option['font-awesome'] .'"' : ''; ?>
                <?php echo in_array($option['id'], $selected) ? 'selected' : ''; ?>>
                <?php echo esc_html($option['name']); ?>
            </option>
        <?php } ?>
        </select>

        <div class="clearfix"></div>
    </div>
    
    <?php if ($desctiption) : ?>
    <p class="help-block">
        <?php echo esc_html($desctiption); ?>
    </p>
    <?php endif; ?>
    
    <div class="clearfix"></div>
</div>
