<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

$header_title = __('Export / Import', 'msp');
?>

<div class="msp-bootstrap-wrapper msp-dashboard">
    <div class="container-fluid">
        
        <?php include('template-part/header.php'); ?>

        <div class="row main-wrapper row-eq-height">
            <div class="col-lg-12 msp-form main-content">

                <div class="row">
                    <div class="col-lg-4">
                        <div class="msp-box">
                            <div class="box-title">
                                Export
                            </div>
                            <p><?php esc_html_e('Export MultiSport platform data', 'msp');?></p>
                            <a class="button" href="<?php echo get_admin_url(null, "/downloads/export.json"); ?>">
                                <?php esc_html_e('Download JSON', 'msp');?>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="msp-box">
                            <div class="box-title">
                                Import
                            </div>
                            <p><?php esc_html_e('Import MultiSport platform data', 'msp');?></p>
                            <form method="post" class="form" enctype="multipart/form-data">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input type="file" name="json_import" class="form-control" required="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button type="submit" name="import_file_import" class="button"><?php esc_html_e('Import JSON', 'msp');?></button>
                                </div>
                            </form>
                            <p class="text-warning"><?php esc_html_e('This action rewrite all data and settings in MSP dashboard from exporting file!', 'msp');?></p>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="msp-box">
                            <div class="box-title">
                                Delete
                            </div>
                            <form method="post" class="form">
                                <div class="form-group">
                                    <button type="submit" name="clean" value="1" class="button button-default"><?php esc_html_e('Remove data', 'msp');?></button>
                                </div>
                            </form>
                            <p class="text-danger"><?php esc_html_e('This action delete all data and settings from MSP dashboard!', 'msp');?></p>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
        
        <div class="row">
            <div class="col-xs-12 text-right">
                <p class="wpobjects-copirytes">
                    <?php include('template-part/copyright.php'); ?>
                </p>
            </div>
        </div>
        
        <div class="clearfix"></div>
    </div>
</div>
