<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $this \MSP\Page\Permalinks */
/* @var $PostType \WPObjects\PostType\PostType */

$post_types = $this->getServiceManager()->get('PostTypeManager')->getAll();
$header_title = __('Permalinks', 'msp');
?>

<div class="msp-bootstrap-wrapper msp-dashboard">
    <div class="container-fluid">
            <?php include('template-part/header.php'); ?>

            <div class="row main-wrapper row-eq-height">
                <div class="col-lg-6 col-md-10 col-sm-12 main-content">

                    <h3 class="m-b-md">
                        <?php esc_html_e('Permalink prefixes', 'msp');?>
                    </h3>

                    <form method="post" class="form msp-form">

                        <?php foreach ($post_types as $PostType): 
                            $settings = $PostType->getSetting('rewrite');
                            $slug = $settings['slug'];
                            ?>
                            <div class="form-group">
                                <label for="<?php echo esc_attr('permalink-for-' . $PostType->getId()); ?>">
                                    <img src="<?php echo esc_url($PostType->getMenuIcon()); ?>" width="20">
                                    <?php echo esc_html($PostType->getName()); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <?php echo get_site_url('/'); ?>/
                                    </div>
                                    <input type="text" 
                                           class="form-control" 
                                           id="<?php echo esc_attr('permalink-for-' . $PostType->getId()); ?>" 
                                           name="<?php echo esc_attr($PostType->getId()); ?>" 
                                           placeholder="<?php echo esc_attr($PostType->getId()); ?>"
                                           value="<?php echo esc_attr($slug); ?>">
                                    <div class="input-group-addon">
                                        /%postname%
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>

                        <div class="form-group">
                            <button type="submit" class="button"><?php esc_html_e('Save Changes', 'msp');?></button>
                        </div>
                    </form>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
            </div>
        
            <div class="row">
                <div class="col-xs-12 text-right">
                    <p class="wpobjects-copirytes">
                        <?php include('template-part/copyright.php'); ?>
                    </p>
                </div>
            </div>
        <div class="clearfix"></div>
    </div>
</div>

