<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

$games = team_options_get_activated_games();
$header_title = __('Statistic index', 'msp');

/* @var $this \MSP\Page\TeamStats */

?>
<div class="msp-bootstrap-wrapper msp-dashboard msp-form">
    <div class="container-fluid">
        
        <?php include('template-part/header.php'); ?>

        <div class="row main-wrapper row-eq-height">
            <div class="col-lg-12 main-content">

                <form method="post" class="form">
                    <div class="m-b-sm">
                        <button type="submit" name="reidex" value="1" id="myButton" 
                                data-loading-text="<?php esc_attr_e('Updating'); ?>..." 
                                class="button " autocomplete="off" 
                                onclick="jQuery(this).button('loading')">
                            <?php esc_html_e('Update statistic index'); ?> 
                        </button>
                        <button type="submit" id="myButton" value="1" name="clean"
                                data-loading-text="<?php esc_attr_e('Updating'); ?>..." 
                                class="button button-default" autocomplete="off" 
                                onclick="jQuery(this).button('loading')">
                            <?php esc_html_e('Cleane statistic index'); ?> 
                        </button>
                    </div>
                </form>
                

                <ul class="hor-tabs" role="tablist">
                    <?php foreach ($games as $key => $game) : ?>
                        <li role="presentation" class="<?php echo $key === 0 ? 'active' : ''; ?>">
                            <a href="#<?php echo esc_attr($game->slug); ?>" aria-controls="<?php echo esc_attr($game->slug); ?>" role="tab" data-toggle="tab">
                                <?php if (isset($game->img_url_mini)) : ?>
                                    <img src="<?php echo esc_url($game->img_url_mini); ?>">
                                <?php endif; ?>
                                <?php echo esc_html($game->name); ?>
                            </a>
                        </li>
                    <?php endforeach; ?>

                    <div class="clearfix"></div>
                </ul>

                <div class="tab-content">
                    <?php foreach ($games as $key => $game) : 
                        $teams = $game->getTeams();
                        $stats = $game->getTeamStatisticTypes();

                        ?>
                        <div role="tabpanel" class="tab-pane <?php echo $key === 0 ? 'active' : ''; ?>" id="<?php echo esc_attr($game->slug); ?>">

                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                        <tr>
                                            <th><?php esc_html_e('Team', 'msp');?></th>
                                            <?php foreach ($stats as $stat) : ?>
                                                <th><?php echo esc_html($stat['name']); ?></th>
                                            <?php endforeach; ?>
                                        <tr>
                                    </thead>
                                    <tbody>

                                        <?php foreach ($teams as $team) :?>
                                            <tr>

                                                <td>
                                                    <a href="<?php echo $team->getEditeLink(); ?>">
                                                        <?php echo get_the_post_thumbnail($team->ID, array('50', '50')); ?>
                                                    </a>
                                                </td>

                                                <?php foreach ($stats as $stat) : ?>

                                                    <td><?php echo esc_html($team->getStatChacheById($stat->getId())); ?></td>

                                                <?php endforeach; ?>   

                                            </tr>
                                        <?php endforeach; ?>

                                    </tbody>
                                </table>
                            </div>

                        </div>
                    <?php endforeach; ?>
                </div>

            </div>
            <div class="clearfix"></div>
        </div>
        
        <div class="row">
            <div class="col-xs-12 text-right">
                <p class="wpobjects-copirytes">
                    <?php include('template-part/copyright.php'); ?>
                </p>
            </div>
        </div>
        
    </div>
</div>