<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $Broadcast \MSP\Model\Broadcast */

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$broadcasts = msp_get_broadcasts($atts);
$Broadcast = current($broadcasts);
if (!$Broadcast) {
    return '';
}

$Country = $Broadcast->getCountry();
$Game = $Broadcast->getGame();
$BroadcastObject = $Broadcast->getStreamObject();
if (method_exists($BroadcastObject, 'getSocial')) {
    $Socials = $BroadcastObject->getSocial();
}

$Commentators = $Broadcast->getCommentators();
$Description = $Broadcast->getContent();
?>

<div class="addon-broadcast">
    <div class="stream-header">
        <div class="row">
            <div class="col-md-6">
                <div class="header-persone">
                    <a class="logo-wrapper" href="<?php echo $BroadcastObject->getPermalink(); ?>" title="<?php echo esc_attr($Broadcast->getTitle()); ?>">
                        <img class="logo" src="<?php echo $BroadcastObject->getThumbnailUrl(); ?>" alt="<?php echo esc_attr($Broadcast->getTitle()); ?>">
                    </a>
                    
                    <div class="name-wrapper">
                        <div class="name">
                            <a href="<?php echo $BroadcastObject->getPermalink(); ?>" title="<?php echo esc_attr($Broadcast->getTitle()); ?>">
                                <?php echo $BroadcastObject->getTitle(); ?>
                            </a>
                        </div>
                        <div class="fields">
                            <?php if ($Country) : ?>
                            <div class="field">
                                <img src="<?php echo $Country->getFlagImgUrl(); ?>">
                                <?php echo $Country->getName(); ?>
                            </div>
                            <?php endif;?>
                        </div>
                    </div>
                    
                    <div class="clearfix"></div>
                </div>
            </div>
            <div class="col-md-6">
                <?php if (isset($Socials)) : ?>
                <div class="stream-socials">
                    <?php foreach ($Socials as $social) : ?>
                        <a href="<?php echo esc_url($social['link']);?>">
                            <i class="fa <?php echo esc_attr($social['icon_class']); ?>" aria-hidden="true"></i>
                        </a>
                    <?php endforeach; ?>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="stream-wrapper">
        
        <?php if ($Broadcast->getViewersCount() > 0): ?>
            <div class="views-count">
                <i class="fa fa-eye"></i>
                <?php echo $Broadcast->getPrettyViewersCount(); ?>
            </div>
        <?php endif; ?>
        
        <?php if ($Broadcast->getStatus()) : ?>
            <div class="steam-status <?php echo $Broadcast->isLive() ? 'live' : ''; ?>">
                <i class="fa fa-circle"></i>
                <?php echo $Broadcast->getStatus()->getName(); ?>
            </div>
        <?php endif; ?>
        
        <?php if ($Game) : ?>
            <div class="game">
                <img src="<?php echo $Game->getImgForSelect(); ?>">
                <?php echo $Game->getName(); ?>
            </div>
        <?php endif;?>
        
        <div class="steam-body">
            <?php echo $Broadcast->getPlayer(); ?>
        </div>
    </div>
    <?php if ($Commentators) : ?>
    <div class="commentator">
        <div class="row">
        <?php foreach ($Commentators as $Commentator) : ?>
            <div class="col-md-3">
                <div class="header-persone">
                    <div class="logo-wrapper">
                        <img class="logo" src="<?php echo $Commentator->getThumbnailUrl(); ?>" alt="<?php echo esc_attr($Broadcast->getTitle()); ?>">
                    </div>
                    
                    <div class="name-wrapper">
                        <div class="name">
                            <?php echo $Commentator->getTitle(); ?>
                        </div>

                        <?php if ($Commentator->getCountry()) : ?>
                        <div class="contry">
                            <img src="<?php echo $Commentator->getCountry()->getFlagImgUrl(); ?>">
                            <?php echo $Commentator->getCountry()->getName(); ?>
                        </div>
                        <?php endif;?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
        </div>
    </div>
    <?php endif; ?>
    
    <?php if ($Description) : ?>
    <div class="stream-description">
        <div class="row">
            <div class="col-md-12">
                <?php echo $Description; ?>
            </div>
        </div>
    </div>
    <?php endif ?>
    
</div>