<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $Stream \MSP\Model\Broadcast */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$item_class = $this->getCSSAnimation($css_animation);

$sm = $this->getAddon()->getServiceManager();
$Streams = $sm->get('BroadcastFactory')->query($atts)->getResult();
$count = count($Streams);
if (!current($Streams)) {
    return;
}

$Streams_by_columns = array();
$inter_currnet_col = 1;
foreach ($Streams as $Stream) {
    $Streams_by_columnsp[$inter_currnet_col][] = $Stream;
    if ($inter_currnet_col == $items_per_row) {
        $inter_currnet_col = 1;
    } else {
        $inter_currnet_col++;
    }
}

$col_size = (int)(12 / $items_per_row);
if ($col_size < 1 || $col_size > 12) {
    $col_size = 3;
}

?>

<div class="addon-broadcasts-listing-grid">
    <?php if ($title) : ?>
    <h4><?php echo esc_html($title); ?></h4>
    <?php endif; ?>

    <div class="row">
        
        <?php foreach ($Streams_by_columnsp as $Streams) : ?>
        <div class="col-md-<?php echo $col_size; ?>">

            <?php foreach ($Streams as $Stream) : 
                $StreamObject = $Stream->getStreamObject();
                ?>
            <div class="news-wrapper <?php echo esc_attr($item_class); ?>">
                
                <?php if ($Stream->getStatus()) : ?>
                <div class="steam-status <?php echo $Stream->isLive() ? 'live' : ''; ?>">
                    <i class="fa fa-circle"></i>
                    <?php echo $Stream->getStatus()->getName(); ?>
                </div>
                <?php endif; ?>

                <?php if ($Stream->getGame()) : ?>
                <div class="stream-game">
                    <img src="<?php echo $Stream->getGame()->getImgForSelect(); ?>">
                    <?php echo $Stream->getGame()->getName(); ?>
                </div>
                <?php endif; ?>

                <a href="<?php echo $Stream->getPermalink(); ?>">
                    <img src="<?php echo $Stream->getStreamCoverImageUrl(); ?>" class="cover-image" alt="<?php echo esc_attr($Stream->getTitle()); ?>">
                </a>

                <div class="news-border">
                    <a href="<?php echo $Stream->getPermalink(); ?>" title="<?php echo esc_attr($Stream->getTitle()); ?>">
                        <img class="logo" src="<?php echo $StreamObject->getThumbnailUrl(); ?>" alt="<?php echo esc_attr($Stream->getTitle()); ?>">
                    </a>
                    <span class="name">
                        <a href="<?php echo $Stream->getPermalink(); ?>" title="<?php echo esc_attr($Stream->getTitle()); ?>">
                            <?php echo $StreamObject->getTitle(); ?>
                        </a>
                    </span>

                    <?php if ($Stream->getViewersCount() > 0): ?>
                    <div class="stats">
                        <i class="fa fa-eye"></i>
                        <?php echo $Stream->getPrettyViewersCount(); ?>
                    </div>
                    <?php endif; ?>
                </div>
                    
            </div>
            <?php endforeach; ?>
            
            <div class="clearfix"></div>
        </div>
        <?php endforeach; ?>
        
        
        <div class="clearfix"></div>
    </div>
    
</div>