<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$championships = team_get_championships($atts);
if (current($championships)) {
    $championship = current($championships);
} else {
    return '';
}

$item_class = $this->getCSSAnimation($css_animation);
$organisations = msp_get_championship_organisations($championship->ID);

// Custom bgs
$background_ids = explode(',', $team_photos);
$backgrounds = array();
if (is_array($background_ids)) {
    foreach ($background_ids as $img_id) {
        $backgrounds[] = wp_get_attachment_image_url($img_id, 'large');
    }
}
?>

<!--ESPORT CHAMPIONSHIP PARTICIPANTS BEGIN-->
<div class="championship_participants <?php echo esc_attr($blended ? 'blended' : ''); ?>">
    <div class="row no-guters">
        
        <?php if ($title) : ?>
        <div class="col-md-12">
            <h5 class="esport-landing-header"><?php echo esc_html($title); ?></h5>
        </div>
        <?php endif; ?>
        
        <?php foreach ($organisations as $organisation) : 
            $team_photo = current($backgrounds) ? current($backgrounds) : msp__get_organisation_images($organisation->ID, 'large');
            next($backgrounds);
        ?>
        <div class="col-md-3 col-sm-4 col-xs-6 <?php echo esc_attr($item_class); ?>">
            <a href="<?php echo get_permalink($organisation->ID); ?>" title="<?php echo esc_attr(get_the_title($organisation)); ?>">
                <?php if ($team_photo && $showing_background) : ?>
                    <img src="<?php echo esc_attr($team_photo); ?>" class="background-team" alt="background">
                <?php endif;?>
                    
                <?php echo get_the_post_thumbnail($organisation->ID, 'medium'); ?>
                <span><?php echo get_the_title($organisation) ?></span>
            </a>
        </div>
        <?php endforeach; ?>
    </div>
</div>
<!--ESPORT CHAMPIONSHIP PARTICIPANTS END-->