<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$item_class = $this->getCSSAnimation($css_animation);


// Main Object: Championsip
$championships = team_get_championships($atts);
if (current($championships)) {
    $championship = current($championships);
} else {
    return '';
}

// Teams
$organisations = msp__get_championship_winners($championship->ID);

// Custom bgs
$background_ids = explode(',', $team_photos);
$backgrounds = array();
if (is_array($background_ids)) {
    foreach ($background_ids as $img_id) {
        $backgrounds[] = wp_get_attachment_image_url($img_id, 'large');
    }
}

// First block
$winner = current($organisations);
$team_photo = current($backgrounds) ? current($backgrounds)  : msp__get_organisation_images($winner->ID, 'large');
next($backgrounds);
next($organisations);
?>

<div class="championship-ranking">
    <div class="row">
        <div class="col-md-7">
            <div class="esport-championship-win-team <?php echo esc_attr($item_class); ?>" style="<?php echo esc_attr($team_photo && $showing_background ? "background-image: url($team_photo)" : ''); ?>">
                <a href="<?php echo get_permalink($winner->ID); ?>" title="<?php echo esc_attr(get_the_title($winner)); ?>">
                    <div class="image-wrapper">
                        <img src="<?php echo msp__get_organisation_logo($winner->ID, 'medium'); ?>" alt="team-logo">
                    </div>
                    <div class="text">
                        <span class="name"><?php echo get_the_title($winner) ?></span>
                        <span class="status">
                            
                            <?php if ($country = team_get_object_country($winner->ID)) : ?>
                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt=""><?php echo esc_html($country['countryName']);  ?>
                            <?php endif; ?>
                            
                        </span>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-md-5">
            <?php while($organisation = current($organisations)): 
                $team_photo = current($backgrounds) ? current($backgrounds) : msp__get_organisation_images($organisation->ID, 'large');
                next($backgrounds);
            ?>
            <div class="esport-championship-places <?php echo esc_attr($item_class); ?>">
                <a href="<?php echo get_permalink($organisation->ID); ?>" title="<?php echo esc_attr(get_the_title($organisation)); ?>">
                    <?php if ($team_photo && $showing_background) : ?>
                        <img class="background" src="<?php echo esc_attr($team_photo); ?>" alt="background">  
                    <?php endif;?>
                    <img  class="team-logo" src="<?php echo msp__get_organisation_logo($organisation->ID, 'medium'); ?>" alt="team-logo">
                    <span>
                        <span class="name"><?php echo get_the_title($organisation) ?></span>
                        <span class="place">
                            
                            <?php if ($country = team_get_object_country($organisation->ID)) : ?>
                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt=""><?php echo esc_html($country['countryName']);  ?>
                            <?php endif; ?>
                            
                        </span>
                    </span>
                </a>
            </div>
            <?php next($organisations); endwhile; ?>
        </div>
    </div>
</div>