(function($, Backbone, _){
    
    if ($(".championships-standings").length > 0) {
        $(".championships-standings").sportStandings();
    }
    
    var sorter = function($tabel){
        
        var result = [];
        $tabel.find('a').each(function(){
            var id = $(this).attr('data-team-id');
            var value = $(this).find('.sorter-value').first().html();
            result.push({
                'id' : id,
                'value' : parseFloat(value),
                'element': $(this)
            });
        });
        
        var sorded = _.sortBy(result, 'value');
        
        _.each(sorded, function(row, index){
            var $new = row.element.clone();
            $tabel.prepend($new);
            row.element.remove();
            row.element = $new;
            row.position = sorded.length - index;
        });
        
        return sorded.reverse();
    };
    
    $(".championsip-standing-diferent-positions").each(function(){
        
        var $current = $(this).find('.current-standing');
        var $old = $(this).find('.old-range-standing');
        
        var current = sorter($current);
        var old = sorter($old);
        
        _.each(current, function(row){
            var old_row = _.findWhere(old, {id: row.id});
            var position_range =  old_row.position - row.position;
            $(row.element).find('.pos-num').html(row.position);
            
            if (position_range < 0) {
                $(row.element).addClass('down');
                $(row.element).find('.position-diff').html(position_range);
            } else if (position_range > 0) {
                $(row.element).addClass('up');
                $(row.element).find('.position-diff').html('+' + position_range);
            } else {
                $(row.element).addClass('none');
            }
        });
    });
    
})(jQuery, Backbone, _);

