<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$sm = $this->getAddon()->getServiceManager();
$Factory = $sm->get('ChampionshipFactory');
$championships = $Factory->query($atts)->getResult();
if (!$championships) {
    return;
}
$championship = $championships[0];

$stat = current(team_get_organisation_stat_by_key(explode(', ', $stat_key)));
$stat_key = $stat['key'];
$item_class = $this->getCSSAnimation($css_animation);

$time_range = isset($day_range) ? $day_range * 3600 * 24 : 7 * 3600 * 24;
?>

<div class="championships-standings">
    
    <div class="buttons-wrapper">
        <a href="#" class="arrow left"><i class="fa fa-caret-left" aria-hidden="true"></i></a>
        <a href="#" class="arrow right"><i class="fa fa-caret-right" aria-hidden="true"></i></a>
        <span>
            <?php esc_html_e('standing', 'msp');?>:
            <span class="league"><?php echo get_the_title($championship->ID); ?></span>            
        </span>
    </div>
    
    <?php foreach ($championships as $championship) : 
        $last_match = msp__get_championship_last_match($championship->ID);
        if ($last_match) {
            $range_date = date('Y-m-d H:i:s', team_get_match_start_time($last_match->ID) - $time_range);
        }
        
        $organisations = msp_get_championship_organisations($championship->ID, array(), $max_teams_count);
    ?>
    
    <div class="mySlides fade-standings championsip-standing-diferent-positions">
        <span class="league_name"><?php echo get_the_title($championship); ?></span>
        
        <div class="current-standing">
            <?php foreach ($organisations as $key => $team) : 
                $organisation_stats = team_get_organisation_stat(array(
                    '_organisation_id' => $team->ID,
                    '_championship_id' => $championship->ID
                ));
                ?>
            <a href="<?php echo get_the_permalink($championship); ?>" class="item <?php echo esc_attr($item_class); ?>" data-team-id="<?php echo esc_attr($team->ID); ?>">
                <span class="standings-position">
                    <i class="fa fa-caret-up"  aria-hidden="true"></i>
                    <i class="fa fa-caret-down"  aria-hidden="true"></i>
                    <i class="fa fa-circle" aria-hidden="true"></i>
                    <span class="position-diff"></span>
                    <span class="pos-num"><?php echo $key + 1; ?></span>
                </span>
                <img src="<?php echo get_the_post_thumbnail_url($team->ID, 'medium'); ?>" alt="team-logo">
                <span class="name"><?php echo get_the_title($team->ID); ?></span>
                <span class="number sorter-value"><?php echo isset($organisation_stats[$stat_key]) ? $organisation_stats[$stat_key] : 'N\A'; ?></span>
            </a>
            <?php endforeach; ?>
        </div>
        
        <div class="old-range-standing" style="display:none">
            <?php foreach ($organisations as $key => $team) : 
                $organisation_stats = team_get_organisation_stat(array(
                    '_organisation_id' => $team->ID,
                    '_championship_id' => $championship->ID,
                    '_date_start' => isset($range_date) ? $range_date : null
                ));
                ?>
            <a href="<?php echo get_the_permalink($championship); ?>" class="item up <?php echo esc_attr($item_class); ?>" data-team-id="<?php echo esc_attr($team->ID); ?>">
                <span class="standings-position">
                    <?php echo $key + 1; ?>
                </span>
                <img src="<?php echo get_the_post_thumbnail_url($team->ID, 'medium'); ?>" alt="team-logo">
                <span class="name"><?php echo get_the_title($team->ID); ?></span>
                <span class="number sorter-value"><?php echo isset($organisation_stats[$stat_key]) ? $organisation_stats[$stat_key] : 'N\A'; ?></span>
            </a>
            <?php endforeach; ?>
        </div>
        
    </div>
    
    <?php endforeach; ?>
    
    
</div>