<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$commentators = msp__get_commentator($atts);
if (!current($commentators)) {
    return '';
}

$item_class = $this->getCSSAnimation($css_animation);
?>

<!--ESPORT CHAMPIONSHIP COMENTATORS BEGIN-->
<div class="esport-championship-comm-wrap">
    <?php foreach ($commentators as $commentator): 
        $socials = msp__get_object_socials($commentator->ID);
        ?>
    <div class="item <?php echo esc_attr($item_class); ?>">
        <div class="avatar">
            <?php echo get_the_post_thumbnail($commentator->ID, array(60, 60)); ?>
        </div>
        <div class="info">
            <div class="name"><?php echo get_the_title($commentator); ?></div>
            <?php if ($country = team_get_object_country($commentator->ID)) : ?>
                <div class="country">
                    <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                    <?php echo esc_html($country['countryName']);  ?>
                </div>
            <?php endif; ?>
        </div>
        <div class="hover-wrapper">
            <ul>
                <?php foreach ($socials as $social): ?>
                <li>
                    <a href="<?php echo esc_url($social['link']);?>">
                        <i class="<?php echo esc_attr($social['icon_class']); ?>" aria-hidden="true"></i>
                    </a>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <?php endforeach; ?>
    
</div>
<!--ESPORT CHAMPIONSHIP COMENTATORS BEGIN-->