<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Event location map', 'msp'),
    'base' => 'event_location_map',
    'category' => __('Other', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Other.svg',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'scripts_deps' => array(),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('First title', 'msp'),
            'param_name' => 'first_title',
            'value' => 'Welcome to',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Second title', 'msp'),
            'param_name' => 'second_title',
            'value' => 'ARENA',
        ),
        
        array(
            'type' => 'textarea',
            'holder' => 'div',
            'heading' => __('Main content', 'msp'),
            'param_name' => 'text',
            'value' => '<span>9082 Center Court Manchester Township</span><span>28 - 30 July 2017</span>',
        ),
        
        array(
            'type' => 'textfield',
            'heading' => __( 'Map embed iframe', 'js_composer' ),
            'param_name' => 'location_map',
            'value' => "<iframe src='https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d1575.9324569391192!2d144.958817!3d-37.816633!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sru!2sua!4v1478090040480' style='border:0' allowfullscreen></iframe>",
            'description' => sprintf( __( "Visit %s to create your map (Step by step: 1) Find location 2) Click the cog symbol in the lower right corner and select 'Share or embed map' 3) On modal window select 'Embed map' 4) Copy iframe code and paste it).", 'msp' ), "<a href='https://www.google.com/maps' target='_blank'>" . __( 'Google maps', 'msp' ) . '</a>' ),
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button text', 'msp'),
            'param_name' => 'button_text',
            'value' => 'GET TICKETS',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button link', 'msp'),
            'param_name' => 'button_link',
            'value' => '#',
        ),
        
        vc_map_add_css_animation(),
    )
);