<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Event map', 'msp'),
    'base' => 'event_map',
    'category' => __('Other', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Other.png',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'scripts_deps' => array(),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'attach_image',
            'heading' => __('Background main', 'msp'),
            'group' => __( 'Background', 'msp' ),
            'param_name' => 'bg_main',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('First title', 'msp'),
            'param_name' => 'left_first_title',
            'group' => __( 'Left screen', 'msp' ),
            'value' => 'I\'LL SEE YOU AT',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Second title', 'msp'),
            'param_name' => 'left_second_title',
            'group' => __( 'Left screen', 'msp' ),
            'value' => 'GRAND FINAL',
        ),
        
        array(
            'type' => 'textarea',
            'holder' => 'div',
            'heading' => __('Main content', 'msp'),
            'param_name' => 'left_text',
            'group' => __( 'Left screen', 'msp' ),
            'value' => '<span>9082 Center Court Manchester Township</span> <span>28 - 30 July 2017</span>',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button text', 'msp'),
            'param_name' => 'left_button_text',
            'group' => __( 'Left screen', 'msp' ),
            'value' => 'GET TICKETS',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button link', 'msp'),
            'param_name' => 'left_button_link',
            'group' => __( 'Left screen', 'msp' ),
            'value' => '#',
        ),
        
        
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('First title', 'msp'),
            'param_name' => 'right_first_title',
            'group' => __( 'Right screen', 'msp' ),
            'value' => 'WELCOM TO',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Second title', 'msp'),
            'param_name' => 'right_second_title',
            'group' => __( 'Right screen', 'msp' ),
            'value' => 'PUBSTORMS',
        ),
        
        array(
            'type' => 'textarea',
            'holder' => 'div',
            'heading' => __('Main content', 'msp'),
            'param_name' => 'right_text',
            'group' => __( 'Right screen', 'msp' ),
            'value' => '<span>Hella pop-up flexitarian, semiotics migas humblebrag schlitz literally tofu deep. </span>',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button text', 'msp'),
            'param_name' => 'right_button_text',
            'group' => __( 'Right screen', 'msp' ),
            'value' => 'GET DIRECTION',
        ),
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Button link', 'msp'),
            'param_name' => 'right_button_link',
            'group' => __( 'Right screen', 'msp' ),
            'value' => '#',
        ),
        
        vc_map_add_css_animation(),
    )
);