<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation($css_animation);
$bg_main = $bg_main ? wp_get_attachment_image_url($bg_main, 'full') : false;
?>

<!--SPORT CHAMPIONSHIP CONTACT BEGIN-->
<div id="contact" class="esport-championship-contact">
    <?php if ($bg_main) : ?>
    <div class="wrapper-img">
        <img src="<?php echo esc_attr($bg_main); ?>" alt="<?php echo esc_attr($left_first_title ? $left_first_title : '' ); ?>">
    </div>
    <?php endif; ?>
    <div class="container">
        <div class="row">
            
            <div class="col-md-6">
                
                <?php if ($left_first_title || $left_second_title || $left_text || $left_button_text || $left_button_link) : ?>
                <div class="information-wrap-left">
                    <?php if ($left_first_title): ?>
                        <span class="header-first <?php echo esc_attr($item_class); ?>">
                            <?php echo esc_html($left_first_title); ?>
                        </span>
                    <?php endif; ?>
                        
                    <?php if ($left_second_title): ?>
                    <span class="header-red <?php echo esc_attr($item_class); ?>">
                        <?php echo esc_html($left_second_title); ?>
                    </span>
                    <?php endif; ?>
                    <span class="<?php echo esc_attr($item_class); ?>">
                        <?php echo $left_text; ?>
                    </span>
                    <?php if ($left_button_link && $left_button_text) : ?>
                        <a href="<?php echo esc_url($left_button_link); ?>" class="<?php echo esc_attr($item_class); ?>">
                            <?php echo esc_html($left_button_text); ?>
                        </a>
                    <?php endif; ?>
                </div>
                <?php endif; ?>
                
            </div>
            
            
            <div class="col-md-6">
                
                <?php if ($right_first_title || $right_second_title || $right_text || $right_button_text || $right_button_link) : ?>
                <div class="information-wrap">
                    <div>
                        <?php if ($right_first_title): ?>
                            <span class="header-welcom <?php echo esc_attr($item_class); ?>">
                                <?php echo esc_html($right_first_title); ?>
                            </span>
                        <?php endif; ?>
                        
                        <?php if ($right_second_title): ?>
                            <span class="header-arena <?php echo esc_attr($item_class); ?>">
                                <?php echo esc_html($right_second_title); ?>
                            </span>
                        <?php endif; ?>
                    </div>
                    <span class="<?php echo esc_attr($item_class); ?>">
                        <?php echo $right_text; ?>
                    </span>
                    <?php if ($right_button_link && $right_button_text) : ?>
                        <a href="<?php echo esc_url($right_button_link); ?>" class="<?php echo esc_attr($item_class); ?>">
                            <?php echo esc_html($right_button_text); ?>
                        </a>
                    <?php endif; ?>
                </div>
                <?php endif; ?>
                
            </div>
        </div>
    </div>
</div>
<!--SPORT CHAMPIONSHIP CONTACT END-->