<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation($css_animation);

$custom_logo_id = get_theme_mod( 'custom_logo' );
$logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );

$socials = get_theme_mod('mdl__socials', array());

$links = explode(', ', $nav_string);
?>

<!--ESPORT TEAM LANDING HEADER BEGIN-->
<div class="esport-team-landing-header <?php echo esc_attr($absoluting ? 'absoluting' : ''); ?>">  
    <div class="wrapper">
        <div class="container">
            
            <div class="contacts-wrap">
                <?php if (count($socials)): ?>
                <ul>
                    <?php 
                    foreach ($socials as $key => $social) : 
                        $icon_classes = explode(' ', $social['icon']);
                        if (!isset($icon_classes[1]) || $key > 3) {
                            continue;
                        }
                        $soc_names = explode('-', $icon_classes[1]);
                    ?>
                        <li>
                            <a href="<?php echo esc_url($social['link']); ?>" class="<?php echo esc_attr($soc_names[1]); ?>">
                                <i class="fa <?php echo esc_attr( sanitize_html_class($icon_classes[1]) ); ?>" aria-hidden="true"></i>
                                <span><?php echo esc_html(isset($social['name']) ? $social['name'] : '' ); ?></span>
                            </a>
                        </li>
                    <?php endforeach; ?>
                </ul>
                <?php endif; ?>
            </div>

            <?php if ($logo) : ?>

                <a class="logo" href="<?php echo get_site_url('/'); ?>">
                    <img src="<?php echo esc_url($logo[0]); ?>" alt="logo" class="<?php echo esc_attr($item_class); ?>">
                </a>

            <?php else : ?>

                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                        <?php bloginfo( 'name' ); ?>
                    </a>

            <?php endif; ?>

            <button type="button" data-toggle="collapse" data-target="#landing-header" aria-expanded="false" class="navbar-toggle">
                <i class="fa fa-bars" aria-hidden="true"></i>
            </button>
            <div class="clear-header">
                <div id="landing-header" class="navbar-collapse collapse">
                    <ul class="list">

                        <?php foreach ($links as $link) : ?>
                        <li>
                            <a href="<?php echo get_site_url(); ?>/#<?php echo esc_attr(strtolower($link)); ?>">
                                <?php echo esc_html($link); ?>
                            </a>
                        </li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            </div>
            
        </div>
    </div>
</div>
<!--ESPORT TEAM LANDING HEADER END-->