<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matches = team_get_matches($atts);
if (!current($matches)) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);
?>

<!--ESPORT TEAM LANDING LATEST MATCHES BEGIN-->
<div class="esport-team-landing-latest-matches <?php echo esc_attr($blended ? 'blended' : ''); ?>">
    
    <?php foreach ($matches as $match):
        $team_left = $match->getTeamByNumber(0);
        $team_right = $match->getTeamByNumber(1);
        
        ?>
    <a href="<?php echo get_the_permalink($match); ?>" class="<?php echo esc_attr( $item_class ); ?>">
        <?php echo get_the_post_thumbnail($match->ID, 'full'); ?>
        <span><?php echo get_the_title($match->ID); ?></span>
        <div>
            <div class="team left">
                <span>
                    <?php echo get_the_post_thumbnail($team_left->ID, array(56, 56)); ?>
                </span>
                <span class="team-name">
                    <?php echo get_the_title($team_left->ID); ?>
                </span>
            </div>
            
            <?php if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::EXPECTED) { ?>
                <span class="score countdown" data-date="<?php echo esc_attr(team_get_match_start_time_js($match->ID)); ?>">
                    <span class="days"></span>
                    <span class="hours"></span>
                    <span class="minutes"></span>
                    <span class="seconds"></span>
                </span>
            <?php } else if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::LIVE || team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::FINISHED) { ?>
                <span class="score"><span><?php echo msp__get_match_team_main_score($match->ID, $team_left->ID)?>:<?php echo msp__get_match_team_main_score($match->ID, $team_right->ID)?></span></span>
            <?php } else { ?>
                <span class="score"><span><?php echo esc_html(msp__get_match_status_name($match->ID)); ?></span></span>
            <?php } ?>
                
            <div class="team right">
                <span class="image">
                    <?php echo get_the_post_thumbnail($team_right->ID, array(56, 56)); ?>
                </span>
                <span class="team-name">
                    <?php echo get_the_title($team_right->ID); ?>
                </span>
            </div>
        </div>
        <span><?php echo team_get_match_start($match->ID); ?></span>
    </a>
    <?php endforeach; ?>
    
    
</div>
<!--ESPORT TEAM LANDING LATEST MATCHES END-->