<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

global $paged, $wp_query;
$atts['page'] = $paged;
$championships = team_get_championships($atts, true);
$wp_query = $championships;

$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="broadcast-list" id="msp_championsip_listing_accordion" role="tablist" aria-multiselectable="true">
    
    <?php while($championships->have_posts()) : 
        $championship = $championships->next_post();
        $item_id = 'msp_championsip_listing_accordion_item_' . esc_attr($championship->post_name);
        $organisations = msp_get_championship_organisations($championship->ID);
    ?>
    
    <div class="championship-list <?php echo esc_attr($item_class); ?>">
        <div class="item-header" id="headingOne">
            <div class="row">
                <div class="col-md-1">
                    <a data-toggle="collapse" data-parent="#msp_championsip_listing_accordion" href="#<?php echo esc_attr($item_id); ?>" aria-controls="<?php echo esc_attr($item_id); ?>" class="arrow collapsed" aria-expanded="false">
                        <i class="fa fa-caret-down" aria-hidden="true"></i>
                    </a>
                </div>
                <div class="col-md-11">
                    <div class="item-head-body">
                        <a href="<?php echo get_permalink($championship->ID); ?>" title="<?php echo esc_attr(get_the_title($championship)); ?>">
                            <?php echo get_the_post_thumbnail($championship->ID, array(40, 40)); ?>
                        </a>
                        <span class="info">
                            <span class="what"><?php echo esc_html($championship->getDates()); ?></span>
                            <span class="then"><?php echo esc_html($championship->getName()); ?></span>
                        </span>
                        
                        <?php if ( $live_match = msp_is_championship_live($championship->ID)  ) : ?>
                            <a href="<?php echo get_permalink($live_match->getId()); ?>" title="<?php echo esc_attr( $live_match->getName() ); ?>">
                                <span class="marker"><?php esc_html_e('live', 'msp');?></span>
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>	
        </div>
        <div id="<?php echo esc_attr($item_id); ?>" class="panel-collapse collapse" role="tabpanel" aria-expanded="false" style="height: 0px;">
            <div class="img-wrap">
            </div>
            <div class="item-body">
                <div class="row">
                    <div class="col-md-12">
                        <p><?php echo esc_html($championship->post_excerpt); ?></p>
                        
                        <?php if (isset($show_tems) && $show_tems === 'yes'): ?>
                        <div class="part-list">
                            <div class="row">
                                <?php foreach ($organisations as $organisation) : ?>
                                <div class="col-md-3 <?php echo esc_attr($item_class); ?>">
                                    <a href="<?php echo get_permalink($organisation->ID); ?>" title="<?php echo esc_attr(get_the_title($organisation)); ?>" class="item">
                                        <span class="logo">
                                            <?php echo get_the_post_thumbnail($organisation->ID); ?>
                                        </span>
                                        <span class="name"><?php echo get_the_title($organisation) ?></span>
                                    </a>
                                </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        <a href="<?php echo get_permalink($championship->ID); ?>" title="<?php echo esc_attr(get_the_title($championship)); ?>" class="btn">
                            <?php esc_html_e('View tournament page', 'msp');?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php endwhile; ?>
</div>

    <?php 
        if ($hide_pagination !== 'true') {
            include MSP_PATH . '/includes/templates/addons/msp_pagination.php';
        }
    ?>

<?php wp_reset_query();