<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Championship teams table listing', 'msp'),
    'base' => 'msp_chmp_teams_listing',
    'category' => __('Championships', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Championships.svg',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'query_model_type' => \MSP\DataType\ModelType::CHAMPIONSHIP,
    'scripts_deps' => array('underscore', 'jquery'),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'checkbox',
            'heading' => __( 'Showing next opponent?', 'msp' ),
            'param_name' => 'show_next_apponent',
            'value' => array(
                __( 'Yes', 'msp' ) => 'yes',
            ),
            'std' => 'yes'
        ),
        
        array(
            'type' => 'checkbox',
            'heading' => __( 'Showing teams latest results?', 'msp' ),
            'param_name' => 'show_latest_results',
            'value' => array(
                __( 'Yes', 'msp' ) => 'yes',
            ),
            'std' => 'yes'
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Showing columns with statistic', 'msp' ),
            'param_name' => 'stat_key',
            'description' => '<a target="_blank" href="' . admin_url('options-general.php?page=msp__statistic_types') . '">' . esc_html__('About statistic types', 'msp') . '</a>',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'sortable' => true,
                'groups' => true,
                'values' => team_get_active_games_organisation_stat_autocomplete(),
            ),
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'What types of statistics to highlight and SORTBY?', 'msp' ),
            'description' => __( 'Columns with statistic types must be selected!', 'msp' ),
            'param_name' => 'highlight_statistic_types',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'sortable' => true,
                'groups' => true,
                'values' => team_get_active_games_organisation_stat_autocomplete(),
            ),
        ),
        
        vc_map_add_css_animation(),
        
    ),
);

