<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $Chmp \MSP\Model\Championship */
/* @var $organisation \MSP\Model\Team */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$sm = $this->getAddon()->getServiceManager();
extract($atts);

$ChmpFactory = $sm->get('ChampionshipFactory');
$Chmp = $ChmpFactory->query($atts)->getOneResult();

$organisations = $Chmp->getTeams();

$stats = team_get_organisation_stat_by_key(explode(', ', $stat_key));
$hightlight_stats = explode(', ', $highlight_statistic_types);

$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="overflow-scroll">
    <table class="standing-full js-chmp-teams-talbe" <?php echo $hide_pagination !== 'true' ? 'id="paginate-screen"' : ''; ?>>
        <tbody>
            <tr>
                <th><?php esc_html_e('Club', 'msp'); ?></th>
                <?php foreach ($stats as $stat) : ?>
                    <th><?php echo esc_html($stat->getName()); ?></th>
                <?php endforeach; ?>
                <?php if ($show_latest_results): ?>
                <th><?php esc_html_e('results', 'msp'); ?></th>
                <?php endif; ?>
                <?php if ($show_next_apponent): ?>
                    <th><?php esc_html_e('next', 'msp'); ?></th>
                <?php endif; ?>
            </tr>
            <?php foreach ($organisations as $organisation) :
                $next_match = $organisation->getNextMatchByChmp($Chmp->getId());
                $team_stats = $organisation->getStatisticByChmp($Chmp->getId());
                $latest_matches = $organisation->getLatestMatchesByChmp($Chmp->getId(), 5);

                if ($next_match) {
                    $apponent = msp_get_match_organisation_apponent($next_match->ID, $organisation->ID);
                }
                ?>
            <tr>
                <td class=" <?php echo esc_attr($item_class); ?>">
                    <a href="<?php echo get_permalink($organisation->ID); ?>">
                        <span class="team">
                            <?php echo get_the_post_thumbnail($organisation->ID); ?> 
                        </span>
                        <span class="team-name">
                            <?php echo get_the_title($organisation); ?>
                        </span>
                    </a>
                </td>

                <?php foreach ($stats as $key => $stat) : 
                    $value = isset($team_stats[$stat->getId()]) ? $team_stats[$stat->getId()] : null;
                    $is_highlight = in_array($stat->getId(), $hightlight_stats) ? true : false;
                ?>
                    <td class=" <?php echo esc_attr($item_class); ?> <?php echo $is_highlight ? 'points' : ''; ?>">
                        <?php echo $is_highlight ? '<span>' : ''; ?>
                            <?php echo esc_html( is_numeric($value) ? $value : __('N/A', 'msp') ); ?>
                        <?php echo $is_highlight ? '</span>' : ''; ?>
                    </td>
                <?php endforeach; ?>

                <?php if ($show_latest_results): ?>
                <td class="form <?php echo esc_attr($item_class); ?>">
                    <?php if (count($latest_matches)) :
                            foreach ($latest_matches as $match) : ?>
                                <a href="<?php echo get_permalink($match->ID); ?>" title="<?php echo esc_attr(get_the_title($match)) ?>">
                                    <?php
                                    $result = msp_is_match_organisation_win($match->ID, $organisation->ID);
                                    if ($result === "draw") { 
                                        echo '<span class="drawn">d</span>';
                                    } else if ($result === true) {
                                        echo '<span class="win">w</span>';
                                    } else {
                                        echo '<span class="lose">l</span>';
                                    }?>
                                </a>
                            <?php
                             endforeach; 
                     else: 
                         esc_html_e('N/A', 'msp'); 
                     endif; ?>
                </td>
                <?php endif; ?>
                
                <?php if ($show_next_apponent): ?>
                <td class="form <?php echo esc_attr($item_class); ?>">
                    <?php if ($next_match && $apponent) : ?>
                    <a href="<?php echo get_permalink($next_match->ID); ?>" title="<?php echo esc_attr(get_the_title($next_match->ID)) ?>">
                        <?php echo get_the_post_thumbnail($apponent->ID); ?> 
                    </a>
                    <?php else: ?>
                    <?php esc_html_e('N/A', 'msp'); ?>
                    <?php endif; ?>
                </td>
                <?php endif; ?>
            </tr>
            <?php endforeach; ?>

        </tbody>
    </table>
</div>