<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$broadcasts = msp__get_match_broadcasts($match->ID);
if (!count($broadcasts)) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);
?>

<?php if (isset($title) && $title != "") : ?>
<h3><?php echo esc_html($title); ?></h3>
<?php endif; ?>

<div class="mathc-live-broadcasts">
    <div class="background">
        <div class="broadcast-tabs-wrapper">
            <ul class="nav nav-tabs" role="tablist">
                <?php foreach ($broadcasts as $key => $broadcast) : ?>
                <li class="<?php echo $key === 0 ? 'active' : ''; ?> ">
                    <a href="#<?php echo esc_attr($broadcast->post_name) ?>" class="<?php echo esc_attr($item_class); ?>" role="tab" data-toggle="tab">
                        <?php echo get_the_post_thumbnail($broadcast->ID, array(33, 33)); ?>
                        <span class="info">
                            <span class="title"><?php echo get_the_title($broadcast); ?></span>
                            <?php if ($country = team_get_object_country($broadcast->ID)) : ?>
                            <span class="language">
                                <?php echo esc_html($country['countryName']);  ?>
                            </span>
                            <?php endif; ?>
                        </span> 	
                    </a>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
        <div class="tab-content">
            <?php foreach ($broadcasts as $key => $broadcast) : 
                $commentators = msp__get_broadcast_commentators($broadcast->ID);
                ?>
            <div class="tab-pane fade in <?php echo $key === 0 ? 'active' : ''; ?>" role="tabpanel" id="<?php echo esc_attr($broadcast->post_name) ?>">
                <div>
                    <?php echo $broadcast->post_content; ?>
                    <div class="clearfix"></div>
                </div>

                <?php ?>

                <?php foreach ($commentators as $commentator): ?>
                <div class="comment <?php echo esc_attr($item_class); ?>">
                    <div class="avatar">
                        <?php echo get_the_post_thumbnail($commentator->ID, array(56, 56)); ?>
                    </div>
                    <div class="comment-info">
                        <span class="name">
                            <?php echo get_the_title($commentator); ?>
                        </span>
                        <?php if ($country = team_get_object_country($commentator->ID)) : ?>
                            <div class="country">
                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                 <?php echo esc_html($country['countryName']);  ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <?php endforeach; ?>

            </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>