<?php

if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$championship = $match->getChampionship();
if (!$championship) {
    return;
}

$attributes = msp_get_championship_attributes($championship->ID);
$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="live-championship">
    <?php if (isset($title)  && $title != "") : ?>
        <h3><?php echo esc_html($title); ?></h3>
    <?php endif; ?>
    <div class="header">
        <?php echo get_the_title($championship); ?>
    </div>
    <div class="border">
        <div class="row">
            <div class="col-md-4 col-sm-5">
                <span class="img-champ <?php echo esc_attr( $item_class );?>">
                    <a href="<?php echo get_permalink($championship->ID); ?>" title="<?php echo esc_attr( get_the_title($championship) ); ?>" >
                        <img src="<?php echo get_the_post_thumbnail_url($championship->ID, 'medium'); ?>" alt="">
                    </a>
                </span>
            </div>
            <div class="col-md-8 col-sm-7">
                <div class="info">
                    <dl>
                        <?php foreach ($attributes as $attr) : ?>
                        <dt><?php echo esc_html($attr['name']); ?>:</dt>
                        <dd><?php echo esc_html($attr['text']); ?></dd>
                        <?php endforeach; ?>
                    </dl>
                </div>
            </div>
        </div>
    </div>
</div>
