<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$players = team_get_players_from_match($match->ID);
?>


<h3><?php echo esc_html($title); ?></h3>
<div class="live-match-stat">
    <div class="tactic">
        <div class="field text-center">
            
            <?php foreach ($players as $Player) :
                if (team_get_player_match_data($match->ID, $Player->ID, '_player_team_activity_id') == "primary_staff"
                    && $position_id = team_get_player_match_data($match->ID, $Player->ID, '_player_position_id')) :

                    $position = team_get_hockey_player_position_by_id($position_id);
                    if (!$position) continue;
                    $position_class = team_get_player_match_data($match->ID, $Player->ID, '_organisation_id') == $team_left->ID ? 'top' : 'bottom';
            ?>
                <a href="<?php echo get_permalink($Player->ID); ?>" 
                   class="player <?php echo esc_attr($position_class); ?> hockey <?php echo esc_attr(strtolower($position->id) ); ?> <?php echo esc_attr($item_class); ?>" 
                   data-toggle="tooltip" 
                   data-placement="bottom" 
                   title="<?php echo esc_attr(team_the_player_number($Player->ID)); ?> <?php echo esc_attr(get_the_title($Player->ID)); ?>">
                    
                        <?php echo get_the_post_thumbnail($Player->ID, array(56, 56)); ?>
                        <?php echo team_the_player_number($Player->ID); ?>
                    
                </a>
            <?php endif; endforeach; ?>
            
            <img class="img-responsive center-block" src="<?php echo MSP_PATH_URL; ?>/images/hockey-field.png" alt="">
        </div>
        <ul class="team-legend">
            <li><div class="circle red"></div><?php echo get_the_title($team_left->ID);?></li>
            <li><div class="circle black"></div><?php echo get_the_title($team_right->ID);?></li>	
        </ul> 
    </div>
</div>