<?php

if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matches = team_get_matches($atts);
if (current($matches)) {
    $match = current($matches);
} else { 
    return;
}

if ($match->getStatus() == MSP\DataType\MatchStatus::EXPECTED) {
    return;
}

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$stats = team_get_player_stat_by_key(explode(', ', $stat_key));
$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="players-list-hockey scroll-x">
    <ul class="nav nav-tabs" role="tablist">
        <li class="active" role="presentation">
            <a href="#<?php echo esc_attr($team_left->post_name) ?>" aria-controls="home" role="tab" data-toggle="tab">
                <?php echo get_the_title($team_left); ?>
            </a>
        </li>
        <li>
            <a href="#<?php echo esc_attr($team_right->post_name) ?>" aria-controls="home" role="tab" data-toggle="tab">
                <?php echo get_the_title($team_right); ?>
            </a>
        </li>
    </ul>

    
    <div class="tab-content">
        <?php 
            foreach (array($team_left, $team_right) as $key => $team) : 
                $players = $match->getPlayersByMatchData( array_merge( $atts,  array('_organisation_id' => $team->getId()) ) );
        ?>
        <div class="tab-pane fade in <?php echo $key === 0 ? 'active' : ''; ?>" role="tabpanel" id="<?php echo esc_attr($team->post_name) ?>">			
            <table>
                <tbody>
                    <tr>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th class="full-width"></th>
                        <?php foreach ($stats as $stat) : ?>
                            <th><?php echo esc_html($stat['name']); ?></th>
                        <?php endforeach; ?>
                    </tr>
                    
                    <?php 
                        foreach ($players as $Player) : 
                            $player_stat = team_get_player_match_data($match->ID, $Player->ID);
                    ?>
                    <tr>
                        <td class="img <?php echo esc_attr($item_class); ?>">
                            <a href="<?php echo get_permalink($Player->ID); ?>">
                                <?php echo get_the_post_thumbnail($Player->ID, array(80, 80)); ?>
                            </a> 
                        </td>
                        <td class="<?php echo esc_attr($item_class); ?>"><span class="number"><?php echo team_the_player_number($Player->ID); ?></span></td>
                        <td class="<?php echo esc_attr($item_class); ?>"><a href="<?php echo get_permalink($Player->ID); ?>" class="name"><?php echo get_the_title($Player->ID); ?> </a></td>
                        <td class="<?php echo esc_attr($item_class); ?>"></td>
                        <?php foreach ($stats as $key => $stat) : ?>
                            <td class=" <?php echo esc_attr($item_class); ?> <?php echo !isset($stats[$key + 1]) ? 'points' : ''; ?>">
                                <?php echo !isset($stats[$key + 1]) ? '<span class="rate">' : ''; ?>
                                <?php echo esc_html(isset($player_stat[$stat['key']]) ? $player_stat[$stat['key']] : __('N/A', 'msp') ); ?>
                                <?php echo !isset($stats[$key + 1]) ? '</span>' : ''; ?>
                            </td>
                        <?php endforeach; ?>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <?php endforeach; ?>
    </div>
    
</div>

