<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match) || team_get_match_status($match->ID) < 1) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$stats = team_get_organisation_stat_by_key(explode(', ', $stat_key));
?>

<h3><?php echo esc_html($title); ?></h3>
<div class="match-stat-table">
    
    <?php foreach ($stats as $stat) : 
        $left = (int) team_get_team_math_data($match->ID, $team_left->ID, $stat['key']);
        $right = (int) team_get_team_math_data($match->ID, $team_right->ID, $stat['key']);
        $left_result = $right + $left;
        $width = $left_result != 0 ? ($left / $left_result) * 100 : 0;
    ?>
    <div class="item <?php echo esc_attr($item_class); ?>">
        <div class="name"><?php echo esc_html($stat['name']); ?></div>
        <div class="percent"><?php echo $left; ?></div>
        <div class="percent right"><?php echo $right; ?></div>
        <div class="percent-bar">
            <div class="bar" style="width: <?php echo (int)$width ?>%;"></div>
        </div>
    </div>
    <?php endforeach; ?>
</div>