<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$events = team_get_match_events(array('_match_id' => $match->ID, 'numberposts' => -1));
if (!count($events)) {
    return;
}

$match_length = msp__get_match_time_length($match->ID);

if (!$match_length) {
    return;
}

?>

<?php if (isset($title) && $title != "") : ?>
<h3><?php echo esc_html($title); ?></h3>
<?php endif; ?>

<div class="live-timeline">
<div class="timeline-wrap">
    <div class="team">
        <?php echo get_the_post_thumbnail($team_left->ID, array(20, 20)); ?>
        <?php echo get_the_title($team_left->ID); ?>
    </div>	
    <div class="timeline">
        <div class="first" style="width: 100%;">
            <div class="period">
                <div class="line <?php echo esc_attr( $item_class ); ?>" style="width: 100%;">
                    <?php foreach ($events as $event) : 
                    $event_seconds = team_the_match_event_minute($event->ID, 'S');
                    $length = ( $event_seconds / $match_length) * 100;
                    ?>
                        <a href="#event-<?php echo esc_attr($event->ID); ?>" 
                           class="goal " 
                           style="left: <?php echo $length?>%;" 
                           data-toggle="tooltip" 
                           data-placement="top" 
                           title="" 
                           data-original-title="<?php echo msp__get_event_tooltip_string($event->ID); ?>">
                            <img src="<?php echo esc_url(msp__get_event_icon_url($event->ID)); ?>" alt="<?php echo msp__get_event_tooltip_string($event->ID); ?>">
                        </a>	
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    </div>
    <div class="team">
        <?php echo get_the_post_thumbnail($team_right->ID, array(20, 20)); ?>
        <?php echo get_the_title($team_right->ID); ?>
    </div>
</div>
</div>