<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

global $paged, $wp_query;
$atts['page'] = $paged;
$matches = team_get_matches($atts, true);
$wp_query = $matches;

$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="broadcast-list" id="msp_matches_broadcasts_listing_acordion" role="tablist" aria-multiselectable="true">
<?php while($matches->have_posts()) : 
    $match = $matches->next_post();
    $team_left = team_get_match_team($match, 0);
    $team_right = team_get_match_team($match, 1);
    $broadcast = msp_get_match_broadcast($match->ID);
    $weather = msp_get_match_weather($match->ID);
    $commentators = $broadcast ? msp__get_broadcast_commentators($broadcast->ID) : false;
    $item_id = 'msp_matches_broadcasts_listing_acordion_item_' . esc_attr($match->ID);
?>

    <div class="broadcast-item <?php echo esc_attr($item_class); ?>">
        <div class="item-header" id="heading-<?php echo esc_attr( $match->ID ); ?>">
            <div class="row">
                
                <div class="col-md-1 col-sm-2">
                    <a data-toggle="collapse" 
                       data-parent="#msp_matches_broadcasts_listing_acordion" 
                       href="#<?php echo esc_attr( $item_id ); ?>" 
                       class="arrow collapsed" 
                       aria-controls="<?php echo esc_attr($item_id); ?>"
                       aria-expanded="false">
                        <i class="fa fa-caret-down" aria-hidden="true"></i>
                    </a>
                </div>
                
                <div class="col-md-7 col-sm-10">
                    <div class="item-head-body">
                        <a href="<?php echo get_permalink($team_left->ID); ?>">
                            <?php echo get_the_post_thumbnail($team_left->ID); ?>
                        </a>
                        <span class="vs"><?php esc_html_e('vs', 'msp'); ?></span>
                        <a href="<?php echo get_permalink($team_right->ID); ?>">
                            <?php echo get_the_post_thumbnail($team_right->ID); ?>
                        </a>
                        <span class="info">
                            <span class="what"><?php echo get_the_title($match->ID); ?></span>
                            <span class="then"><?php echo team_get_match_start($match->ID); ?></span>
                        </span>
                        
                        <?php if(team_get_match_status($match->ID) == 1) :?>
                            <span class="marker"><?php esc_html_e('live', 'msp'); ?></span>
                        <?php endif; ?>
                    </div>
                </div>
                
                <div class="col-md-4 col-sm-12">
                    <?php if ($broadcast) : ?>
                    <div class="channel">
                        <?php echo get_the_post_thumbnail($broadcast->ID, array(40, 40)); ?>
                        <span class="info">
                            <span class="what"><?php echo get_the_title($broadcast->ID); ?></span>
                            <span class="then"><?php echo team_get_match_start($match->ID); ?></span>
                        </span>
                    </div>
                    <?php endif; ?>
                </div>
            </div>	
        </div>
        <div id="<?php echo esc_attr( $item_id ); ?>" class="panel-collapse collapse" role="tabpanel" aria-expanded="false" style="height: 0px;">
            <div class="img-wrap">
                <a href="<?php echo get_permalink($match->ID); ?>">
                    <?php echo get_the_post_thumbnail($match->ID, 'full'); ?>
                </a>
            </div>
            <div class="item-body">
                <div class="row">
                    <div class="<?php echo $showing_players ? 'col-md-5 ' : 'col-md-12'; ?>">
                        <?php if ($match->post_excerpt): ?>
                        
                        <div class="title"><?php esc_html_e('Match details', 'msp'); ?></div>
                        <p><?php echo $match->post_excerpt; ?></p>
                        <?php endif; ?>
                        
                        <?php if ($showing_time): ?>
                        <div class="title"><?php esc_html_e('Match Time', 'msp'); ?></div>
                        <p><?php echo team_get_match_start($match->ID, 'G:i, l'); ?><br> <?php echo team_get_match_start($match->ID, 'j M Y T'); ?></p>
                        <?php endif; ?>
                        
                        <?php if ( $showing_referees && ($referees = team_get_match_referees($match->ID) ) ) : ?>
                            <div class="title"><?php esc_html_e('Referees', 'msp'); ?></div>
                            <div class="match-lineup">
                                <div class="team-wrap">
                                <?php foreach ($referees as $refere) : ?>
                                    <div class="member">
                                        <a href="<?php echo get_permalink($refere->ID); ?>" title="<?php echo esc_attr(get_the_title($refere)); ?>" class="avatar">
                                            <?php echo get_the_post_thumbnail($refere->ID, array(52, 52)); ?>
                                        </a>
                                        <div class="info">
                                            <div class="wrap">
                                                <a href="<?php echo get_permalink($refere->ID); ?>" class="name">
                                                    <?php echo get_the_title($refere->ID); ?>
                                                </a>
                                            </div>
                                            <?php if ($country = team_get_object_country($refere->ID)) : ?>
                                            <div class="country">
                                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                                <?php echo esc_html($country['countryName']);  ?>
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                                </div>
                            </div>
                        <?php endif; ?>
                            
                            
                        <?php if ($showing_commenators && $commentators ) : ?>
                            <div class="title"><?php esc_html_e('Broadcast commentators', 'msp'); ?></div>
                            <div class="match-lineup">
                                <div class="team-wrap">
                                <?php foreach ($commentators as $commentator) : ?>
                                    <div class="member">
                                        <a href="<?php echo get_permalink($commentator->ID); ?>" title="<?php echo esc_attr(get_the_title($commentator)); ?>" class="avatar">
                                            <?php echo get_the_post_thumbnail($commentator->ID, array(52, 52)); ?>
                                        </a>
                                        <div class="info">
                                            <div class="wrap">
                                                <a href="<?php echo get_permalink($commentator->ID); ?>" class="name">
                                                    <?php echo get_the_title($commentator); ?>
                                                </a>
                                            </div>
                                            <?php if ($country = team_get_object_country($commentator->ID)) : ?>
                                            <div class="country">
                                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                                <?php echo esc_html($country['countryName']);  ?>
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                                </div>
                            </div>
                        <?php endif; ?>
                        
                        <?php if ($showing_weather && $weather->ID && $weather->degrees) : ?>
                        <div class="title"><?php esc_html_e('weather forecast', 'msp');?></div>
                        <div class="live-match-weather">
                            <div class="icon">
                                <img src="<?php echo msp__get_data_type_image_url('weather_types', $weather->ID ); ?>" width="48" height="48" alt="<?php echo esc_attr($weather->description); ?>">
                            </div>	
                            <div class="info">
                                <div class="degree"><?php echo esc_html($weather->degrees); ?> °C</div>
                                <div class="text"><?php echo esc_html($weather->description); ?></div>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        <?php if ($showing_link): ?>
                        <a href="<?php echo get_permalink($match->ID); ?>" class="btn"><?php esc_html_e('View match page', 'msp');?></a>
                        <?php endif; ?>
                    </div>
                    
                    <?php if ($showing_players) : ?>
                    <div class="col-md-7">
                        <div class="title"><?php esc_html_e('Lineups', 'msp'); ?></div>
                        <div class="lineup-list">
                            <?php
                                $players_groups = msp_get_players_apponents_from_match($match->ID);
                                for ($i = 0; $i < $players_groups['max']; $i++) :
                            ?>
                            
                            <div class="item <?php echo esc_attr($item_class); ?>">
                                <?php if (isset($players_groups['left'][$i])) : $player = $players_groups['left'][$i];?>
                                <div class="left">
                                    <?php $number = team_the_player_number($player->ID); 
                                    if (is_numeric($number)): ?>
                                        <div class="number"><span><?php echo esc_html($number); ?></span></div>
                                    <?php else: ?>
                                        <div class="number"><span><?php echo get_the_post_thumbnail($player->ID, array(40, 40)); ?></span></div>
                                    <?php endif; ?>
                                    <div class="name">
                                        <a href="<?php echo get_permalink($player->ID); ?>" title="<?php echo esc_attr(get_the_title($player)); ?>">
                                        <?php echo get_the_title($player); ?> 
                                        <?php
                                            if ($position = team_get_player_position($player->ID)) : 
                                                echo '(' . $position->id . ')';
                                            endif; 
                                        ?>
                                        </a>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if (isset($players_groups['right'][$i])) : $player = $players_groups['right'][$i]; ?>
                                <div class="right">
                                    <div class="name">
                                        <a href="<?php echo get_permalink($player->ID); ?>" title="<?php echo esc_attr(get_the_title($player)); ?>">
                                        <?php echo get_the_title($player); ?> 
                                        <?php
                                            if ($position = team_get_player_position($player->ID)) : 
                                                echo '(' . $position->id . ')';
                                            endif; 
                                        ?>
                                        </a>
                                    </div>
                                    <?php $number = team_the_player_number($player->ID); 
                                    if (is_numeric($number)): ?>
                                        <div class="number"><span><?php echo esc_html($number); ?></span></div>
                                    <?php else: ?>
                                        <div class="number"><span><?php echo get_the_post_thumbnail($player->ID, array(40, 40)); ?></span></div>
                                    <?php endif; ?>
                                </div>
                                <?php endif; ?>
                            </div>
                           <?php endfor; ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

<?php endwhile; ?>
</div>

<?php 
    if ($hide_pagination !== 'true') {
        include MSP_PATH . '/includes/templates/addons/msp_pagination.php';
    }
?>

<?php wp_reset_query();