<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$organisations = team_get_organisations($atts);
if (!$organisations) {
    return;
}
$organisation = $organisations[0];

$item_class = $this->getCSSAnimation($css_animation);
$next_match = msp_get_organisation_next_match($organisation->ID);
$prev_matches = team_get_organisation_latest_matches($organisation->ID, 1);
if (isset($prev_matches[0])) {
    $prev_match = $prev_matches[0];
} else {
    $prev_match = false;
}

$stats = team_get_organisation_stat_by_key(explode(', ', $stat_key));
?>

<div class="organisation-header-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="club-logo <?php echo esc_attr( $item_class ); ?>">
                    <?php echo get_the_post_thumbnail($organisation->ID, 'medium'); ?>
                </div>
            </div>
            <div class="col-md-3">
                <div class="club-info">
                    <?php if ($country = team_get_object_country($organisation->ID)) : ?>
                    <div class="item country">
                        <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="flag">
                        <?php echo esc_html($country['countryName']); ?>
                    </div>
                    <?php endif; ?>
                    
                    <?php if ($attributes = msp_get_organisation_attributes($organisation->ID)) : 
                        foreach ($attributes as $attr) : ?>
                    <div class="item"><span><?php echo esc_html($attr['name']); ?>:</span> <?php echo esc_html($attr['text']); ?></div>
                    <?php endforeach; endif; ?>
                </div>
            </div>
            <div class="col-md-5">
                <div class="club-stat">
                    <?php if ($next_match && ($apponent = msp_get_match_organisation_apponent($next_match->ID, $organisation->ID))) { ?>
                    <div class="title"><?php esc_html_e('next opponent', 'msp');?></div>
                    <div class="next">
                        <div class="avatar">
                            <a href="<?php echo get_permalink($next_match->ID); ?>" title="<?php echo esc_attr( get_the_title($next_match->ID) ); ?>">
                                <?php echo get_the_post_thumbnail($apponent->ID, array(60, 60)); ?> 
                            </a>
                        </div>
                        <div class="info">
                            <div class="name"><?php echo get_the_title($apponent->ID); ?></div>
                            <div class="date"><?php echo team_get_match_start($next_match->ID); ?></div>
                        </div>
                    </div>
                    <?php } else if($prev_match && ($apponent = msp_get_match_organisation_apponent($prev_match->ID, $organisation->ID))) { ?>
                    
                    <div class="title"><?php esc_html_e('previous opponent', 'msp');?></div>
                    <div class="next">
                        <div class="avatar">
                            <a href="<?php echo get_permalink($prev_match->ID); ?>" title="<?php echo esc_attr( get_the_title($prev_match->ID) ); ?>">
                                <?php echo get_the_post_thumbnail($apponent->ID, array(60, 60)); ?> 
                            </a>
                        </div>
                        <div class="info">
                            <div class="name"><?php echo get_the_title($apponent->ID); ?></div>
                            <div class="date"><?php echo team_get_match_start($prev_match->ID); ?></div>
                        </div>
                    </div>
                    
                    <?php } ?>
                    <div class="title"><?php esc_html_e('team stats', 'msp'); ?></div>
                    
                    <?php foreach ($stats as $stat) : 
                        $value = (int)($organisation->getStatChacheById($stat->getId()));
                        ?>
                        <div class="circle-item" data-width="<?php echo esc_attr($value); ?>">
                            <div id="<?php echo esc_attr($stat->getId() . '-' . $organisation->ID) ?>" class="circle-bar"></div>
                            <div class="text"><?php echo esc_html( str_replace(array('rate', '%'), '', $stat->getName()) ); ?></div>
                        </div>
                    <?php endforeach; ?>
                    
                </div>
            </div>
        </div>	
    </div>	
</div>