<?php

if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $this \MSP\WPObjects\VC\AddonInterface */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

global $post;
$ModelTypeTeam = $this->getAddon()->getServiceManager()->get('ModelTypeTeam');
$ModelType = $ModelTypeTeam->getContextModelType($post);
$organisation = $ModelType->initModel($post);
if (!$organisation instanceof \MSP\Model\Team) {
    return;
}

$Factory = $this->getAddon()->getServiceManager()->get('MatchFactory');
$mathces = $Factory->query($atts)->getResult();
if (!count($mathces)) {
    return;
}

$stats = team_get_organisation_stat_by_key(explode(', ', $stat_key));
$item_class = $this->getCSSAnimation($css_animation);
?>

<h6><?php echo esc_html($title); ?></h6>
<div class="overflow-scroll">
    <table class="table-standings">
        <tbody>
            <tr>
                <th><?php esc_html_e('COMPETITOR', 'msp');?></th>
                <?php foreach ($stats as $stat) : ?>
                    <th><?php echo esc_html($stat['name']); ?></th>
                <?php endforeach; ?>
                <th><?php esc_html_e('result', 'msp'); ?></th>
            </tr>

            <?php foreach ($mathces as $match) : 
                $apponent = msp_get_match_organisation_apponent($match->ID, $organisation->ID);
                $match_stats = team_get_team_math_data($match->ID, $organisation->ID);
            ?>
            <tr>
                <td  class=" <?php echo esc_attr($item_class); ?>">
                    <span class="team">
                        <a href="<?php echo get_permalink($match->ID); ?>">
                            <?php echo get_the_post_thumbnail($apponent->ID, array(30, 30)); ?> 
                        </a>
                    </span> 
                    <span><?php echo get_the_title($apponent); ?></span>
                </td>

                <?php foreach ($stats as $key => $stat) : ?>
                    <td class=" <?php echo esc_attr($item_class); ?> <?php echo !isset($stats[$key + 1]) ? 'points' : ''; ?>">
                        <?php echo !isset($stats[$key + 1]) ? '<span>' : ''; ?>
                        <?php echo esc_html(isset($match_stats[$stat['key']]) ? $match_stats[$stat['key']] : __('N/A', 'msp') ); ?>
                        <?php echo !isset($stats[$key + 1]) ? '</span>' : ''; ?>
                    </td>
                <?php endforeach; ?>

                <td class=" <?php echo esc_attr($item_class); ?>">
                    <a href="<?php echo get_the_permalink($match->ID); ?>">
                        <?php
                        $result = msp_is_match_organisation_win($match->ID, $organisation->ID);
                        if ($result === "draw") { 
                            echo '<div class="match-result-label drawn">d</div>';
                        } else if ($result === true) {
                            echo '<div class="match-result-label win">w</div>';
                        } else {
                            echo '<div class="match-result-label lose">l</div>';
                        }?>
                    </a>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>