
(function(Chartist, $, _, configs){

    if (configs === undefined) {
        return;
    }

    _.each(configs, function(timeseries){
       
       $(timeseries.target).css('height', '250px');
    
        var Chart = new Chartist.Line(timeseries.target, {

            labels: timeseries.labels,

            series: [
                timeseries.values
            ]
        }, {

            axisY: {
                //type: Chartist.FixedScaleAxis,
                low: 0,
                onlyInteger: true,
                //offset: 50,
            },
            height: '250px',
            lineSmooth: false

        });
        
        Chart.on('draw', function (data) {
            
            // Image labels
            if (data.type === 'label' &&
                data.axis.units.pos === 'x') {
                //debugger;

                var group = new Chartist.Svg('g');

                var $IMAGE = new Chartist.Svg('image', {
                    'xlink:href': data.text.image,
                    width: '40px',
                    height: '40px',
                    x: data.x - 20,
                    y: data.y - 5
                });
                
                var $LINK = new Chartist.Svg('a', {
                    'href': data.text.link,
                    x: data.x - 20,
                    y: data.y - 5
                });
                
                $LINK.append(
                    $IMAGE
                );

                group.append(
                    $LINK
                );
        
                data.element.replace(group);
            }
        });
        
    });

    

})(Chartist, jQuery, _, msp_organisation_statistic_timeseries);


