<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation($css_animation);
$icons_ids = explode(',', $icons);

?>

<div class="msp_photo_grid_gallery_wrapper">
    <?php if (isset($title) && $title != "") : ?>
    <div class="col-md-6">
        <h4><?php echo esc_html($title); ?></h4>
    </div>
    <div class="col-md-6 text-right">
        <?php if (count($icons_ids) > $count_per_slide) : ?>
        <div class="owl-carousel-arrows">
            <div class="custom-navigation">
                <a class="custom-next-btn"><i class="fa fa-caret-left" aria-hidden="true"></i></a>
                <a class="custom-prev-btn"><i class="fa fa-caret-right" aria-hidden="true"></i></a>
            </div>
        </div>
        <?php endif; ?>
    </div>
    <?php endif; ?>
    <div class="col-md-12">
        <div class="owl-carousel owl-theme msp_photo_grid_gallery">

            <?php foreach ($icons_ids as $key_icon => $icon) : $number = $key_icon + 1;
            $image_data = wp_get_attachment_metadata($icon);
            $image_meta = $image_data['image_meta'];
            ?>

                <?php if (is_int($number / ($count_per_slide + 1)) || $number == 1 ) : ?>
                <div class="item">
                    <div class="isotope-grid row">
                <?php endif; ?>

                    <div class="<?php echo esc_attr($this->getImageSizeClasses($icon)); ?>">
                        <a href="<?php echo get_the_permalink($icon); ?>">
                            <div class="info">
                                <span class="date"><?php echo get_the_date(null, $icon); ?></span>
                                <p><?php echo esc_html($image_meta['caption']); ?></p>
                            </div>
                            <img 
                                src="<?php echo wp_get_attachment_image_url($icon, 'full'); ?>" 
                                alt="<?php echo esc_attr($image_meta['caption']); ?>" 
                                class="<?php echo esc_attr( $item_class );?>"
                            >	
                        </a>
                    </div>


                <?php if (is_int(($number) / $count_per_slide) || $number === count($icons_ids) ) : ?>
                    </div>
                </div>
                <?php endif; ?>

            <?php endforeach; ?>
        </div>	
    </div>
</div>


