<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Player page header', 'msp'),
    'base' => 'msp_player_header',
    'category' => __('Players', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Players.svg',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'query_model_type' => \MSP\DataType\ModelType::PLAYER,
    'scripts_deps' => array('progressbar', 'echarts', 'underscore'),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Radar diagram statistic types', 'msp' ),
            'param_name' => 'radar_stat_key',
            'group' => __( 'Player statistics', 'msp' ),
            'description' => __('This diagram calculated statistic rate of current player with other players.', 'msp'),
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 300,
                'sortable' => true,
                'groups' => true,
                'auto_focus' => true,
                'values' => team_get_active_games_player_stat_autocomplete(),
            ),
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Circle diagram statistic types', 'msp' ),
            'param_name' => 'circle_stat_key',
            'group' => __( 'Player statistics', 'msp' ),
            'description' => __('This diagram calculated statistic rate of current player with other players.', 'msp'),
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 300,
                'sortable' => true,
                'groups' => true,
                'auto_focus' => true,
                'values' => team_get_active_games_player_stat_autocomplete(),
            ),
        ),
        
        vc_map_add_css_animation(),
        
    ),
);
