<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $player \MSP\Model\Player */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$players = team_get_players($atts);
if (!count($players)) {
    return;
}
$player = $players[0];

$item_class = $this->getCSSAnimation($css_animation);

$radar_stats = team_get_player_stat_by_key(explode(', ', $radar_stat_key));
$circle_stats = team_get_player_stat_by_key(explode(', ', $circle_stat_key));

$circle_configs = msp__get_player_stats_for_circle_diagrams($player->ID, $circle_stats);
$radar_config = msp__get_player_stats_for_radar_diagram($player->ID, $radar_stats);
$radar_element_id = "player_header_radar_chart_" . $player->ID;
?>

<div class="row">
    <div class="col-md-12">
        <div class="player-single-wrap">
        <?php if (msp_is_player_capitain($player->ID)) : ?>
            <div class="captain-bage"><?php esc_html_e('Captain', 'msp'); ?></div>
        <?php endif; ?>
        <h4 class="player-name"><?php echo team_the_player_position($player->ID); ?></h4>
        </div>
    </div>
    <div class="col-md-3">
        <div class="player-photo">
            <img class="img-responsive" src="<?php echo get_the_post_thumbnail_url($player->ID, array('270', '270')); ?>" style="height: 270px;" alt="player">
        </div>
    </div>
    <div class="col-md-9">
        <div class="player-hockey-wrap">
            <div class="row">
                <div class="col-md-7 col-sm-6">
                    <div class="stats">
                        <p class="number"><?php echo team_the_player_number($player->ID); ?></p>
                        <p class="name">
                            <?php echo str_replace(" ", "<br/>", get_the_title($player)); ?>
                            <?php if ($player->getFullName()) : ?>
                                <br>
                                <small><?php echo $player->getFullName(); ?></small>
                            <?php endif; ?>
                        </p>
                        
                            <p class="country">
                                
                                <?php if ($player->getAge()) : ?>
                                    <?php echo $player->getAge() . ' ' . esc_html__('year old') ; ?>
                                    <br>
                                <?php endif; ?>
                                
                                <?php if ($country = team_get_object_country($player->ID)) : ?>
                                    <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                    <?php if ($player->getCity()) : ?>
                                        <?php echo esc_html($country['countryName'] . ', ' . $player->getCity()); ?>
                                    <?php else: ?>
                                        <?php echo esc_html($country['countryName']); ?>
                                    <?php endif; ?>
                                    <br>
                                <?php endif; ?>
                                
                                <?php if ($player->getHeight() || $player->getWeight()) : ?>
                                    <?php echo esc_html__('Height', 'msp') . ': ' . $player->getHeight(); ?>,
                                    <?php echo esc_html__('Weight', 'msp') . ': ' . $player->getWeight(); ?>
                                <?php endif; ?>
                                
                            </p>
                        
                        <div class="wrapper-circle">    
                            <?php
                            foreach ($circle_configs as $stat_key => $config) :
                                ?>
                                <div class="circle-item" data-width="<?php echo esc_attr((int)$config['value']); ?>">
                                    <div id="<?php echo esc_attr($stat_key . '-msp_player_header-' . $player->ID) ?>" class="circle-bar"></div>
                                    <div class="text"><?php echo esc_html(str_replace('rate', '', $config['name'])); ?></div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-5 col-sm-6">
                    <script type="text/javascript">
                        if (msp_player_header_radar === undefined) {
                            var msp_player_header_radar = [];
                        }

                        msp_player_header_radar.push({
                            labels: <?php echo json_encode($radar_config['labels']) ?>,
                            label: "<?php echo esc_js( get_the_title($player) ); ?>",
                            data: <?php echo json_encode($radar_config['values']) ?>,
                            target: "<?php echo esc_js( $radar_element_id ); ?>"
                        });
                    </script>

                    <div id="<?php echo esc_attr($radar_element_id); ?>" style="margin: 0 auto; width: 270px; min-height: 1px;">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>