<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$players = team_get_players($atts);
if (current($players)) {
    $player = current($players);
} else {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);
$organisations = msp_get_player_organisations($player->ID);
$stats = team_get_player_stat_by_key(explode(', ', $stat_key));
?>

<div class="overflow-scroll">
    <table>
        <tbody>
            <tr>
                <th class="club"><?php esc_html_e('Club', 'msp');?></th>
                <?php foreach ($stats as $stat) : ?>
                <th><?php echo esc_html($stat['name']); ?></th>
                <?php endforeach; ?>
            </tr>
            <?php foreach ($organisations as $organisation) : 
                $player_stat = team_get_player_stat(array('_player_id' => $player->ID, '_organisation_id' => $organisation->ID));
            ?>
            <tr>
                <td class="club">
                    <?php echo get_the_post_thumbnail($organisation->ID, array(30, 30)); ?> 
                    <?php echo get_the_title($organisation); ?>
                </td>
                <?php foreach ($stats as $key => $stat) : ?>
                    <td>
                        <?php echo !isset($stats[$key + 1]) ? '<span>' : ''; ?>
                        <?php echo esc_html(isset($player_stat[$stat['key']]) ? $player_stat[$stat['key']] : __('N/A', 'msp') ); ?>
                        <?php echo !isset($stats[$key + 1]) ? '</span>' : ''; ?>
                    </td>
                <?php endforeach; ?>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>