(function($, echarts, configs, _, colors){
    
    if (configs === undefined) {
        return;
    }
    
    $(window).on('load', function(){
        
        _.each(configs, function(config){
            
        var $element = $('#' + config.target);
        $element.height($element.width());
            
            
        var chartliexample1 = echarts.init(document.getElementById(config.target));

           var option = {
                tooltip: {
                    trigger: 'item',
                    backgroundColor: 'rgba(0, 0, 0, 0.54)'
                },
                toolbox: {
                    show: true,
                    feature: {
                        saveAsImage: { show: true, title: 'Save As Image', color: '#000' }
                    }
                },
                color: [colors['contrast-color']],
                polar: [
                {
                    indicator: config.labels,
                    name: {
                        textStyle: {
                            color: colors['dark-color'],
                            fontFamily: 'Montserrat, sans-serif'
                        }
                    },
                    axisLine: {
                        lineStyle: {
                            color: colors['light-color'],
                            width: 7,
                        }
                    },
                    splitArea: {
                        show: true,
                        areaStyle: {
                            color: [colors['muted-alt-color'], colors['light-base-color']]
                        }
                    },
                }
               ],
                calculable: true,
                series: [
                    {
                        name: config.label,
                        type: 'radar',
                        symbol: 'none',
                        itemStyle: {
                            symbolSize:0,
                            normal: {
                                areaStyle: {
                                    opacity: 1,
                                    type: 'default',
                                    borderWidth: 0,
                                    //shadowBlur: 10,
                                    //shadowOffsetX: 0,
                                    //shadowOffsetY: 10,
                                    //shadowColor: 'rgba(0, 0, 0, 0.5)'
                                }
                            }
                        },
                        data: [
                            {
                                value: config.data,
                                name: config.label
                            }
                        ]
                    }
                ]
           };


           chartliexample1.setOption(option);

       });
        
    });
    
    
    
})(jQuery, echarts, msp_player_statistic_radar_chart_configs, _, MSP_color_scheme);


