<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$organisations = team_get_organisations($atts);
$stats = team_get_player_stat_by_key(explode(', ', $stat_key));
$best_stats = msp__get_best_players_stats();

$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="single-player-stats players_statistic_slider dark">
    <ul class="player-filters" role="tablist">
        <?php foreach ($organisations as $key => $organisation) : ?>
            <li class="<?php echo $key === 0 ? 'active' : ''; ?>">
                <a href="#<?php echo esc_attr($organisation->post_name);?>" aria-controls="<?php echo esc_attr($organisation->post_name);?>" role="tab" data-toggle="tab">
                    <?php echo get_the_title($organisation); ?>
                </a>
            </li>
        <?php endforeach; ?>
    </ul>
    <div class="player-stat-slider tab-content">
        
        <?php foreach ($organisations as $key => $organisation) : 
                $players = team_get_players(array(
                    '_organisation_id' => $organisation->ID,
                    'max_count' => -1
                ));
            ?>
        
        <div class="tab-pane <?php echo $key === 0 ? 'active' : ''; ?>" id="<?php echo esc_attr($organisation->post_name);?>">
            <div id="slider-<?php echo esc_attr($organisation->post_name);?>" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner" role="listbox">
                    
                    <?php foreach ($players as $key => $player) : ?>
                    <div class="item <?php echo $key === 0 ? 'active' : ''; ?>">
                        <div class="wrap">
                            <div class="stat">
                                <?php if (($number = team_the_player_number($player->ID))) : ?>
                                    <div class="top-info with_number">
                                        <div class="number"><?php echo esc_html($number); ?></div>
                                        <a href="<?php echo get_permalink($player->ID); ?>" class="name">
                                            <?php echo strtoupper( get_the_title($player) ); ?>
                                        </a>
                                    </div>
                                <?php else: ?>
                                    <div class="top-info">
                                        <a href="<?php echo get_permalink($player->ID); ?>" class="name">
                                            <?php echo strtoupper( get_the_title($player) ); ?>
                                        </a>
                                    </div>
                                <?php endif; ?>
                                <div class="position">
                                    <?php echo team_the_player_position($player->ID); ?>
                                </div>
                                <div class="progress-wrap">
                                    
                                    <?php foreach ($stats as $stat) : 
                                        $value = msp__get_player_stat_cache_by_key($player->ID, $stat['key']);
                                        $best = isset($best_stats[$stat['key']]) ? $best_stats[$stat['key']] : false;
                                        if ($best !== false) {
                                             $width = ($value / $best) * 100;
                                        } else {
                                             $width = 100;
                                        }
                                    ?>
                                    <div class="progress-item">
                                        <div class="bar-label">
                                            <div class="achievement"><?php echo esc_html($stat['name']); ?></div>
                                            <div class="score"><?php echo esc_html($value); ?></div>
                                        </div>
                                        <div class="progress-line">
                                            <div class="bar" style="width: <?php echo esc_attr($width); ?>%;"></div>
                                        </div>
                                    </div>
                                    <?php endforeach; ?>
                                    
                                </div>
                            </div>
                            <div class="image">
                                <a href="<?php echo get_permalink($player->ID); ?>" title="<?php echo esc_attr( get_the_title($player) ); ?>">
                                    <?php echo get_the_post_thumbnail($player->ID, array('350', '350')); ?>
                                </a>
                            </div>	
                        </div>
                    </div>
                    <?php endforeach; ?>
                    
                </div>
                
                <div class="arrow-wrap">
                    <!-- Controls -->
                    <a class="nav-arrow left-arrow" href="#slider-<?php echo esc_attr($organisation->post_name);?>" role="button" data-slide="prev">
                        <i class="fa fa-caret-left" aria-hidden="true"></i>
                        <span class="sr-only"><?php esc_html_e('Previous', 'msp');?></span>
                    </a>
                    <a class="nav-arrow right-arrow" href="#slider-<?php echo esc_attr($organisation->post_name);?>" role="button" data-slide="next">
                        <i class="fa fa-caret-right" aria-hidden="true"></i>
                        <span class="sr-only"><?php esc_html_e('Next', 'msp');?></span>
                    </a>
                </div>
                
            </div>
        </div>
        
        <?php endforeach; ?>
        
    </div>
</div>