<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_team_latest_matches
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$Players = team_get_players($atts);
if (current($Players)) {
    $Player = current($Players);
} else {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);
?>

<div class="summary">
    <div class="row">
        
        <?php if ($country = team_get_object_country($Player->ID)) : ?>
            <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
                <div class="item"><?php esc_html_e('Nationality', 'msp');?>:</div>
            </div>
            <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="flag">
                <?php if ($Player->getCity()) : ?>
                    <?php echo esc_html($country['countryName'] . ', ' . $Player->getCity()); ?>
                <?php else: ?>
                    <?php echo esc_html($country['countryName']); ?>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        
        <?php if ($position = team_the_player_position($Player->ID)) : ?>
        <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
            <div class="item"><?php esc_html_e('Position', 'msp');?>:</div>
        </div>
        <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
            <?php echo esc_html($position); ?>
        </div>
        <?php endif; ?>
        
        <?php if ($age = msp_get_player_age($Player->ID)) : ?>
        <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
            <div class="item"><?php esc_html_e('Age', 'msp'); ?>:</div>
        </div>
        <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
            <?php echo esc_html($age);?>
        </div>
        <?php endif; ?>
        
        <?php if ($weight = get_post_meta($Player->ID, '_player_weight', true)) : ?>
        <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
            <div class="item"><?php esc_html_e('Weight', 'msp'); ?>:</div>
        </div>
        <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
            <?php echo esc_html($weight);?>
        </div>
        <?php endif; ?>
        
        <?php if ($height = get_post_meta($Player->ID, '_player_height', true)) : ?>
        <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
            <div class="item"><?php esc_html_e('Height', 'msp'); ?>:</div>
        </div>
        <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
            <?php echo esc_html($height);?>
        </div>
        <?php endif; ?>
        
        <?php foreach ($Player->getAttributes() as $attr) : 
            $attr_name = isset($attr['name']) ? $attr['name'] : null;
            $attr_text = isset($attr['text']) ? $attr['text'] : null;
            
            if (!$attr_name || !$attr_text) {
                continue;
            }
        ?>
        <div class="col-md-3 col-sm-3 col-xs-3 <?php echo esc_attr($item_class);?>">
            <div class="item"><?php echo esc_html($attr_name); ?>:</div>
        </div>
        <div class="col-md-9 col-sm-9 col-xs-9 <?php echo esc_attr($item_class);?>">
            <?php echo esc_html($attr_text);?>
        </div>
        <?php endforeach; ?>
        
    </div>
</div>
