<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

global $paged, $wp_query;
$atts['page'] = $paged;
$Players = team_get_players($atts, true);
$wp_query = $Players;

$stats = team_get_player_stat_by_key(explode(', ', $stat_key));
$item_class = $this->getCSSAnimation($css_animation);

?>

<div class="overflow-scroll player-table-listing">
    <table class="standing-full" id="standing-full">
        <tbody>
            <tr>
                <th><?php esc_html_e('player', 'msp'); ?></th>

                <?php if (!$disable_club_column): ?>
                <th class="player-club"><?php esc_html_e('club', 'msp'); ?></th>
                <?php endif; ?>

                <?php foreach ($stats as $stat) : ?>
                    <th><?php echo esc_html($stat['name']); ?></th>
                <?php endforeach; ?>

                <?php if (!$disable_results): ?>
                    <th><?php esc_html_e('results', 'msp'); ?></th>
                <?php endif; ?>

                <?php if (!$disable_next_apponent_column): ?>
                    <th><?php esc_html_e('next', 'msp'); ?></th>
                <?php endif; ?>

            </tr>
            <?php while ($Players->have_posts()) : $Player = $Players->next_post();
                $organisation = team_get_player_organisation($Player->ID);
                $next_match = msp_get_organisation_next_match($organisation->ID);
                $latest_matches = team_get_organisation_latest_matches($organisation->ID);
            ?>
            <tr class="">
                <td class="up <?php echo esc_attr($item_class); ?>" >
                    <a href="<?php echo get_permalink($Player->ID); ?>">
                        <span class="team">
                            <?php echo get_the_post_thumbnail($Player->ID, array(30, 30)); ?> 
                        </span>
                        <span class="team-text">
                            <?php echo get_the_title($Player->ID); ?>
                        </span>
                    </a>
                </td>

                <?php if (!$disable_club_column): ?>
                <td class="up player-club <?php echo esc_attr($item_class); ?>">
                    <a href="<?php echo get_permalink($organisation->ID); ?>">
                        <span class="team">
                            <?php echo get_the_post_thumbnail($organisation->ID, array(30, 30)); ?> 
                        </span>
                        <span class="organisation-name"><?php echo get_the_title($organisation); ?></span>
                    </a>
                </td>
                <?php endif; ?>

                <?php foreach ($stats as $key => $stat) : 
                    $value = $Player->getStatisticFromCache($stat->getId());
                    ?>
                    <td class=" <?php echo esc_attr($item_class); ?> <?php echo !isset($stats[$key + 1]) ? 'points' : ''; ?>">
                        <?php echo !isset($stats[$key + 1]) ? '<span class="style-point">' : ''; ?>
                        <?php echo esc_html( is_numeric($value) ? $value : __('N/A', 'msp') ); ?>
                        <?php echo !isset($stats[$key + 1]) ? '</span>' : ''; ?>
                    </td>
                <?php endforeach; ?>

                <?php if (!$disable_results): ?>
                <td class="form <?php echo esc_attr($item_class); ?>">
                    <?php if (count($latest_matches)) :
                            foreach ($latest_matches as $match) : ?>
                                <a href="<?php echo get_permalink($match->ID); ?>" title="<?php echo esc_attr(get_the_title($match)) ?>">
                                    <?php
                                    $result = msp_is_match_organisation_win($match->ID, $organisation->ID);
                                    if ($result === "draw") { 
                                        echo '<span class="drawn">d</span>';
                                    } else if ($result === true) {
                                        echo '<span class="win">w</span>';
                                    } else {
                                        echo '<span class="lose">l</span>';
                                    }?>
                                </a>
                            <?php
                             endforeach; 
                     else: 
                         esc_html_e('N/A', 'msp'); 
                     endif; ?>
                </td>
                <?php endif; ?>

                <?php if (!$disable_next_apponent_column): ?>
                <td class="<?php echo esc_attr($item_class); ?>">
                    <?php if ($next_match && $apponent = msp_get_match_organisation_apponent($next_match->ID, $organisation->ID)) : ?>
                    <a href="<?php echo get_permalink($next_match->ID); ?>">
                        <?php echo get_the_post_thumbnail($apponent->ID, array(30, 30)); ?> 
                    </a>
                    <?php else: ?>
                    <?php esc_html_e('N/A', 'msp'); ?>
                    <?php endif; ?>
                </td>
                <?php endif; ?>

            </tr>
            <?php endwhile; ?>
        </tbody>
    </table>
</div>
<?php 
    if ($hide_pagination !== 'true') {
        include MSP_PATH . '/includes/templates/addons/msp_pagination.php';
    }
?>

<?php wp_reset_query();