<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts['meta_key'] = '_thumbnail_id';
$atts['meta_compare'] = 'EXISTS';
$this->buildAtts($atts);
$posts = $this->buildItems();

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$rows_count = $rows_count ? $rows_count : 1;
$per_row = (int)(count($posts) / $rows_count);
$rows = array_chunk($posts, $per_row ? $per_row : 1);

$item_class = $this->getCSSAnimation($css_animation);
?>

<!--LANDING SPORT GALERY BEGIN-->
<?php foreach ($rows as $key => $row) : ?>
<div id="owl-carousel-gallery-<?php echo esc_attr($key); ?>" class="landing-sport-galery">
    <div class="owl-carousel">
        
        <?php foreach ($row as $post) : 
        $image_id = get_post_thumbnail_id($post->ID);
        if (!$image_id) {
            continue;
        }
        
        $image_data = wp_get_attachment_metadata($image_id);
        $h = $image_data['height'];
        $w = $image_data['width']; 
        $merge = 1;
        if ($h > $w) {
            $merge = 1;
        } else if ($w > 1.7 * $h) {
            $merge = 2;
        } else if ($w > 2.5 * $h) {
            $merge = 3;
        }
            
        ?>
        <div class="item" data-merge="<?php echo esc_attr($merge); ?>">
            <a href="<?php echo get_the_permalink($post); ?>" class="item <?php echo esc_attr($item_class); ?>">
                <img src="<?php echo get_the_post_thumbnail_url($post->ID, 'large'); ?>" alt='<?php echo esc_attr(get_the_title($post->ID)); ?>'>
                <div class="border">
                    <span><?php echo get_the_title($post->ID); ?></span>
                </div>
            </a>
        </div>
        <?php endforeach; ?>
        
    </div>
</div>
<?php endforeach; ?>
<!--LANDING SPORT GALERY END-->