<?php 
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$teams = team_get_organisations($atts);
$stats = team_get_player_stat_by_key(explode(', ', $stat_key));
$best_stats = msp__get_best_players_stats();
?>

<!--ESPORT CHAMPIONSHIP PLAYERS BEGIN-->
<div id="team" class="esport-championship-players">
    <div class="row">
        <div class="col-md-12 tabs-overflow-hidden">
            <ul class="esport-players">
                <?php foreach ($teams as $key =>  $team): ?>
                <li class="<?php echo $key === 0 ? 'active' : ''; ?>">
                    <a data-toggle="tab" href="#<?php echo esc_attr($team->post_name); ?>">
                        <?php echo get_the_title($team);?>
                    </a>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <div class="tab-content">
        
        <?php foreach ($teams as $key => $team) :
            $players = team_get_players(array(
                '_organisation_id' => $team->ID,
                'max_count' => 5,
                '_player_position_id' => isset($atts['_player_position_id']) ? $atts['_player_position_id'] : null,
                '_player_role_id' => isset($atts['_player_role_id']) ? $atts['_player_role_id'] : null,
                '_game_id' => isset($atts['_game_id']) ?  $atts['_game_id'] : null
            ));
        ?>
        
            <div id="<?php echo esc_attr($team->post_name); ?>" class="tab-pane fade in <?php echo $key === 0 ? 'active' : ''; ?>"> 
                <div class="wrap">
                    <div class="width players-wrapper">
                        
                        <?php foreach ($players as $player): ?>
                        <a href="<?php echo get_the_permalink($player); ?>">
                            <img class="player-img" alt="player-img" src="<?php echo get_the_post_thumbnail_url($player->ID, 'full'); ?>">
                            <span class="name">
                                <?php echo get_the_title($player->ID); ?>
                            </span>
                            <span class="info-bord">
                                <span class="name"><?php echo get_the_title($player->ID); ?></span>
                                
                                <?php foreach ($stats as $stat) : 
                                    $value = msp__get_player_stat_cache_by_key($player->ID, $stat['key']);
                                    $best = isset($best_stats[$stat['key']]) ? $best_stats[$stat['key']] : false;
                                    if ($best !== false) {
                                         $width = ($value / $best) * 100;
                                    } else {
                                         $width = 100;
                                    }
                                ?>
                                <span class="progress-item">
                                    <span class="progress-line">
                                        <span class="bar" style="width: <?php echo esc_attr($width); ?>%;"></span>
                                    </span>
                                    <span class="bar-label">
                                        <span class="achievement"><?php echo esc_html($stat['name']); ?></span>
                                        <span class="score"><?php echo esc_html($value); ?></span>
                                    </span>
                                </span>
                                <?php endforeach; ?>
                                
                                
                                
                            </span>
                        </a>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        
        <?php endforeach; ?>

    </div>
</div>
<!--ESPORT CHAMPIONSHIP PLAYERS END-->