<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $Sponsor \MSP\Model\Sponsor */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$item_class = $this->getCSSAnimation($css_animation);

$sm = $this->getAddon()->getServiceManager();
$Sponsors = $sm->get('SponsorFactory')->query($atts)->getResult();
$count = count($Sponsors);
if (!current($Sponsors)) {
    return;
}

$Sponsors_by_columns = array();
$inter_currnet_col = 1;
foreach ($Sponsors as $Sponsor) {
    $Sponsors_by_columnsp[$inter_currnet_col][] = $Sponsor;
    if ($inter_currnet_col == $items_per_row) {
        $inter_currnet_col = 1;
    } else {
        $inter_currnet_col++;
    }
}

$col_size = (int)(12 / $items_per_row);
if ($col_size < 1 || $col_size > 12) {
    $col_size = 3;
}

?>

<div class="addon-sponsors-grid-listing">
    <?php if ($title) : ?>
    <h4><?php echo esc_html($title); ?></h4>
    <?php endif; ?>

    <div class="row">
        
        <?php foreach ($Sponsors_by_columnsp as $Sponsors) : ?>
        <div class="col-md-<?php echo $col_size; ?>">

            <?php foreach ($Sponsors as $Sponsor) : ?>
            <div class="sponsor-wrapper <?php echo esc_attr($item_class); ?>">
                <a class="sp-logo" href="<?php echo $Sponsor->getMainSiteUrl(); ?>">
                    <img src="<?php echo $Sponsor->getThumbnailUrl() ?>" class="img-responsive">
                </a>
                
                <?php if ($Sponsor->getType()) : ?>
                <div class="type-line" style="background-color: <?php echo $Sponsor->getType()->getColorLabel(); ?>;">
                    <?php echo $Sponsor->getType()->getName(); ?>
                </div>
                <?php endif; ?>

                <div class="sp-content">
                    
                    <?php if ($Sponsor->getAttributes()) : ?>
                    <dl>
                        <?php foreach ($Sponsor->getAttributes() as $attr) : 
                            $attr_name = isset($attr['name']) ? $attr['name'] : null;
                            $attr_text = isset($attr['text']) ? $attr['text'] : null;       
                        ?>
                            <dt><?php echo esc_html($attr_name); ?>:</dt>
                            <dd><?php echo esc_html($attr_text); ?></dd>
                        <?php endforeach; ?>
                    </dl>
                    <?php endif; ?>
                    
                    <?php echo $Sponsor->getContent(); ?>
                        
                    <div class="sp-socials">
                        <?php foreach ($Sponsor->getSocial() as $social) : ?>
                            <a href="<?php echo esc_url($social['link']);?>">
                                <i class="fa <?php echo esc_attr($social['icon_class']); ?>" aria-hidden="true"></i>
                            </a>
                        <?php endforeach; ?>
                    </div>

                    <a href="<?php echo $Sponsor->getMainSiteUrl(); ?>" class="sp-site-link" target="_blank">
                        <?php echo $Sponsor->getTitle(); ?> <i class="fa fa-external-link"></i>
                    </a>
                    
                    <div class="clearfix"></div>
                </div>
                
            </div>
            <?php endforeach; ?>
            
            <div class="clearfix"></div>
        </div>
        <?php endforeach; ?>
        
        
        <div class="clearfix"></div>
    </div>
    
</div>