<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $Sponsor \MSP\Model\Sponsor */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$item_class = $this->getCSSAnimation($css_animation);

$sm = $this->getAddon()->getServiceManager();
$Sponsors = $sm->get('SponsorFactory')->query($atts)->getResult();
$count = count($Sponsors);
if (!current($Sponsors)) {
    return;
}

$item_col = (int)(12 / $count_per_slide) * $count_row_per_slide;
$carusel_id = 'msp_icon_slider_' . rand();
?>

<div id="<?php echo esc_attr($carusel_id); ?>" class="carousel slide addon-sponsors-logo-slider" data-ride="carousel">
    
    <?php if ($title) : ?>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <h3><?php echo esc_html($title); ?></h3>
            </div>
        </div>
    </div>
    <?php endif; ?>
    
    <div style="position: relative;">
        <div class="carousel-inner" role="listbox">

            <?php foreach ($Sponsors as $key_icon => $Sponsor) : 
                $number = $key_icon + 1;    
                ?>

                <?php if (is_int($number / ($count_per_slide + 1)) || $number == 1 ) : ?>
                <div class="item <?php echo $key_icon === 0 ? 'active' : ''; ?>">
                    <div class="container">
                        <div class="row">
                <?php endif; ?>

                    <div class="col-md-<?php echo esc_attr($item_col); ?> col-sm-12 text-center">
                        <a href="<?php echo $Sponsor->getMainSiteUrl(); ?>">
                            <img src="<?php echo $Sponsor->getThumbnailUrl(); ?>" 
                                 alt="<?php echo esc_attr($Sponsor->getTitle()); ?>" 
                                 class="<?php echo esc_attr( $item_class );?>">	
                        </a>
                    </div>

                <?php if (is_int(($number) / $count_per_slide) || $number === $count ) : ?>
                        </div>
                    </div>	
                </div>
                <?php endif; ?>

            <?php endforeach; ?>
        </div>
        
        <?php if ($count > $count_per_slide) : ?>
        <!-- Controls -->
        <a class="nav-arrow left-arrow " href="#<?php echo esc_attr($carusel_id); ?>" role="button" data-slide="prev">
            <i class="fa fa-angle-left" aria-hidden="true"></i>
            <span class="sr-only"><?php esc_html_e('Previous', 'msp');?></span>
        </a>
        <a class="nav-arrow right-arrow " href="#<?php echo esc_attr($carusel_id); ?>" role="button" data-slide="next">
            <i class="fa fa-angle-right" aria-hidden="true"></i>
            <span class="sr-only"><?php esc_html_e('Next', 'msp');?></span>
        </a>
        <?php endif; ?>
    </div>
    
    
        
    	
</div>