<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Store list light version', 'msp'),
    'base' => 'store_list_light_version',
    'category' => __('WooCommerce', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Other.png',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'scripts_deps' => array('store-list-light-version', 'owl.carousel', 'bootstrap'),
    'styles_deps' => array('mdl__team', 'owl.carousel', 'owl.theme.default'),
    'params' => array_merge(array(
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Title', 'msp'),
            'param_name' => 'title',
            'value' => 'FAN STORE',
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Create filter tabs by products category', 'msp' ),
            'param_name' => 'tabs_product_cat_id',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 500,
                'sortable' => true,
                'auto_focus' => true,
                'values' => msp__get_product_cat_for_autocompele(),
            ),
        ),
        
        vc_map_add_css_animation(),
        
    ), MSP\VC\Helpers\WooCommerce::query(), \MSP\WPObjects\VC\Helpers\Paginate::quary())
);