<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

if (!defined('ABSPATH')) {
    die('-1');
}

if ( ! class_exists( 'WooCommerce' ) ) {
    return;
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation( $css_animation );
$categories = get_terms( 'product_cat', array(
    'include' => explode(', ', $tabs_product_cat_id),
));

if (!count($categories)) {
    $categories[] = 'default';
}
?>
<div class="row js-addon-store-list-light-version">
    <?php if ($title) : ?>
    <div class="col-md-12">
        <h5>
            <?php echo esc_html($title); ?>
        </h5>
    </div>	
    <?php endif; ?>
    
    <?php if (count($categories) > 1) : ?>
    <div class="col-md-12 tabs-overflow-hidden">
        <ul class="store-light-version-filter">
            <?php foreach ($categories as $key => $cat) : ?>
                <li>
                    <a data-toggle="tab" href="#<?php echo esc_attr($cat->slug);?>"><?php echo esc_html($cat->name);?></a>
                </li>
            <?php endforeach; ?>
        </ul>
    </div>
    <?php endif; ?>
</div>
<div class="store-list-light-version">
    <div class="tab-content">
        
        <?php foreach ($categories as $key => $cat) :?>
        <div id="<?php echo esc_attr(isset($cat->slug) ? $cat->slug : 'default' );?>" class="tab-pane fade in">
            <div class="owl-carousel owl-theme">
            
                
                    <?php 
                    global $wp_querym, $post, $product;
                    $products = msp__get_products(array_merge($atts, array(
                        'product_cat_id' => isset($cat->term_id) ? $cat->term_id : null
                    )), true);
                    $wp_query = $products;
                    
                    while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
                    <div class="item">
                    <div class="esport-store-list-item <?php echo esc_attr($item_class); ?> ?>">

                        <div>
                            <?php
                            /**
                             * woocommerce_before_shop_loop_item hook.
                             *
                             */
                            do_action( 'woocommerce_before_shop_loop_item' );

                            /**
                             * woocommerce_before_shop_loop_item_title hook.
                             *
                             * @hooked woocommerce_show_product_loop_sale_flash - 10
                             */
                            do_action( 'woocommerce_before_shop_loop_item_title' );
                            ?>
                            <a href="<?php echo get_the_permalink(); ?>">
                                <?php
                                /**
                                    * woocommerce_before_shop_loop_item_title hook.
                                    *
                                    * @hooked woocommerce_show_product_loop_sale_flash - 10
                                    */
                                   do_action( 'woocommerce_before_shop_loop_item_title' );
                                ?>
                                <?php echo woocommerce_get_product_thumbnail('team_shop_catalog'); ?>
                            </a>
                            <div class="info">
                                <span class="name"><?php the_title(); ?></span>
                                <?php 
                                    /**
                                     * woocommerce_after_shop_loop_item_title hook.
                                     *
                                     * @hooked woocommerce_template_loop_price - 10
                                     */
                                    do_action( 'woocommerce_after_shop_loop_item_title');

                                    /**
                                     * woocommerce_after_shop_loop_item hook.
                                     *
                                     * @hooked woocommerce_template_loop_add_to_cart - 10
                                     */
                                    do_action( 'woocommerce_after_shop_loop_item' );
                                ?>
                            </div>
                        </div>
                    </div>
                    </div>
                    <?php endwhile; // end of the loop. ?>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
</div>

<?php wp_reset_query(); wp_reset_postdata();
