(function($, Backbone, _){
    
    var View = Backbone.View.extend({
        
        initialize: function () {
            if (window.localStorage.getItem('msp_subscribe_complete') === "true") {
                this.hideForm();
                console.log('widget');
            }
            
            this.$('form').submit(_.bind(this.ajaxSendForm, this));
        },
        
        events: {
            'click .subscribe-againe' : 'showForm'
        },
        
        ajaxSendForm: function (event) {
            var url = this.$('form').attr('action');
            var method = this.$('form').attr('method');
            var data = this.$('form').serialize();
            
            $.ajax(url, {
                success: _.bind(this.complete, this),
                method: method,
                data: data
            });
            
            event.preventDefault();
        },
        
        complete: function () {
            this.hideForm();
            window.localStorage.setItem('msp_subscribe_complete', "true");
        },
        
        hideForm: function () {
            this.$('form').hide();
            this.$('.congratulation_message').show();
        },
        
        showForm: function (event) {
            this.$('form').show();
            this.$('.congratulation_message').hide();
            
            event.preventDefault();
        }
        
    });
    
    $('.subscribe').each(function(){
        new View({el: $(this)});
    });
    
})(jQuery, Backbone, _);