<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_team_latest_matches
 */
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$stats = team_get_player_stat_by_key(explode(', ', $stat_key));

$item_class = $this->getCSSAnimation( $css_animation );
$tabs_prefix = str_shuffle('qwertyuiopasdfghjklzxcvbnm') . '_';
?>

<div class="row dark team-best-player">
    <div class="col-md-12">
            <ul class="player-filters" role="tablist">
                <?php foreach ($stats as $key => $stat) : ?>
                    <li class="<?php echo $key === 0 ? 'active' : ''; ?>">
                        <a href="#<?php echo esc_attr($tabs_prefix . $stat['key']);?>" aria-controls="<?php echo esc_attr($tabs_prefix . $stat['key']);?>" role="tab" data-toggle="tab"><?php echo esc_html( $stat['name'] ); ?></a>
                    </li>
                <?php endforeach; ?>
            </ul>
    </div>
    <div class="col-md-12 tab-content">
            <?php foreach ($stats as $key => $stat) : 
                $players = team_get_players(array_merge($atts, array(
                    'orderby' => '_player_stat_cache_' . $stat['key'],
                    'order' => 'DESC'
                )));
            ?>
            <div class="best-players-list tab-pane <?php echo $key === 0 ? 'active' : ''; ?>" id="<?php echo esc_attr($tabs_prefix . $stat['key']);?>">
                    <?php foreach ($players as $key => $player) : ?>
                    <a href="<?php echo get_the_permalink($player->ID); ?>" class="item <?php echo esc_attr($item_class); ?>">
                        <span class="number">
                            <?php echo get_the_post_thumbnail($player->ID, array(49, 44)); ?>
                        </span>
                        <span><?php echo get_the_title($player->ID); ?></span>
                        <span class="achievement"><?php echo msp__get_player_stat_cache_by_key($player->ID, $stat['key']) ?></span>
                    </a>
                    <?php endforeach; ?>
            </div>
            <?php endforeach; ?>    
    </div>
</div>