<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = $this->buildAtts($atts);
extract($atts);

$item_class = $this->getCSSAnimation($animation_in);
$posts = $this->buildItems();
?>

<div class="main-breaking-news">
    <div class="container">
        <div class="row">
            <div class="col-md-2 col-sm-3 col-xs-12 <?php echo esc_attr($item_class); ?>">
                <div class="break-title">
                    <span>
                        <?php echo esc_html($title); ?>
                    </span>
                </div>
            </div>
            <div class="col-md-10 col-sm-9 col-xs-12">
                <div id="main-breaking-list" class="carousel slide main-breaking-list" data-ride="carousel">
                    <div class="carousel-inner" role="listbox">
                        <?php foreach ($posts as $key =>  $post): ?>
                        <div class="item <?php echo $key === 0 ? 'active': ''; ?>">
                            <a href="<?php echo get_the_permalink($post->ID); ?>" class="<?php echo esc_attr($item_class); ?> ">
                                <span class="date">
                                    <?php echo get_the_date('j F Y', $post->ID); ?>
                                    <span>/</span>
                                </span>	
                                <span class="news">
                                    <?php if (get_post_format($post->ID) === 'video') : ?>
                                        <img src="<?php echo MSP_PATH_URL; ?>/images/news-youtube-icon.png" alt="">
                                    <?php endif; ?>
                                        
                                    <?php echo get_the_title($post->ID); ?>
                                </span>
                            </a>
                        </div>
                        <?php endforeach; ?>
                    </div>	
                    <?php if (count($posts) > 0) : ?>
                    <div class="arrow-wrap">
                        <!-- Controls -->
                        <a class="nav-arrow left-arrow" href="#main-breaking-list" role="button" data-slide="prev">
                            <i class="fa fa-caret-left" aria-hidden="true"></i>
                            <span class="sr-only"><?php esc_html_e('Previous', 'msp');?></span>
                        </a>
                        <a class="nav-arrow right-arrow" href="#main-breaking-list" role="button" data-slide="next">
                            <i class="fa fa-caret-right" aria-hidden="true"></i>
                            <span class="sr-only"><?php esc_html_e('Next', 'msp');?></span>
                        </a>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>