<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $max_count
 * Shortcode class
 * @var $this WPBakeryShortCode_team_latest_matches
 */

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$item_class = $this->getCSSAnimation( $css_animation );

global $paged, $wp_query;
$atts['page'] = $paged;
$matches = team_get_matches($atts, true);
$wp_query = $matches;

if (!is_object($matches)) {
    return;
}

?>

    <div class="main-lates-matches" <?php echo $hide_pagination !== 'true' ? 'id="paginate-screen"' : ''; ?>>
        <?php while ($matches->have_posts()) : $match = $matches->next_post();

            $team_left = team_get_match_team($match, 0);
            $team_right = team_get_match_team($match, 1);
            ?>
            <a href="<?php echo get_the_permalink($match); ?>" class="item <?php echo esc_attr($item_class); ?>">
                
                    <?php if ($match->getChampionship()) : ?>
                        <span class="championship"><?php echo $match->getChampionship()->getName(); ?></span>
                    <?php else: ?>
                        <span class="championship"><?php echo $match->getTitle(); ?></span>
                    <?php endif; ?>
                    <span class="teams-wrap">
                            <span class="team">
                                <span>
                                    <?php echo get_the_post_thumbnail($team_left->ID); ?>
                                </span>
                                <span class="name"><?php echo get_the_title($team_left->ID); ?></span>
                            </span>
                            <span class="score">
                                <?php if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::LIVE || team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::FINISHED) { ?>
                                    <span><?php echo msp__get_match_team_main_score($match->ID, $team_left->ID)?>:<?php echo msp__get_match_team_main_score($match->ID, $team_right->ID)?></span>
                                <?php } else { ?>
                                    <span><?php echo esc_html(msp__get_match_status_name($match->ID)); ?></span>
                                <?php } ?>
                            </span>
                            <span class="team1">
                                <span>
                                    <?php echo get_the_post_thumbnail($team_right->ID); ?>
                                </span>
                                <span class="name"><?php echo get_the_title($team_right->ID); ?></span>
                            </span>
                    </span>
                    <span class="game-result"><?php echo team_get_match_start($match->ID); ?> &nbsp;</span>
            </a>
        <?php endwhile; ?>
    </div>

<?php 
    if ($hide_pagination !== 'true') {
        include MSP_PATH . '/includes/templates/addons/msp_pagination.php';
    }
?>

<?php wp_reset_query(); ?>
    
    

