<?php

if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (current($matchs)) {
    $match = current($matchs);
} else {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$championship = $match->getChampionship();

global $post;
?>

<?php if ($match->getStatus() === 0) : ?>

    <div class="match-info match-page-info">
        <div class="team">
            <div class="avatar">
                <a href="<?php echo $team_left->getPermalink(); ?>">
                    <?php echo get_the_post_thumbnail($team_left->ID, array(60, 60)); ?>
                </a>
            </div>
            <div class="text">
                <a href="<?php echo $team_left->getPermalink(); ?>">
                    <?php echo get_the_title($team_left->ID); ?>
                </a>

                <span>
                    <?php if ($country = team_get_object_country($team_left->ID)) : ?>
                        <?php echo esc_html($country['countryName']);  ?>
                    <?php endif; ?>
                </span>
                <?php $latest_matches = $team_left->getLatestMatches($latest_matches_count); ?>
                
                <?php if ($showing_latest_results): ?>
                
                    <div class="latest">
                        <div class="latest-title"><?php esc_html_e('Latest Results', 'msp'); ?></div>

                        <?php if (count($latest_matches)) :
                                foreach ($latest_matches as $team_match) : ?>
                                    <a href="<?php echo get_permalink($team_match->ID); ?>" title="<?php echo esc_attr(get_the_title($team_match)) ?>">
                                        <?php    
                                            $result = msp_is_match_organisation_win($team_match->ID, $team_left->ID);
                                            if ($result === "draw") { 
                                                echo '<span class="drawn">d</span>';
                                            } else if ($result === true) {
                                                echo '<span class="win">w</span>';
                                            } else {
                                                echo '<span class="lose">l</span>';
                                            }?>                                
                                    </a>
                        <?php   endforeach; 
                         else: 
                             esc_html_e('N/A', 'msp'); 
                         endif; ?>

                    </div>
                <?php endif; ?>
                
            </div> 
        </div>
        <div class="counter countdown" data-date="<?php echo esc_attr(team_get_match_start_time_js($match->ID)); ?>">
            <ul>
                <li>
                    <div class="digit days"></div>
                    <div class="descr"><?php esc_html_e('days', 'msp');?></div>
                </li>
                <li>
                    <div class="digit hours"></div>
                    <div class="descr"><?php esc_html_e('hours', 'msp');?></div>
                </li>
                <li>
                    <div class="digit minutes"></div>
                    <div class="descr"><?php esc_html_e('minutes', 'msp');?></div>
                </li>
            </ul>
        </div>
        <div class="team right">
            <div class="avatar">
                <a href="<?php echo $team_right->getPermalink(); ?>">
                    <?php echo get_the_post_thumbnail($team_right->ID, array(60, 60)); ?>
                </a>
            </div>
            <div class="text">
                <a href="<?php echo $team_right->getPermalink(); ?>">
                    <?php echo get_the_title($team_right->ID); ?>
                </a>

                <span>
                    <?php if ($country = team_get_object_country($team_right->ID)) : ?>
                        <?php echo esc_html($country['countryName']);  ?>
                    <?php endif; ?>
                </span>
                <?php $latest_matches = $team_right->getLatestMatches($latest_matches_count); ?>
                
                <?php if ($showing_latest_results): ?>
                
                    <div class="latest">
                        <div class="latest-title"><?php esc_html_e('Latest Results', 'msp'); ?></div>
                        <?php if (count($latest_matches)) :
                                foreach ($latest_matches as $team_match) : ?>
                                    <a href="<?php echo get_permalink($team_match->ID); ?>" title="<?php echo esc_attr(get_the_title($team_match)) ?>">
                                    <?php    
                                            $result = msp_is_match_organisation_win($team_match->ID, $team_right->ID);
                                            if ($result === "draw") { 
                                                echo '<span class="drawn">d</span>';
                                            } else if ($result === true) {
                                                echo '<span class="win">w</span>';
                                            } else {
                                                echo '<span class="lose">l</span>';
                                            }?>                                
                                    </a>
                        <?php   endforeach; 
                         else: 
                             esc_html_e('N/A', 'msp'); 
                         endif; ?>
                    </div>
                
                <?php endif; ?>
                
            </div>
        </div>
    </div>

<?php else: 
    
    $players_events = team_get_match_events(array('has_players' => true, '_match_id' => $match->ID, '_event_type_id' => 'goal'));
?>

<div class="match-live-info">
    <div class="title">
        <?php echo get_the_title($post); ?>
    </div>
    <div class="match-info">
        <div class="team <?php echo esc_attr($item_class); ?>">
            <div class="avatar">
                <a href="<?php echo $team_left->getPermalink(); ?>">
                    <?php echo get_the_post_thumbnail($team_left->ID, array(60, 60)); ?>
                </a>
            </div>
            <div class="text">
                <a href="<?php echo $team_left->getPermalink(); ?>">
                    <?php echo get_the_title($team_left->ID); ?>
                </a>
                    <?php foreach ($players_events as $events) :
                       $Player = team_get_match_event_player($events->ID);
                        if (!$Player) continue;
                       if (team_get_player_match_data($match->ID, $Player->ID, '_organisation_id') == $team_left->ID) : ?>
                        <span>
                           <?php echo msp__get_event_tooltip_string($events->ID); ?>
                        </span>
                    <?php endif; endforeach; ?>
            </div> 
        </div>
        <?php if ($match->getStatus() === \MSP\DataType\MatchStatus::LIVE || $match->getStatus() === \MSP\DataType\MatchStatus::FINISHED) { ?>
            <div class="score">
                <?php echo $match->getTeamMainScore($team_left->ID)?>:<?php echo $match->getTeamMainScore($team_right->ID); ?>
            </div>
        <?php } else { ?>
            <div class="score status">
                <?php echo esc_html($match->getStatusName()); ?>
            </div>
        <?php } ?>
        <div class="team right <?php echo esc_attr($item_class); ?>">
            <div class="avatar">
                <a href="<?php echo $team_right->getPermalink(); ?>">
                    <?php echo get_the_post_thumbnail($team_right->ID, array(60, 60)); ?>
                </a>
            </div>
            <div class="text">
                <a href="<?php echo $team_right->getPermalink(); ?>">
                    <?php echo get_the_title($team_right->ID); ?>
                </a>
                     <?php foreach ($players_events as $events) :
                       $Player = team_get_match_event_player($events->ID);
                        if (!$Player) continue;
                       if (team_get_player_match_data($match->ID, $Player->ID, '_organisation_id') == $team_right->ID) : ?>
                        <span>
                           <?php echo msp__get_event_tooltip_string($events->ID); ?>
                        </span>
                    <?php endif; endforeach; ?>
            </div>
        </div>
    </div>
    <div class="title">
        <?php 
            $last_events = team_get_match_events(array('_match_id' => $match->ID, 'last_event' => true));
            if (count($last_events) > 0) {
                $last_event = $last_events[0];
                $Player = team_get_match_event_player($last_event->ID);
                $Event_type = team_get_match_event_type($last_event->ID);
                echo team_the_match_event_minute($last_event->ID, 'M') . '’ '; 
                echo  $Player ? esc_html( get_the_title($Player->ID) ) . ' ' : ''; 
                echo $Event_type ? '- ' . esc_html($Event_type->name) : '';
            }
        ?>
    </div>
</div>

<?php endif; ?>
