<?php

if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matches = team_get_matches($atts);
if (current($matches)) {
    $match = current($matches);
} else {
    return;
}

$team_left = $match->getTeamByNumber(0);
$team_right = $match->getTeamByNumber(1);

$players_left = $match->getPlayersByMatchData( array_merge( $atts,  array('_organisation_id' => $team_left->getId()) ), array(
    'order' => $atts['player_match_data_order'],
    'orderby' => $atts['player_match_data_orderby']
));

$players_right = $match->getPlayersByMatchData( array_merge( $atts, array('_organisation_id' => $team_right->getId()) ), array(
    'order' => $atts['player_match_data_order'],
    'orderby' => $atts['player_match_data_orderby']
));

$item_class = $this->getCSSAnimation($css_animation);
?>

<h3><?php echo esc_html($title); ?></h3>
<div class="match-lineup">
    <div class="no-gutter">
        <div class="col-lg-6 col-sm-6">
            <div class="head">
                <div class="name"><?php echo get_the_title($team_left->ID); ?></div>
            </div>
            <div class="team-wrap">	
                
                <?php foreach ($players_left as $Player) : ?>
                <div class="member <?php echo esc_attr($item_class); ?>">
                    <a href="<?php echo get_permalink($Player->ID); ?>" class="avatar">
                        <?php echo get_the_post_thumbnail($Player->ID, array(52, 52)); ?>
                    </a>
                    <div class="info">
                        <div class="wrap">
                            <a href="<?php echo get_permalink($Player->ID); ?>" class="name"><?php echo get_the_title($Player->ID); ?> 
                                <?php if ($position_id = team_get_player_match_data($match->ID, $Player->ID, '_player_position_id')) : 
                                    echo '(' . $position_id . ')';
                                endif; ?>
                            </a>
                            
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'yellow_cards')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="card yellow"></div>
                            <?php endfor; endif; ?>
                                        
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'red_cards')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="card red"></div>
                            <?php endfor; endif; ?>
                            
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'goals')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="goal" data-toggle="tooltip" data-placement="top" title="32’"><img src="images/timeline-goal.jpg" alt=""></div>
                            <?php endfor; endif; ?>
                            
                        </div>
                        <?php if ($country = team_get_object_country($Player->ID)) : ?>
                        <div class="country">
                            <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt=""><?php echo esc_html($country['countryName']);  ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
                <?php endforeach; ?>
                
            </div>
        </div>
        <div class="col-lg-6 col-sm-6">
            <div class="head">
                <div class="name right"><?php echo get_the_title($team_right->ID); ?></div>
            </div>
            <div class="team-wrap right">	
                
                <?php foreach ($players_right as $Player) : ?>
                <div class="member <?php echo esc_attr($item_class); ?>">
                    <div class="info">
                        <div class="wrap">
                            
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'yellow_cards')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="card yellow"></div>
                            <?php endfor; endif; ?>
                                        
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'red_cards')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="card red"></div>
                            <?php endfor; endif; ?>
                            
                            <?php if ($card_yellow_count = team_get_player_match_data($match, $Player->ID, 'goals')) : 
                                    for ($i = 0; $i < (int)$card_yellow_count; $i++) : ?>
                                        <div class="goal" data-toggle="tooltip" data-placement="top" title="32’"><img src="images/timeline-goal.jpg" alt=""></div>
                            <?php endfor; endif; ?>
                            
                            <a href="<?php echo get_permalink($Player->ID); ?>" class="name"><?php echo get_the_title($Player->ID); ?> 
                                <?php if ($position_id = team_get_player_match_data($match->ID, $Player->ID, '_player_position_id')) : 
                                    echo '(' . $position_id . ')';
                                endif; ?>
                            </a>
                        </div>
                        <?php if ($country = team_get_object_country($Player->ID)) : ?>
                        <div class="country">
                            <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt=""><?php echo esc_html($country['countryName']);  ?>
                        </div>
                        <?php endif; ?>
                    </div>
                    <a href="<?php echo get_permalink($Player->ID); ?>" class="avatar">
                        <?php echo get_the_post_thumbnail($Player->ID, array(52, 52)); ?>
                    </a>
                </div>
                <?php endforeach; ?>
                
            </div>
        </div>
    </div>					
</div>