<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $max_count
 * Shortcode class
 * @var $this WPBakeryShortCode_team_latest_matches
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$events = team_get_match_events(array('_match_id' => $match->ID));
if (count($events) < 1) {
    return;
}

$users_ids = array();
foreach ($events as $event) {
    $users_ids[] = $event->post_author;
}
$reporters_ids = array_unique($users_ids);

$item_class = $this->getCSSAnimation($css_animation);
?>

<h3><?php echo esc_html($title); ?></h3>
<div class="comm-wrap">

    <?php foreach ($reporters_ids as $user_id) : 
        $user_info = get_userdata($user_id);
    ?>
        <div class="item">
            <div>
                <?php echo get_avatar($user_id, 56); ?>
            </div>
            <div class="info">
                <div class="name"><?php echo esc_html($user_info->display_name); ?></div>
                <div class="clear"></div>
            </div>
        </div>  
    <?php endforeach; ?>
    
</div>