<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $max_count
 * Shortcode class
 * @var $this WPBakeryShortCode_team_latest_matches
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);

$post_events = team_get_match_events(array(
    '_match_id' => $match->ID,
    'numberposts' => -1
));

if (count($post_events) < 1) {
    return;
}

global $post;
?>

<h3><?php echo esc_html($title); ?></h3>
<div class="team-timeline">
    
    <?php foreach ($post_events as $post) : setup_postdata($post)?>
        <div class="item-wrap" id="event-<?php echo esc_attr($post->ID); ?>">
            <div class="item-info">
                <div class="time"><?php echo team_the_match_event_minute($post->ID, 'M') . '’'; ?></div>
                <?php if ($event_type = team_get_match_event_type($post->ID)) : ?>
                    <div class="point event">
                        <img src="<?php echo esc_url(msp__get_event_icon_url($post->ID)); ?>" alt="">
                    </div>
                <?php else: ?>
                    <div class="point"></div>
                <?php endif; ?>
            </div>
            <div class="item <?php echo esc_attr($item_class); ?>">
                <div class="avatar">
                    <?php echo get_avatar($post->post_author, 36); ?>
                </div>
                <div class="info">
                    <div class="name"><?php the_author(); ?></div>
                    <?php the_content(); ?>
                    <ul class="contact-bar">
                        <?php get_template_part('template-parts/share-buttons'); ?>
                    </ul>
                </div>	
            </div>	
        </div>
    <?php endforeach; wp_reset_postdata(); ?>
    
</div>