<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$matchs = team_get_matches($atts);
if (isset($matchs[0])) {
    $match = $matchs[0];
}

if (!isset($match)) {
    return;
}

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$left_tainers = $match->getTrainersByTeam($team_left->ID);
$right_tainers = $match->getTrainersByTeam($team_right->ID);

if (!$left_tainers && !$right_tainers) {
    return;
}

$item_class = $this->getCSSAnimation($css_animation);
?>

<h3><?php echo esc_html($title); ?></h3>
<div class="match-lineup">
    <div class="no-gutter">
        
        <div class="col-lg-6 col-sm-6">
            <div class="head">
                <div class="name"><?php echo get_the_title($team_left->ID); ?></div>
            </div>
            <?php foreach ($left_tainers as $trainer) : ?>
                <div class="team-wrap <?php echo esc_attr($item_class); ?>">	
                    <div class="member">
                        <a href="<?php echo get_permalink($trainer->ID); ?>" class="avatar">
                            <?php echo get_the_post_thumbnail($trainer->ID, array(52, 52)); ?>
                        </a>
                        <div class="info">
                            <div class="wrap">
                                <a href="<?php echo get_permalink($trainer->ID); ?>" class="name">
                                    <?php echo get_the_title($trainer->ID); ?>
                                </a>
                            </div>
                            <?php if ($country = team_get_object_country($trainer->ID)) : ?>
                            <div class="country">
                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                <?php echo esc_html($country['countryName']);  ?>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
        
        <div class="col-lg-6 col-sm-6">
            <div class="head">
                <div class="name right"><?php echo get_the_title($team_right->ID); ?></div>
            </div>
            <?php foreach ($right_tainers as $trainer) : ?>
                <div class="team-wrap right <?php echo esc_attr($item_class); ?>">	
                    <div class="member">
                        <div class="info">
                            <div class="wrap">
                                <a href="<?php echo get_permalink($trainer->ID); ?>" class="name">
                                    <?php echo get_the_title($trainer->ID); ?>
                                </a>
                            </div>
                            <?php if ($country = team_get_object_country($trainer->ID)) : ?>
                            <div class="country">
                                <img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/<?php echo esc_attr(strtolower($country['countryCode'])); ?>.png" alt="">
                                <?php echo esc_html($country['countryName']);  ?>
                            </div>
                            <?php endif; ?>
                        </div>
                        <a href="<?php echo get_permalink($trainer->ID); ?>" class="avatar">
                            <?php echo get_the_post_thumbnail($trainer->ID, array(52, 52)); ?>
                        </a>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
        
    </div>
</div>