<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

return array(
    'name' => __('Matches slider', 'msp'),
    'base' => 'team_matches_slider',
    'category' => __('Matches', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Matches.svg',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\DefaultShortcode',
    'query_model_type' => \MSP\DataType\ModelType::MATCH,
    'scripts_deps' => array('jquery', 'jquery.team-countdown'),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Max slides', 'msp'),
            'param_name' => 'numberposts',
            'value' => 3,
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Time per slide', 'msp'),
            'description' => __('Enter seconds, recommended 5 seconds', 'msp'),
            'param_name' => 'interval',
            'value' => 5,
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Text align ', 'msp' ),
            'param_name' => 'position_caption',
            'group' => __( 'Matches sort', 'msp' ),
            'value' => array(
                'left' => '',
                'right' => 'right',
                ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Slider indicators', 'msp' ),
            'param_name' => 'disable_indicators',
            'group' => __( 'Matches sort', 'msp' ),
            'value' => array(
                'default' => '',
                'disable' => 'display_none',
            )
        ),
        
        vc_map_add_css_animation(),
    )
);
