<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation($css_animation);

$matches = team_get_matches($atts);
if (!current($matches)) {
    return;
}

if ($position_caption === "right") {
    $class_offset = "col-md-offset-6";
    $text_width = "slider_text_width";
} else {
    $class_offset = "";
    $text_width = "";
}
?>

<div class="main-slider">
<div id="main-slider" class="carousel slide" data-ride="carousel" data-interval="<?php echo esc_attr((int)($interval * 1000)); ?>">
    <div class="carousel-inner" role="listbox">
        <?php
        foreach ($matches as $key => $match) :
        $team_left = team_get_match_team($match, 0);
        $team_right = team_get_match_team($match, 1);
        ?>
        
        <div class="item  <?php echo $key === 0 ? 'active' : ''; ?>">
            <div class="main-slider-caption">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 <?php echo esc_attr($class_offset); ?> <?php echo esc_attr( $item_class ) ?>">
                            <div class="match-date"><?php echo team_get_match_start($match->ID); ?></div>
                            <?php if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::LIVE || team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::FINISHED) { ?>
                                <div class="team  <?php echo esc_attr($text_width); ?>">
                                    <?php echo get_the_title($team_left->ID); ?>  
                                    <div class="big-count">
                                        <?php echo msp__get_match_team_main_score($match->ID, $team_left->ID)?>:<?php echo msp__get_match_team_main_score($match->ID, $team_right->ID)?>
                                    </div>
                                    <?php echo get_the_title($team_right->ID); ?>
                                </div>
                            <?php } else if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::EXPECTED) { ?>
                                <div class="team  <?php echo esc_attr($text_width); ?>"><?php echo get_the_title($team_left->ID); ?> - <?php echo get_the_title($team_right->ID); ?></div>
                                <div class="counter" data-date="<?php echo esc_attr(team_get_match_start_time_js($match->ID)); ?>">
                                    <ul>
                                        <li>
                                            <div class="digit days"></div>
                                            <div class="descr"><?php esc_html_e('days', 'msp');?></div>
                                        </li>
                                        <li>
                                            <div class="digit hours"></div>
                                            <div class="descr"><?php esc_html_e('hours', 'msp');?></div>
                                        </li>
                                        <li>
                                            <div class="digit minutes"></div>
                                            <div class="descr"><?php esc_html_e('minutes', 'msp');?></div>
                                        </li>
                                        <li>
                                            <div class="digit seconds"></div>
                                            <div class="descr"><?php esc_html_e('seconds', 'msp');?></div>
                                        </li>
                                    </ul>
                                </div>
                            <?php } else { ?>
                                <div class="team  <?php echo esc_attr($text_width); ?>">
                                    <?php echo get_the_title($team_left->ID); ?>  
                                    <div class="big-count">
                                        <?php echo esc_html(msp__get_match_status_name($match->ID)); ?>
                                    </div>
                                    <?php echo get_the_title($team_right->ID); ?>
                                </div>
                            <?php } ?>
                            <div class="booking">
                                <a href="<?php echo get_the_permalink($match->ID); ?>">
                                    <?php esc_html_e('Match details', 'msp'); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <?php endforeach; ?>
    </div>

    <!-- Controls -->
    <?php if (count($matches) > 1) : ?>
    <a class="nav-arrow left-arrow" href="#main-slider" role="button" data-slide="prev">
        <i class="fa fa-angle-left" aria-hidden="true"></i>
        <span class="sr-only"><?php esc_html_e('Previous', 'msp');?></span>
    </a>
    <a class="nav-arrow right-arrow" href="#main-slider" role="button" data-slide="next">
        <i class="fa fa-angle-right" aria-hidden="true"></i>
        <span class="sr-only"><?php esc_html_e('Next', 'msp');?></span>
    </a>
    <?php endif; ?>

    <div class="event-nav <?php echo esc_attr($disable_indicators); ?>">
        <div class="container">
            <div class="row no-gutter carousel-indicators">
                <?php foreach ($matches as $key => $match) : 
                $team_left = team_get_match_team($match, 0);
                $team_right = team_get_match_team($match, 1);
                ?>
                <div class="col-md-4 col-sm-4 <?php echo $key === 0 ? 'active' : ''; ?>" data-slide-to="<?php echo $key; ?>" data-target="#main-slider">
                    <a href="#" class="nav-item">
                        <span class="championship"><?php echo get_the_title($match->ID); ?></span>
                        <span class="teams-wrap">
                            <span class="team"><span><?php echo get_the_post_thumbnail($team_left->ID, array(40, 40)); ?></span></span>
                            <?php if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::EXPECTED) { ?>
                                <span class="score countdown" data-date="<?php echo esc_attr(team_get_match_start_time_js($match->ID)); ?>">
                                    <span class="days"></span>
                                    <span class="hours"></span>
                                    <span class="minutes"></span>
                                    <span class="seconds"></span>
                                </span>
                            <?php } else if (team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::LIVE || team_get_match_status($match->ID) === \MSP\DataType\MatchStatus::FINISHED) { ?>
                                <span class="score"><span><?php echo msp__get_match_team_main_score($match->ID, $team_left->ID)?>:<?php echo msp__get_match_team_main_score($match->ID, $team_right->ID)?></span></span>
                            <?php } else { ?>
                                <span class="score"><span><?php echo esc_html(msp__get_match_status_name($match->ID)); ?></span></span>
                            <?php } ?>
                            <span class="team1"><span><?php echo get_the_post_thumbnail($team_right->ID, array(40, 40)); ?></span></span>
                        </span>
                        <span class="game-result"><?php echo team_get_match_start($match->ID); ?> &nbsp;</span>
                    </a>
                </div>
                <?php endforeach; ?>
                
            </div>
        </div>
    </div>

</div>
</div>

