<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/* @var $match \MSP\Model\Match */

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$matches = team_get_matches($atts);
if (current($matches)) {
    $match = current($matches);
} else { 
    return;
}

$team_left = team_get_match_team($match, 0);
$team_right = team_get_match_team($match, 1);

$item_class = $this->getCSSAnimation( $css_animation );
?>

<div class="main-next-match bg-cover" style="height: <?php echo esc_attr($height . 'px'); ?>; background-image: url(<?php echo wp_get_attachment_image_url($bg, 'full'); ?>);">
    <div class="wrap">
        
        <?php if ($match->getChampionship()) : ?>
            <div class="place" ><?php echo $match->getChampionship()->getName(); ?></div>
        <?php else: ?>
            <div class="place" ><?php echo $match->getTitle(); ?></div>
        <?php endif; ?>
        <div class="date" ><?php echo team_get_match_start($match->ID); ?></div>
        <div class="teams-wrap" >
            <div class="row">
                <div class="col-md-5">
                    <a href="<?php echo get_permalink($team_left->ID); ?>" class="team <?php echo esc_attr($item_class); ?>">
                        <span><?php echo get_the_title($team_left->ID); ?></span>
                        <span><?php echo get_the_post_thumbnail($team_left->ID, array(60, 60)); ?></span>
                    </a>
                </div>
                <div class="col-md-2">
                    <div class="vs">
                        <?php esc_html_e('vs', 'msp'); ?>
                    </div>
                </div>
                <div class="col-md-5">
                    <a href="<?php echo get_permalink($team_right->ID); ?>" class="team1 <?php echo esc_attr($item_class); ?>">
                        <span><?php echo get_the_post_thumbnail($team_right->ID, array(60, 60)); ?></span>
                        <span><?php echo get_the_title($team_right->ID); ?></span>
                    </a>
                </div>
            </div>
        </div>
        <a href="<?php echo get_the_permalink($match->ID); ?>" class="booking"><?php esc_html_e('match details', 'msp'); ?></a>
    </div>
</div>


