<?php

return array(
    'name' => __('Players slider', 'msp'),
    'base' => 'team_player_slider',
    'category' => __('Players', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Players.svg',
    'php_class_name' => 'MSP\VC\Shortcodes\TeamPlayerSlider',
    'query_model_type' => \MSP\DataType\ModelType::PLAYER,
    'scripts_deps' => array(),
    'styles_deps' => array('mdl__team'),
    'params' => array(
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Max players displayed', 'msp'),
            'param_name' => 'max_count',
            'value' => 9,
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Players per slide', 'msp'),
            'param_name' => 'count_per_slide',
            'value' => 3,
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Slide rows', 'msp'),
            'param_name' => 'count_row_per_slide',
            'value' => 1,
        ),
        
        array(
            'type' => 'dropdown',
            'heading' => __( 'Tabs filter type', 'msp' ),
            'param_name' => 'tabs_filter_type',
            'description' => __( 'Choose the types by which players will be distributed according to the tab.', 'msp' ),
            'value' => array(
                __('N/A', 'msp') => '',
                __('Teams', 'msp') => 'organisation_ids',
                __('Players positions', 'msp') => 'player_position_ids',
                __('Players roles', 'msp') => 'player_role_ids',
            ),
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Filters by organisations', 'msp' ),
            'param_name' => 'organisation_ids',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 300,
                'sortable' => true,
                'auto_focus' => true,
                'values' => team_get_organisations_for_autocomplete(),
            ),
            'dependency' => array(
                'element' => 'tabs_filter_type',
                'value' => array(
                    'organisation_ids'
                ),
            ),
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Filters by player positions', 'msp' ),
            'param_name' => 'player_position_ids',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 300,
                'sortable' => true,
                'auto_focus' => true,
                'groups' => true,
                'values' => msp_get_player_positions_for_autocomplete(),
            ),
            'dependency' => array(
                'element' => 'tabs_filter_type',
                'value' => array(
                    'player_position_ids'
                ),
            ),
        ),
        
        array(
            'type' => 'autocomplete',
            'heading' => __( 'Filters by player roles', 'msp' ),
            'param_name' => 'player_role_ids',
            'settings' => array(
                'multiple' => true,
                'unique_values' => true,
                'display_inline' => true,
                'delay' => 300,
                'sortable' => true,
                'auto_focus' => true,
                'groups' => true,
                'values' => msp_get_player_roles_for_autocomplete(),
            ),
            'dependency' => array(
                'element' => 'tabs_filter_type',
                'value' => array(
                    'player_role_ids'
                ),
            ),
        ),
        
        vc_map_add_css_animation(),
        
    )
);
