<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/* @var $this WPBakeryShortCode_team_player_slider */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$TabsObjects = $this->getTabsObjects($atts);
$item_class = $this->getCSSAnimation( $css_animation );
?>

<?php if (count($TabsObjects) > 1 ): ?>
<div class="container players-slider">
    <div class="row">
        <div class="col-md-12">
            <ul class="player-filters" role="tablist">
                <?php foreach ($TabsObjects as $key => $TabObject) : ?>
                <li class="<?php echo $key === 0 ? 'active' : ''; ?>">
                    <a href="#team_player_slider_<?php echo esc_attr($TabObject->key);?>" aria-controls="team_player_slider_<?php echo esc_attr($TabObject->key);?>" role="tab" data-toggle="tab">
                        <?php echo esc_html($TabObject->name); ?>
                    </a>
                </li>
                <?php endforeach;?>
            </ul>
        </div>
    </div>
</div>
<?php endif; ?>

<div class="tab-content">
    
    <?php foreach ($TabsObjects as $key => $TabObject) :
        $players = $TabObject->players ? $TabObject->players : array();
        $tab_key = isset($TabObject->key) ? $TabObject->key : 'default';
    ?>
    
    <div class="tab-pane <?php echo $key === 0 ? 'active' : ''; ?>" id="team_player_slider_<?php echo esc_attr($tab_key);?>" role="tabpanel">
        <div id="team_player_slider_carousel_<?php echo esc_attr($tab_key);?>" class="carousel slide main-stuff-slider" data-ride="carousel" >
            <div class="carousel-inner" role="listbox">

                <?php foreach ($players as $key_player => $player) : 
                      $number = $key_player + 1;    
                ?>

                    <?php if (is_int(($number - 1) / $count_per_slide) || $number == 1 ) : ?>
                    <div class="item <?php echo $key_player === 0 ? 'active' : ''; ?>">
                        <div class="container">
                            <div class="row">
                    <?php endif; ?>

                                <div class="col-sm-<?php echo (int)(12 / $count_per_slide) * $count_row_per_slide; ?> <?php echo esc_attr( $item_class )?>">
                                    <div class="staff-item">
                                        <a href="<?php echo get_the_permalink($player->ID); ?>">
                                            <span class="info">
                                                <span class="name"><?php echo get_the_title($player->ID); ?></span>
                                                <span class="position"><?php echo team_the_player_position($player->ID); ?></span>
                                                <span class="number"><?php echo team_the_player_number($player->ID); ?></span>
                                            </span>
                                            <img src="<?php echo get_the_post_thumbnail_url($player->ID, array('353', '353')); ?>" style="height: 353px; width: 353px; max-width: 100%;" alt="">
                                        </a>	
                                    </div>
                                </div>

                    <?php if (is_int(($number) / $count_per_slide) || $number === count($players) ) : ?>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>

                <?php endforeach; ?>


            </div>

            <?php if (count($players) > $count_per_slide) : ?>
            <!-- Controls -->
            <a class="nav-arrow left-arrow" href="#team_player_slider_carousel_<?php echo esc_attr($tab_key);?>" role="button" data-slide="prev">
                <i class="fa fa-angle-left" aria-hidden="true"></i>
                <span class="sr-only"><?php esc_html_e('Previous', 'msp');?></span>
            </a>
            <a class="nav-arrow right-arrow" href="#team_player_slider_carousel_<?php echo esc_attr($tab_key);?>" role="button" data-slide="next">
                <i class="fa fa-angle-right" aria-hidden="true"></i>
                <span class="sr-only"><?php esc_html_e('Next', 'msp');?></span>
            </a>
            <?php endif;?>
        </div>
    </div>
    
    <?php endforeach;?>
    
</div>