<?php
if (!defined('ABSPATH')) {
    die('-1');
}

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$item_class = $this->getCSSAnimation($css_animation);
$socials = get_theme_mod('mdl__socials', array());
$contacts = get_theme_mod('mdl__contacts', array());

?>
<div class="landing-top-bar">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-6">
                <?php if (count($socials)): ?>
                <ul class="links">
                    <?php 
                    foreach ($socials as $key => $social) : 
                        $icon_classes = explode(' ', $social['icon']);
                        if (!isset($icon_classes[1]) || $key > 3) {
                            continue;
                        }
                    ?>
                        <li>
                            <a href="<?php echo esc_url($social['link']); ?>" class="">
                                <i class="fa <?php echo esc_attr( sanitize_html_class($icon_classes[1]) ); ?>" aria-hidden="true"></i>
                            </a>
                        </li>
                    <?php endforeach; ?>
                </ul>
                <?php endif; ?>
            </div>
            <div class="col-md-5 col-sm-6 hidden-xs">
                <?php if (count($contacts)): ?>
                <ul class="contacts">
                    <?php 
                        foreach ($contacts as $key => $contact) :
                            $icon_classes = explode(' ', $contact['icon']);
                                if (!isset($icon_classes[1])) {
                                continue;
                            }
                            if ($key > 1) break;
                    ?>
                    <li>
                        <?php if (isset($contact['link'])) : ?>
                        <a href="<?php echo esc_url($contact['link']); ?>">
                        <?php endif; ?>
                            <i class="fa <?php echo esc_attr( sanitize_html_class($icon_classes[1]) ); ?>" aria-hidden="true"></i>
                            <span class="number"><?php echo esc_html($contact['text']); ?></span>
                        <?php if (isset($contact['link'])) : ?>
                        </a>
                        <?php endif; ?>
                    </li>
                    <?php endforeach; ?>
                </ul>
                <?php endif; ?>
            </div>
            
            <?php if ($showing_languages): ?>
            <div class="col-md-4 hidden-sm hidden-xs">
                <div class="top-language">
                    <ul class="list">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/us.png" alt="selected language">EN
                                <i class="fa fa-caret-down" aria-hidden="true"></i>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="#"><img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/fr.png" alt="language">FR</a>
                                </li>
                                <li>
                                    <a href="#"><img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/us.png" alt="language">EN</a>
                                </li>
                                <li>
                                    <a href="#"><img src="<?php echo MSP_PATH_URL; ?>/images/flags/16/ru.png" alt="language">RU</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>