<?php

if (!function_exists('vc_map_add_css_animation')) {
    return array();
}

add_filter('vc_autocomplete_twitter_slider_taxonomies_callback', 'vc_autocomplete_taxonomies_field_search', 10, 1);
add_filter('vc_autocomplete_twitter_slider_taxonomies_render', 'vc_autocomplete_taxonomies_field_render', 10, 1);
add_filter('vc_autocomplete_twitter_slider_include_callback', 'vc_include_field_search', 10, 1);
add_filter('vc_autocomplete_twitter_slider_include_render', 'vc_include_field_render', 10, 1);

return array(
    'name' => __('Twitter slider from posts', 'msp'),
    'base' => 'twitter_slider',
    'category' => __('Social', 'msp'),
    'description' => __('Displaying posts as tweets', 'msp'),
    'icon' => MSP_PATH_URL . '/images/shortcode-icons/Other.png',
    'php_class_name' => 'MSP\WPObjects\VC\Shortcode\PostsShortcode',
    'scripts_deps' => array('twitter-slider', 'owl.carousel'),
    'styles_deps' => array('mdl__team', 'owl.carousel', 'owl.theme.default'),
    'params' => array_merge(array(
        
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __('Twitter account link', 'msp'),
            'param_name' => 'twitter_link',
            'value' => 'http://twitter.com',
        ),
        
        array(
            'type' => 'checkbox',
            'heading' => __( 'Showing nav arrows?', 'msp' ),
            'param_name' => 'disable_arrows',
            'value' => array(
                __( 'Yes', 'msp' ) => 'yes',
            ),
            'std' => 'yes'
        ),
        
    ), \MSP\WPObjects\VC\Helpers\PostsQueryConfig::extendQuery())
);