<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP\WPObjects\VC\Shortcode;

if (!class_exists('WPBakeryShortCodesContainer')) {
    return;
}

class ContainerShortcode extends \WPBakeryShortCodesContainer implements
    \MSP\WPObjects\VC\AddonInterface
{
    /**
     * @var \MSP\WPObjects\VC\CustomAddonModel
     */
    protected $Addon = null;
    
    public function __construct( $settings )
    {
        parent::__construct($settings);
        
        $this->setAddon($settings['AddonModel']);
    }
    
    public function enqueueDefaultScripts()
    {
        parent::enqueueDefaultScripts();
        
        $this->getAddon()->enqueues();
    }
    
    public function beforeShortcode($atts, $content)
    {
        parent::beforeShortcode($atts, $content);
        
        $this->getAddon()->beforeContent();
    }
    
    public function setAddon(\MSP\WPObjects\VC\CustomAddonModel $Addon)
    {
        $this->Addon = $Addon;
        
        return $this;
    }
    
    /**
     * @retrun \MSP\WPObjects\VC\CustomAddonModel
     */
    public function getAddon()
    {
        return $this->Addon;
    }
}