<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    'AttachmentsFactory' => '\MSP\WPObjects\WPFactory\Attachment',
    'PostsFactory' => '\MSP\WPObjects\WPFactory\Post',
    'PageFactory' => '\MSP\WPObjects\WPFactory\Page',
    'ModelTypeFactory' => '\MSP\WPObjects\Model\ModelTypeFactory',
    
    'PostTypeFactory' => '\MSP\WPObjects\PostType\PostTypeFactory',
    'DataTypeFactory' => '\MSP\WPObjects\Data\DataTypeFactory',
    
    'PostTypeManager' => function ($sm) {
        return new \MSP\WPObjects\PostType\Manager($sm->get('PostTypeFactory'));
    },
            
    'SettingsFactory' => '\MSP\WPObjects\Settings\Factory',
    
);