<?php

/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace MSP;

/**
 * Delete all matches of Team when Team delete.
 */
function delete_team($pid)
{
    if (\get_post_type($pid) !== \MSP\DataType\ModelType::TEAM) {
        return;
    }
    
    $sm = \MSP\WPObjects\Service\Manager::getInstance();
    
    /* @var $Team \MSP\Model\Team */
    $Team = $sm->get('TeamFactory')->query(array('id' => $pid, 'post_status' => 'trash'))->getOneResult();
    if (!$Team) {
        return;
    }
    
    $Matches = $Team->getMatches();
    if (count($Matches) === 0) {
        return;
    }
    
    if (isset($_GET['confirm_deletion_team']) && $_GET['confirm_deletion_team']) {
        
        foreach ($Matches as $Match) {
            $Match->delete();
        }
        
    } else {
        
        $confirm_link = \get_delete_post_link($Team->getId(), '', true) . '&confirm_deletion_team=true';
        $admin_link =  \wp_nonce_url(
            "post.php?action=untrash&amp;post=$pid",
            "untrash-post_$pid"
        );
        $msg = '<b>Next matches will be deleted too: </b>';
        $msg .= '<ul>';
        foreach ($Matches as $Match) {
            $msg .= '<li><a href="'. $Match->getEditeLink() .'">' . $Match->getName() . '</a></li>';
        }
        $msg .= '</ul>';
        $msg .= '<a class="button" href="' . $confirm_link . '">Delete</a>';
        $msg .= '<a class="button" style="float:right;" href="' . $admin_link . '">Back to admin</a>';

        wp_die($msg, 'Confirm deletion team');
    }
}
add_action('delete_post', '\MSP\delete_team', 10, 1);
add_action('trash_' . \MSP\DataType\ModelType::TEAM, '\MSP\delete_team', 10, 1);
