<?php

function team_math_events_filter_title($title, $id)
{
    $post = get_post($id);
    if (get_post_type($post) !== 'match-events') {
        return $title;
    }
    
    $match_id = get_post_meta($post->ID, '_match_id', true);
    if (!$match_id) {
        return __('Event of undefined match', 'msp');
    }
    
    $match = get_post($match_id);
    if (!$match) {
        return __('Event of undefined match', 'msp');
    }
    
    $match_time = get_post_meta($post->ID, '_match_time', true);
    if (!$match_time) {
        return esc_html($match->post_title);
    }
    
    $event_type_id = get_post_meta($post->ID, '_event_type_id', true);
    if (!$event_type_id) {
        return esc_html($match->post_title) . ' : ' . esc_html($match_time);
    }
    
    $player_id = get_post_meta($post->ID, '_player_id', true);
    $event_type = team_get_match_event_types($event_type_id);
    if (!$player_id) {
        return esc_html($match->post_title) . ' : ' . esc_html($match_time) . ',' . esc_html__($event_type->name);
    }
    
    $player = get_post($player_id);
    return esc_html($match->post_title) . ' ' . esc_html($match_time) . ', ' . esc_html__($event_type->name) . ' ' . esc_html($player->post_title);
}
add_filter('the_title', 'team_math_events_filter_title', 10, 2);

function team_math_events_display_nav_menu()
{
    global $pagenow;
    global $post;
    
    if (!in_array($pagenow, array('post.php', 'post-new.php')) || get_post_type($post) !== 'match-events') {
        return;
    }
    
    team_metabox_match_events_nav_manu($post);
}
add_action('edit_form_after_title', 'team_math_events_display_nav_menu', 10, 1); 

function team_metabox_match_events_nav_manu($post)
{
    $match_id = get_post_meta($post->ID, '_match_id', true);
    
    if (isset($_GET['_match_id'])) {
        $match_id = $_GET['_match_id'];
    }
    
    if (!$match_id) {
        return;
    }
    
    ?>
        <div class="msp-bootstrap-wrapper msp-form m-t-sm">
            <div class="row">
                
                <div class="col-md-4">
                    <a href="<?php echo admin_url('post.php?post='. $match_id .'&action=edit'); ?>" 
                       class="button button-default ">
                        <span class="dashicons dashicons-undo"></span>
                           <?php esc_html_e('Back to match editing', 'msp'); ?>
                    </a>
                </div>
                
                <div class="col-md-offset-4 col-md-4">
                    <a href="<?php echo admin_url('post-new.php?post_type=match-events&_match_id=' . $post->ID); ?>" 
                        class="button m-b-sm pull-right">
                         <i class="dashicons dashicons-plus-alt "></i>
                         <?php esc_html_e('Create next event', 'msp'); ?>
                    </a>
                    <div class="clearfix"></div>
                </div>
                
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
    <?php
}