<?php

function msp__matches_ajax_update_js()
{
    if (get_post_type() !== 'matches') {
        return;
    }
    
    global $post;
    if (!msp__is_match_live_updated($post->ID)) {
        return;
    }

    $AssetsManager = \MSP\WPObjects\Service\Manager::getInstance()->get('AssetsManager');
    $AssetsManager->enqueueScript('ajax-script');
    
    \wp_localize_script(
        'MSP_ajax-script', 
        'ajax_object', 
        array(
            'ajax_url' => admin_url('admin-ajax.php'), 
            'match_id' => get_the_ID(),
            'live_update_time' => msp__get_match_live_update_time($post->ID)
        )
    );
}
add_action('wp_footer', 'msp__matches_ajax_update_js');

function msp__get_match_page_content()
{
    global $post;
    if (!isset($_POST['match_id'])) {
        wp_die();
    }

    $match_id = intval($_POST['match_id']);
    $post = get_post($match_id);
    if (!$post) {
        wp_die();
    }

    WPBMap::addAllMappedShortcodes();
    setup_postdata($post);
    $content = apply_filters('the_content', get_the_content());
    echo str_replace('wpb_animate_when_almost_visible', '', $content);
    wp_die();
}
add_action('wp_ajax_get_match_page_content', 'msp__get_match_page_content');
