(function ($, Backbone) {

    $.fn.team_countdown = function () {

        var View = Backbone.View.extend({

            initialize: function () {
                var end = parseInt(this.$el.attr("data-date"));
                if (end < 0 || end < new Date()) {
                    this.hideCounters();
                    return;
                }

                this.end = end;
            },

            render: function () {
                var _second = 1000;
                var _minute = _second * 60;
                var _hour = _minute * 60;
                var _day = _hour * 24;
                var timer;

                var self = this;

                function showRemaining() {
                    var now = new Date();
                    var distance = self.end - now;
                    if (distance < 0) {

                        clearInterval(timer);
                        self.hideCounters();

                        return;
                    }
                    var days = Math.floor(distance / _day);
                    var hours = Math.floor((distance % _day) / _hour);
                    var minutes = Math.floor((distance % _hour) / _minute);
                    var seconds = Math.floor((distance % _minute) / _second);

                    self.$('.days').html(days);
                    self.$('.hours').html(hours);
                    self.$('.minutes').html(minutes);
                    self.$('.seconds').html(seconds);
                }

                timer = setInterval(showRemaining, 1000);
            },

            hideCounters: function () {
                this.$(".days-left").hide();
                this.$(".time-left").hide();
            }

        });

        var $el = $(this);
        return new View({el: $el});
    };

}(jQuery, Backbone));