/**
 * @encoding     UTF-8
 * @package      MSP - MultiSport & eSport WordPress plugin with 90 Visual Composer addons
 * @link         https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

(function ($) {

    $.fn.lightStore = function () {
        'use strict';

        var $el = $(this);
        var $wrapper = $el.parents('.js-addon-store-list-light-version').first();

        if ($el.length === 0) {
            throw new Error('Light store : target element not found');
        }

        $el.find('.owl-carousel').owlCarousel({
            center: false,
            items: 4,
            loop: true,
            dots: false,
            merge: true,
            margin: 20,
            responsive: {
                0: {
                    items: 1
                },
                767: {
                    items: 2
                },
                992: {
                    items: 3
                },
                1400: {
                    items: 4
                }
            }

        });

        var state = function () {
            var $tabs = $wrapper.find('.tab-pane');
            var xvs = $tabs.find('.owl-stage').attr('style');

            $tabs.each(function () {
                $(this).find('.owl-stage').attr('style', xvs);
            });
        };


        state();

        var visibleOwl = function () {
            var $tabs = $wrapper.find('.tab-pane');
            $tabs.each(function () {
                $(this).css('display','none');
                if ($(this).hasClass('active')) {
                    $(this).css('display', 'block');
                } else {
                    $(this).css('display', 'none');
                }
            });
        };

        $wrapper.find('.store-light-version-filter li').on('click', function () {
            $wrapper.find('.tab-content').on('transitionend', function () {
                visibleOwl();
            });
        });

    };
    
})(jQuery);