<?php

/**
 * Plugin Name: MultiSport platform
 * Plugin URI: https://codecanyon.net/item/msp-multisport-esport-wordpress-plugin-with-90-visual-composer-addons/20954667
 * Description: Most complete sport plugin for WordPress. It can be used for management of sport & esport teams, leagues and tournaments. MultiSport platform lets you manage different sport events, players, etc.
 * Version: 4.1.19
 * Author: Vladislav Dolgolenko - Torbara
 * Author URI: https://codecanyon.net/user/torbara/portfolio
 *
 * Text Domain: msp
 *
 * @package msp
 * @category Core
 * @author Vladislav Dolgolenko <vladislavdolgolenko.com>
 */

/**
 * This is MVC system based on WPObjects library with legacy functions 
 * for outer usage.
 * 
 * All library code includ in \MSP namespace automatically.
 * 
 * For developers and code users, is base for usage:
 * @see https://github.com/VladislavDolgolenko/WPObjects
 * @see http://php.net/manual/en/language.namespaces.php
 * @see http://php.net/manual/ru/language.oop5.php
 * @see http://php.net/manual/en/language.oop5.autoload.php
 * @see http://php.net/manual/en/language.exceptions.php
 */

namespace {

    if (!defined('ABSPATH')) {
        die('');
    }
    
    if (!defined('MSP_PATH')) {
        define( 'MSP_PATH', plugin_dir_path( __FILE__ ));
    }
    
    if (!defined('MSP_TEMPLATE_PATH')) {
        define( 'MSP_TEMPLATE_PATH', plugin_dir_path( __FILE__ ) . 'includes/templates');
    }
    
    if (!defined('MSP_PATH_URL')) {
        define( 'MSP_PATH_URL', plugin_dir_url( __FILE__ ));
    }
    
    /**
     * Bootstrap procedure 
     */
    if (!class_exists("msp_bootstrap")) {
        require_once dirname(__FILE__) . '/includes/bootstrap.php';
    }
    
    msp_bootstrap::loadBase();
    add_action('plugins_loaded', array('msp_bootstrap', 'extendLayoutBuilder'), 4);
    add_action('plugins_loaded', array('msp_bootstrap', 'languages'), 5);
    add_action('plugins_loaded', array('msp_bootstrap', 'setup'), 6);
    add_action('plugins_loaded', array('msp_bootstrap', 'loadVCAddons'), 10);
    add_action('plugins_loaded', array('msp_bootstrap', 'initVC'), 20);
}
              